<?php 
	/*	
	*	Goodlayers Getting Start Page
	*	---------------------------------------------------------------------
	*	This file that creates getting start page
	*	---------------------------------------------------------------------
	*/	

	if( class_exists('gdlr_core_getting_start') ){
		new gdlr_core_getting_start(array(
			'parent-slug' => 'goodlayers_main_menu',
			'page-title' => esc_html__('Getting Start / Import', 'traveltour'),
			'menu-title' => esc_html__('Getting Start / Import', 'traveltour'),
			'capability' => 'edit_theme_options'
		));
	}
	add_filter('gdlr_core_importer_image_per_process', 'traveltour_gdlr_core_importer_image_per_process');
	if( !function_exists('traveltour_gdlr_core_importer_image_per_process') ){
		function traveltour_gdlr_core_importer_image_per_process( $value ){
			return 15;
		}
	}

	add_filter('gdlr_core_getting_start_option', 'traveltour_gdlr_core_getting_start_option', 10, 2);
	if( !function_exists('traveltour_gdlr_core_getting_start_option') ){
		function traveltour_gdlr_core_getting_start_option( $options, $slug ){
			if( $slug == 'gdlr_core_getting_start' ){

				$content = array();

				// install plugins link
				$plugins_complete = traveltour_tgmpa_complete();
				if( !$plugins_complete ){
					$content['required-plugins'] = array(
						'title' => esc_html__('Required Plugins', 'traveltour'),
						'type' => 'page',
						'content' => '<p>' . wp_kses(__('<strong>Before moving on, please make sure that all required plugins are installed and activated</strong><br>This is very important step to make the theme run properly.', 'traveltour'), array('strong'=>array(), 'br'=>array()) ) . 
							'</p><a class="gdlr-core-button" href="' . esc_attr(admin_url('themes.php?page=tgmpa-install-plugins')) . '" >' . esc_html__('Install Required Plugins', 'traveltour') . '</a>' .
							'<h3>' . esc_html__('1. Install plugins then click on \'Return To Require Plugins Installer', 'traveltour') . '</h3><img src="' . esc_url(get_template_directory_uri() . '/images/getting-start/require-plugin1.jpg') . '" alt="" />' .
							'<h3>' . esc_html__('2. Activate plugins', 'traveltour') . '</h3><img src="' . esc_url(get_template_directory_uri() . '/images/getting-start/require-plugin2.jpg') . '" alt="" />'
					);
				}

				// guidelines
				$content['guidelines'] = array(
					'title' => esc_html__('Guidelines', 'traveltour'),
					'type' => 'page',
					'content' => 
						wp_kses(__('<h4>1.) Installation</h4>', 'traveltour'), array('h4'=>array())) . '<iframe width="560" height="315" src="https://www.youtube.com/embed/9wJqiUN6xpk" frameborder="0" allowfullscreen></iframe>' .
						wp_kses(__('<h4>2.) Importing Demo</h4>', 'traveltour'), array('h4'=>array())) . '<iframe width="560" height="315" src="https://www.youtube.com/embed/licSuqJVcto" frameborder="0" allowfullscreen></iframe>' .
						wp_kses(__('<h4>3.) Creating Portfolio</h4>', 'traveltour'), array('h4'=>array())) . '<iframe width="560" height="315" src="https://www.youtube.com/embed/XFrtHJuPW_4" frameborder="0" allowfullscreen></iframe>' . 
						wp_kses(__('<h4>4.) Creating Personnel</h4>', 'traveltour'), array('h4'=>array())) . '<iframe width="560" height="315" src="https://www.youtube.com/embed/MwFxxSlYuAA" frameborder="0" allowfullscreen></iframe>' . 
						wp_kses(__('<h4>5.) Creating Blog</h4>', 'traveltour'), array('h4'=>array())) . '<iframe width="560" height="315" src="https://www.youtube.com/embed/fqcdMzTjvrE" frameborder="0" allowfullscreen></iframe>' .
						wp_kses(__('<h4>6.) Creating Tour List</h4>', 'traveltour'), array('h4'=>array())) . '<iframe width="560" height="315" src="https://www.youtube.com/embed/PdxUwpe9rJU" frameborder="0" allowfullscreen></iframe>' .
						wp_kses(__('<h4>7.) Tour Management System Walkthrough</h4>', 'traveltour'), array('h4'=>array())) . '<iframe width="560" height="315" src="https://www.youtube.com/embed/HODmbzOT288" frameborder="0" allowfullscreen></iframe>' .
						wp_kses(__('<h4>8.) Goodlayers Page Builder</h4>', 'traveltour'), array('h4'=>array())) . '<iframe width="560" height="315" src="https://www.youtube.com/embed/N0haJbDM8ac" frameborder="0" allowfullscreen></iframe>'
				);

				// import demo
				$content['import-demo'] = array(
					'title' => esc_html__('Import Demo', 'traveltour'),
					'type' => 'demo',
					'content' => wp_kses(__('<strong>Get import error?</strong> Please make sure that your server has PHP max_execution_time at least 300, memory_limit at least 300. You may set these values temporaly and change it back after finish importing.<br><strong>If you\'re importing main demo (Full Version), PHP max_input_vars is recommended to be at least 4000</strong>', 'traveltour'), array('strong'=>array(), 'br'=>array())),
					'demo-content' => wp_kses(
						__('<strong>Main demo (Full verion)</strong> - include all pages shown in demo such as elements, features, about us, services contact, all portfolio pages, all blog pages. It\'s 100+ pages and 170+ images in total.', 'traveltour') . '<br><br>' . 
						__('Please also be cautious that over 1000+ images will be generated in main demo.', 'traveltour'), 
						array('strong'=>array(), 'br'=>array())),
				);

				// system status
				$content['system-status'] = array(
					'title' => esc_html__('System Status', 'traveltour'),
					'type' => 'system-status',
					'content' => wp_kses(__('<strong>To import demo content</strong>, PHP max_execution_time at least 300 secs and  memory_limit at least 512MB is recommended. <strong><br>If you\'re importing main demo (Full Version)</strong>, PHP max_input_vars is recommended to be at least 4000.', 'traveltour'), array('strong'=>array(), 'br'=>array()))
				);

				// obtain product validation link
				if( !empty($GLOBALS['tgmpa']) ){
					$plugin_slug = 'envato-market';
					$plugin_url = 'admin.php?page=envato-market';
					$product_validation_url = traveltour_tgmpa_auto_install_url($plugin_slug,  $plugin_url);

					$tgmpa = call_user_func(array(get_class($GLOBALS['tgmpa']), 'get_instance'));
					if( !$tgmpa->is_plugin_installed($plugin_slug) ){
						$content['get-automatic-updates'] = array(
							'title' => esc_html__('Get Automatic Updates', 'traveltour'),
							'type' => 'page',
							'content' => wp_kses(__('<p><strong>To get automatic updates, you need to install and activate the plugin \'Envato Market\'</strong>.<br>You\'ll also need API Personal Token for verification. Please read for instruction in plugin settings.</p>', 'traveltour'), array('strong'=>array(), 'br'=>array(), 'p'=> array()) ) . 
								'<a class="gdlr-core-button" href="' . esc_url($product_validation_url) . '" >' . esc_html__('Get envato market plugin now!', 'traveltour') . '</a>'
						);
					}else{
						$content['get-automatic-updates'] = array(
							'title' => esc_html__('Get Automatic Updates', 'traveltour'),
							'type' => 'page',
							'content' => wp_kses(__('<p><strong>To get automatic updates</strong>, you need to fill the infomation in \'Envato Market\' plugin page.<br>You need to retrieve API Personal Token for verification. Please read for instruction in plugin settings.</p>', 'traveltour'), array('strong'=>array(), 'br'=>array(), 'p'=> array()) ) . 
								'<a class="gdlr-core-button" href="' . esc_url($product_validation_url) . '" >' . esc_html__('Go to plugin settings!', 'traveltour') . '</a>'
						);
					}
				}

				// support
				$content['support'] = array(
					'title' => esc_html__('Support', 'traveltour'),
					'type' => 'page',
					'content' => wp_kses(__('<p><strong>Have questions about how to use the theme?</strong></p><p>Make sure that you read all through the document we provided. The document is contained in main package that you downloaded from Themeforest. It\'s in the folder \'Document-Instruction\', open the file \'index.html\' with your browser. Or you can view online document here.</p>', 'traveltour'), array('strong'=>array(), 'br'=>array(), 'p'=> array()) ) . 
						'<a class="gdlr-core-button" target="_blank" href="#" >' . esc_html__('View Online Document', 'traveltour') . '</a><br><br>' .
						wp_kses(__('<p><strong>Have problems or can\'t find answer in the document?</strong></p><p>1. Make sure that you are running the latest version of the theme.<br>2. Make sure that you deeply checked theme\'s instruction and try to search for public tickets in case of someone else asked the same question before. <br> 3. Try to deactivate all plugins (Except Goodlayers plugins) and see if the problem resolved or not.</p>', 'traveltour'), array('strong'=>array(), 'br'=>array(), 'p'=> array()) ) .
						wp_kses(sprintf(__('<p>After doing these steps and still see the problem, feel free to submit tickets in our support website. Our supporter are happy to help you.<br><strong>Please note that you will need Purchase code to submit the ticket</strong> - <a href="%s" target="_blank" >How to get purchased code?</a></p>', 'traveltour'), 'https://help.market.envato.com/hc/en-us/articles/202822600'), array('strong'=>array(), 'br'=>array(), 'p'=> array(), 'a'=>array('href'=>array(), 'target'=>array())) ) .
						'<a class="gdlr-core-button" target="_blank" href="http://support.goodlayers.com" >' . esc_html__('Go to support website', 'traveltour') . '</a>'
				);

				return array(
					'header' => array(
						'logo' => get_template_directory_uri() . '/images/getting-start/header.png',
						'title' => esc_html__('Congratulations !', 'traveltour'),
						'caption' => '<strong>' . esc_html__('Travel Tour', 'traveltour') . '</strong> ' . esc_html__('WordPress theme is now installed and ready to use. Thank you so much for choosing Goodlayers!', 'traveltour')
					),
					'content' => $content
				);
			}

			return $options;
		}
	}



	// add filter for demo import
	add_filter('gdlr_core_demo_options', 'traveltour_gdlr_core_demo_options');
	if( !function_exists('traveltour_gdlr_core_demo_options') ){
		function traveltour_gdlr_core_demo_options($demo){
			return array(
				'traveltour-full' => array(
					'title' => esc_html__('Travel Tour Main demo (Full Version)', 'traveltour'),
					'url' => 'http://demo.goodlayers.com/traveltour',
					'xml' => get_template_directory() . '/admin/function/files/traveltour.xml',
					'page' => 2039,
					'menu' => array('main_menu' => 36, 'mobile_menu' => 36),
					'widget' => '{"gdlrcst_sidebar_name":[{"name":"Blog","id":"blog"},{"name":"Blog Left","id":"blog-left"},{"name":"Blog Right","id":"blog-right"},{"name":"Single Tour","id":"single-tour"},{"name":"Tour list","id":"tour-list"},{"name":"Payment","id":"payment"}],"sidebars_widgets":{"orphaned_widgets_1":["tag_cloud-5"],"wp_inactive_widgets":["tourmaster-tour-widget-2","tourmaster-tour-widget-3","tourmaster-tour-widget-4","tourmaster-widget-tour-category-2","tourmaster-widget-tour-category-3","tourmaster-widget-tour-category-4","tourmaster-widget-tour-category-5","gdlr-core-recent-post-widget-3"],"gdlr-core-sidebar-preset":["search-2","recent-posts-2","archives-2","categories-2","meta-2"],"footer-1":["text-1"],"footer-2":["tourmaster-widget-tour-category-6"],"footer-3":["text-2"],"footer-4":["recent-posts-3","gdlr-core-recent-portfolio-widget-1"],"blog":["text-7","gdlr-core-recent-portfolio-widget-3","recent-comments-5","tag_cloud-3"],"blog-left":["search-4","text-8","recent-posts-5","gdlr-core-portfolio-slider-widget-2"],"blog-right":["text-9","recent-comments-6","tag_cloud-4"],"single-tour":["text-11","text-12"],"tour-list":["tourmaster-tour-widget-5","text-10","nav_menu-3","gdlr-core-recent-post-widget-4"],"payment":["text-14","text-13"],"array_version":3},"widget_archives":{"2":{"title":"","count":0,"dropdown":0},"_multiwidget":1},"widget_calendar":{"_multiwidget":1},"widget_categories":{"2":{"title":"","count":0,"hierarchical":0,"dropdown":0},"_multiwidget":1},"widget_gdlr-core-portfolio-slider-widget":{"2":{"title":"Recent Works","category":"","num-fetch":"3","thumbnail-size":"Frame Landscape 2"},"_multiwidget":1},"widget_gdlr-core-post-slider-widget":{"_multiwidget":1},"widget_gdlr-core-recent-portfolio-widget":{"1":{"title":"Recent Works","category":"","num-fetch":"6"},"3":{"title":"Recent Works","category":"","num-fetch":"9"},"_multiwidget":1},"widget_gdlr-core-recent-post-widget":{"3":{"title":"Recent Articles","category":"blog","num-fetch":"3"},"4":{"title":"Recent Articles","category":"blog","num-fetch":"3"},"_multiwidget":1},"widget_gdlr-core-twitter-widget":{"_multiwidget":1},"widget_media_audio":{"_multiwidget":1},"widget_media_image":{"_multiwidget":1},"widget_media_video":{"_multiwidget":1},"widget_meta":{"2":{"title":""},"_multiwidget":1},"widget_nav_menu":{"3":{"title":"Tour Category","nav_menu":104},"_multiwidget":1},"widget_newsletterwidget":{"_multiwidget":1},"widget_newsletterwidgetminimal":{"_multiwidget":1},"widget_pages":{"_multiwidget":1},"widget_recent-comments":{"5":{"title":"","number":5},"6":{"title":"","number":5},"_multiwidget":1},"widget_recent-posts":{"2":{"title":"","number":5},"3":{"title":"","number":5,"show_date":false},"5":{"title":"Recent Posts","number":5,"show_date":false},"_multiwidget":1},"widget_rev-slider-widget":{"_multiwidget":1},"widget_rss":{"1":[],"_multiwidget":1},"widget_search":{"2":{"title":""},"4":{"title":""},"_multiwidget":1},"widget_tag_cloud":{"3":{"title":"Tag Cloud","taxonomy":"post_tag"},"4":{"title":"Tag Cloud","taxonomy":"post_tag"},"5":{"title":"","taxonomy":"post_tag"},"_multiwidget":1},"widget_text":{"1":{"title":"","text":"<img src=\"https:\/\/demo.goodlayers.com\/traveltour\/wp-content\/themes\/traveltour\/images\/logo.png\" alt=\"\"\/> \r\n[gdlr_core_space height=\"21px\"]\r\nFar far away, behind the word mountains, far from the countries Vokalia and Consonantia, there live the blind texts.\r\n[gdlr_core_space height=\"25px\"]\r\n<img src=\"https:\/\/demo.goodlayers.com\/traveltour\/wp-content\/uploads\/2017\/01\/award-1.png\" alt=\"\" width=\"140\" style=\"margin-right: 25px;\" \/>\r\n<img src=\"https:\/\/demo.goodlayers.com\/traveltour\/wp-content\/uploads\/2017\/01\/award-2.png\" alt=\"\" width=\"65\" \/>","filter":false},"2":{"title":"Contact Info","text":"Address : 12 Main Street Pt. London \r\n[gdlr_core_space height=\"-13px\"]\r\nPhone : +44 3656 4567 \r\n[gdlr_core_space height=\"-13px\"]\r\ncontact@traveltourtheme.com\r\n\r\n[gdlr_core_space height=\"20px\"]\r\n[gdlr_core_icon icon=\"fa fa-facebook\" size=\"18px\" color=\"#ffffff\" margin-left=\"\" margin-right=\"20px\" link=\"#\" link-target=\"_blank\"] [gdlr_core_icon icon=\"fa fa-twitter\" size=\"18px\" color=\"#ffffff\" margin-left=\"\" margin-right=\"20px\" link=\"#\" link-target=\"_blank\"] [gdlr_core_icon icon=\"fa fa-linkedin\" size=\"18px\" color=\"#ffffff\" margin-left=\"\" margin-right=\"20px\" link=\"#\" link-target=\"_blank\"] [gdlr_core_icon icon=\"fa fa-pinterest-p\" size=\"18px\" color=\"#ffffff\" margin-left=\"\" margin-right=\"20px\" link=\"#\" link-target=\"_blank\"] [gdlr_core_icon icon=\"fa fa-vimeo\" size=\"18px\" color=\"#ffffff\" margin-left=\"\" margin-right=\"20px\" link=\"#\" link-target=\"_blank\"] ","filter":true},"7":{"title":"Text Widget","text":"Nulla vitae elit libero, a pharetra augue. Nulla vitae elit libero, a pharetra augue. Nulla vitae elit libero, a pharetra augue. Donec sed odio dui. Etiam porta sem malesuada.","filter":false},"8":{"title":"About Us","text":"Nulla vitae elit libero, a pharetra augue. Nulla vitae elit libero, a pharetra augue. Nulla vitae elit libero, a pharetra augue. Donec sed odio dui.","filter":false},"9":{"title":"Text Widget","text":"Nulla vitae elit libero, a pharetra augue. Nulla vitae elit libero, a pharetra augue. Nulla vitae elit libero, a pharetra augue. Donec sed odio dui. Etiam porta sem malesuada.","filter":false},"10":{"title":"","text":"[gdlr_widget_box title=\"Get a Question?\" title-color=\"#ffffff\" background=\"https:\/\/demo.goodlayers.com\/traveltour\/wp-content\/uploads\/2017\/01\/widget-bg.jpg\" color=\"#c9e2ff\" ]\r\nDo not hesitage to give us a call. We are an expert team and we are happy to talk to you.\r\n\r\n[gdlr_core_icon icon=\"fa fa-phone\" size=\"17px\" color=\"#ffcf2a\" margin-right=\"10px\" ] <span style=\"font-size: 17px; color: #ffcf2a; font-weight: 600;\">1.8445.3356.33<\/span>\r\n\r\n<span style=\"font-size: 14px; color: #fff; font-weight: 600;\">Help@goodlayers.com<\/span>\r\n\r\n[\/gdlr_widget_box]","filter":false},"11":{"title":"","text":"[gdlr_core_space height=\"-20px\"]\r\n[gdlr_widget_list title=\"Why Book With Us?\" title-color=\"\" background-color=\"\" color=\"\" border-color=\"\" ]\r\n<ul>\r\n<li>[gdlr_core_icon icon=\"fa fa-dollar\" size=\"15px\" color=\"#ffa127\" margin-right=\"13px\" ]No-hassle best price guarantee<\/li>\r\n<li>[gdlr_core_icon icon=\"fa fa-headphones\" size=\"15px\" color=\"#ffa127\" margin-right=\"10px\" ]Customer care available 24\/7<\/li>\r\n<li>[gdlr_core_icon icon=\"fa fa-star\" size=\"15px\" color=\"#ffa127\" margin-right=\"10px\" ]Hand-picked Tours & Activities<\/li>\r\n<li>[gdlr_core_icon icon=\"fa fa-support\" size=\"15px\" color=\"#ffa127\" margin-right=\"10px\" ]Free Travel Insureance<\/li>\r\n<\/ul>\r\n[\/gdlr_widget_list]","filter":false},"12":{"title":"","text":"[gdlr_core_space height=\"-10px\"]\r\n[gdlr_widget_box title=\"Get a Question?\" title-color=\"#ffffff\" background=\"https:\/\/demo.goodlayers.com\/traveltour\/wp-content\/uploads\/2017\/01\/widget-bg.jpg\" color=\"#c9e2ff\" ]\r\nDo not hesitage to give us a call. We are an expert team and we are happy to talk to you.\r\n\r\n[gdlr_core_icon icon=\"fa fa-phone\" size=\"20px\" color=\"#ffcf2a\" margin-right=\"10px\" ] <span style=\"font-size: 20px; color: #ffcf2a; font-weight: 600;\">1.8445.3356.33<\/span>\r\n\r\n[gdlr_core_icon icon=\"fa fa-envelope-o\" size=\"17px\" color=\"#ffcf2a\" margin-right=\"10px\" ] <span style=\"font-size: 14px; color: #fff; font-weight: 600;\">Help@goodlayers.com<\/span>\r\n\r\n[\/gdlr_widget_box]","filter":false},"13":{"title":"","text":"[gdlr_core_space height=\"-10px\"]\r\n\r\n[gdlr_widget_box title=\"Pay Safely With Us\" title-color=\"#ffffff\" background=\"#373737\" left-icon=\"icon_lock_alt\"]\r\n\r\n<span style=\"font-size: 13px; color: #ffffff; \">The payment is encrypted and \r\ntransmitted securely with an <strong>SSL \r\nprotocol.<\/strong><\/span>\r\n\r\n[gdlr_core_space height=\"25px\"]\r\n\r\n[\/gdlr_widget_box]","filter":false},"14":{"title":"","text":"[gdlr_core_space height=\"-20px\"]\r\n[gdlr_widget_list title=\"Why Book With Us?\" title-color=\"\" background-color=\"\" color=\"\" border-color=\"\" ]\r\n<ul>\r\n<li>[gdlr_core_icon icon=\"fa fa-dollar\" size=\"15px\" color=\"#4674e7\" margin-right=\"13px\" ]No-hassle best price guarantee<\/li>\r\n<li>[gdlr_core_icon icon=\"fa fa-headphones\" size=\"15px\" color=\"#4674e7\" margin-right=\"10px\" ]Customer care available 24\/7<\/li>\r\n<li>[gdlr_core_icon icon=\"fa fa-star\" size=\"15px\" color=\"#4674e7\" margin-right=\"10px\" ]Hand-picked Tours & Activities<\/li>\r\n<li>[gdlr_core_icon icon=\"fa fa-support\" size=\"15px\" color=\"#4674e7\" margin-right=\"10px\" ]Free Travel Insureance<\/li>\r\n<\/ul>\r\n[\/gdlr_widget_list]","filter":false},"_multiwidget":1},"widget_tourmaster-tour-search-widget":{"_multiwidget":1},"widget_tourmaster-tour-widget":{"2":{"title":"Recent Tours","category":"","num-fetch":"3"},"3":{"title":"Recent Tours","category":"","num-fetch":"3"},"4":{"title":"Recent Tours","category":"","num-fetch":"4"},"5":{"title":"Latest Tours","category":"","num-fetch":"4"},"_multiwidget":1},"widget_tourmaster-widget-tour-category":{"2":{"title":"Tour Destinations","num-fetch":"6","column-size":"20","thumbnail-size":"thumbnail","style":"widget"},"3":{"title":"Top Destinations","num-fetch":"6","column-size":"20","thumbnail-size":"Personnel Square","style":"widget"},"4":{"title":"Tour Destinations","num-fetch":"6","column-size":"20","thumbnail-size":"Personnel Square","style":"widget"},"5":{"title":"Destinations","num-fetch":"6","column-size":"60","thumbnail-size":"Personnel Square","style":"widget"},"6":{"title":"Top Destinations","taxonomy":"tour-destination","num-fetch":"6","column-size":"20","thumbnail-size":"Personnel Square","style":"widget"},"_multiwidget":1},"widget_woocommerce_layered_nav":{"_multiwidget":1},"widget_woocommerce_layered_nav_filters":{"_multiwidget":1},"widget_woocommerce_price_filter":{"_multiwidget":1},"widget_woocommerce_product_categories":{"_multiwidget":1},"widget_woocommerce_product_search":{"_multiwidget":1},"widget_woocommerce_product_tag_cloud":{"_multiwidget":1},"widget_woocommerce_products":{"_multiwidget":1},"widget_woocommerce_rating_filter":{"_multiwidget":1},"widget_woocommerce_recent_reviews":{"_multiwidget":1},"widget_woocommerce_recently_viewed_products":{"_multiwidget":1},"widget_woocommerce_top_rated_products":{"_multiwidget":1},"widget_woocommerce_widget_cart":{"_multiwidget":1},"widget_wpgmp_google_map_widget_class":{"_multiwidget":1}}',
					'theme-option' => '{"traveltour_general":{"layout":"full","boxed-layout-top-margin":"0px","body-margin":"0px","background-type":"color","background-image":"","background-pattern":"pattern-1","enable-boxed-border":"disable","item-padding":"20px","container-width":"1180px","container-padding":"15px","sidebar-width":"20","both-sidebar-width":"15","enable-top-bar":"enable","enable-top-bar-on-mobile":"enable","top-bar-width":"boxed","top-bar-width-pixel":"1140px","top-bar-full-side-padding":"15px","top-bar-left-text":"[gdlr_core_icon icon=\"fa fa-phone\" size=\"16px\" color=\"#ffffff\" margin-left=\"\" margin-right=\"10px\" ] 1.820.3345.33\n[gdlr_core_icon icon=\"fa fa-envelope-o\" size=\"16px\" color=\"#ffffff\" margin-left=\"30px\" margin-right=\"10px\" ] Contact@TravelTourWP.com","top-bar-right-text":"","top-bar-top-padding":"22px","top-bar-bottom-padding":"22px","top-bar-text-size":"14px","top-bar-bottom-border":"0px","enable-top-bar-social":"enable","top-bar-social-delicious":"","top-bar-social-email":"","top-bar-social-deviantart":"","top-bar-social-digg":"","top-bar-social-facebook":"#","top-bar-social-flickr":"#","top-bar-social-google-plus":"#","top-bar-social-lastfm":"","top-bar-social-linkedin":"","top-bar-social-pinterest":"","top-bar-social-rss":"","top-bar-social-skype":"","top-bar-social-stumbleupon":"","top-bar-social-tumblr":"","top-bar-social-twitter":"#","top-bar-social-vimeo":"","top-bar-social-youtube":"","top-bar-social-instagram":"","top-bar-social-snapchat":"","header-style":"plain","header-plain-style":"menu-right","header-plain-bottom-border":"0px","header-bar-navigation-align":"center","header-background-style":"transparent","top-bar-background-opacity":"45","header-background-opacity":"45","navigation-background-opacity":"50","header-boxed-style":"menu-right","boxed-top-bar-background-opacity":"0","boxed-top-bar-background-extend":"0px","boxed-header-top-margin":"0px","header-side-style":"top-left","header-side-align":"left","header-side-toggle-style":"left","header-side-toggle-menu-type":"overlay","header-side-toggle-display-logo":"enable","header-width":"boxed","header-width-pixel":"1140px","header-full-side-padding":"26px","boxed-header-frame-radius":"3px","boxed-header-content-padding":"49px","navigation-text-top-margin":"0px","navigation-text-top-margin-boxed":"0px","navigation-text-side-spacing":"21px","navigation-slide-bar":"enable","side-header-width-pixel":"340px","side-header-side-padding":"70px","navigation-text-top-spacing":"16px","logo-right-text":"","logo-right-text-top-padding":"30px","logo":"","mobile-logo":"","logo-top-padding":"23px","logo-bottom-padding":"0px","logo-left-padding":"","max-logo-width":"200px","main-navigation-top-padding":"25px","main-navigation-bottom-padding":"33px","main-navigation-right-padding":"","enable-main-navigation-sticky":"enable","enable-logo-on-main-navigation-sticky":"enable","enable-main-navigation-submenu-indicator":"disable","enable-main-navigation-search":"enable","enable-main-navigation-cart":"disable","enable-main-navigation-right-button":"disable","main-navigation-right-button-text":"Buy Now","main-navigation-right-button-link":"","main-navigation-right-button-link-target":"_self","right-menu-type":"right","right-menu-style":"hamburger-with-border","default-title-style":"custom","default-title-align":"left","default-title-top-padding":"108px","default-title-bottom-padding":"102px","default-page-caption-top-margin":"13px","default-title-font-transform":"none","default-title-font-size":"42px","default-title-font-weight":"","default-title-letter-spacing":"0px","default-caption-font-size":"16px","default-caption-font-weight":"","default-caption-letter-spacing":"0px","default-title-background-overlay-opacity":"0","default-title-background":"","default-portfolio-title-background":"","default-personnel-title-background":"","default-search-title-background":"","default-archive-title-background":"","default-404-background":"","default-404-background-opacity":"27","default-blog-title-style":"small","default-blog-title-top-padding":"93px","default-blog-title-bottom-padding":"87px","default-blog-feature-image":"content","default-blog-title-background-image":"","default-blog-title-background-overlay-opacity":"0","blog-sidebar":"right","blog-sidebar-left":"gdlr-core-sidebar-preset","blog-sidebar-right":"blog-right","blog-max-content-width":"","blog-thumbnail-size":"full","blog-date-feature":"enable","meta-option":["author","category","tag","comment-number"],"blog-author":"enable","blog-navigation":"enable","pagination-style":"round","pagination-align":"right","blog-social-share":"enable","blog-social-share-count":"enable","blog-social-facebook":"enable","blog-social-linkedin":"disable","blog-social-google-plus":"enable","blog-social-pinterest":"enable","blog-social-stumbleupon":"disable","blog-social-twitter":"enable","blog-social-email":"disable","archive-blog-sidebar":"right","archive-blog-sidebar-left":"gdlr-core-sidebar-preset","archive-blog-sidebar-right":"gdlr-core-sidebar-preset","archive-blog-style":"blog-full","archive-blog-full-alignment":"left","archive-thumbnail-size":"full","archive-show-thumbnail":"enable","archive-column-size":"20","archive-excerpt":"specify-number","archive-excerpt-number":"55","archive-date-feature":"enable","archive-meta-option":["date","author","category"],"archive-show-read-more":"enable","woocommerce-archive-sidebar":"right","woocommerce-archive-sidebar-left":"gdlr-core-sidebar-preset","woocommerce-archive-sidebar-right":"gdlr-core-sidebar-preset","woocommerce-archive-column-size":"15","woocommerce-archive-thumbnail":"full","woocommerce-related-product-column-size":"15","woocommerce-related-product-num-fetch":"4","woocommerce-related-product-thumbnail":"full","portfolio-slug":"portfolio","portfolio-category-slug":"portfolio_category","portfolio-tag-slug":"portfolio_tag","enable-single-portfolio-navigation":"enable","portfolio-icon-hover-link":"fa fa-external-link","portfolio-icon-hover-video":"fa fa-film","portfolio-icon-hover-image":"icon_search","portfolio-icon-hover-size":"22px","enable-related-portfolio":"disable","related-portfolio-style":"grid","related-portfolio-column-size":"15","related-portfolio-num-fetch":"4","related-portfolio-thumbnail-size":"medium","related-portfolio-num-excerpt":"20","archive-portfolio-sidebar":"none","archive-portfolio-sidebar-left":"gdlr-core-sidebar-preset","archive-portfolio-sidebar-right":"gdlr-core-sidebar-preset","archive-portfolio-style":"medium","archive-portfolio-thumbnail-size":"full","archive-portfolio-grid-text-align":"left","archive-portfolio-grid-style":"normal","archive-enable-portfolio-tag":"enable","archive-portfolio-medium-size":"small","archive-portfolio-medium-style":"switch","archive-portfolio-hover":"icon","archive-portfolio-column-size":"20","archive-portfolio-excerpt":"specify-number","archive-portfolio-excerpt-number":"55","personnel-slug":"personnel","personnel-category-slug":"personnel_category","fixed-footer":"disable","enable-footer":"enable","footer-top-padding":"70px","footer-bottom-padding":"50px","footer-style":"footer-4","enable-copyright":"enable","copyright-top-padding":"38px","copyright-bottom-padding":"38px","copyright-text":"Copyright 2020 GoodLayers, All Right Reserved","enable-back-to-top":"disable","enable-top-bar-left-on-mobile":"disable","enable-top-bar-right-on-mobile":"enable","enable-top-bar-right-login":"enable"},"traveltour_typography":{"heading-font":"Poppins","navigation-font":"Poppins","content-font":"Poppins","info-font":"Poppins","blog-info-font":"Poppins","quote-font":"Open Sans","additional-font":"Georgia, serif","additional-font2":"Georgia, serif","h1-font-size":"52px","h2-font-size":"48px","h3-font-size":"36px","h4-font-size":"28px","h5-font-size":"22px","h6-font-size":"18px","navigation-font-size":"14px","navigation-font-weight":"400","navigation-text-transform":"none","content-font-size":"14px","content-line-height":"1.7"},"traveltour_color":{"page-preload-background-color":"#ffffff","top-bar-background-color":"#000000","top-bar-bottom-border-color":"#ffffff","top-bar-text-color":"#e2e2e2","top-bar-link-color":"#ffffff","top-bar-link-hover-color":"#ffffff","top-bar-social-color":"#468ae7","top-bar-social-hover-color":"#468ae7","header-background-color":"#000000","header-plain-bottom-border-color":"#e8e8e8","navigation-bar-background-color":"#f4f4f4","navigation-bar-top-border-color":"#e8e8e8","navigation-slide-bar-color":"#468ae7","logo-background-color":"#ffffff","navigation-bar-right-icon-color":"#ffffff","woocommerce-cart-icon-number-background":"#468ae7","woocommerce-cart-icon-number-color":"#ffffff","secondary-menu-icon-color":"#ffffff","secondary-menu-border-color":"#dddddd","search-overlay-background-color":"#000000","top-cart-background-color":"#303030","top-cart-text-color":"#b5b5b5","top-cart-view-cart-color":"#ffffff","top-cart-checkout-color":"#468ae7","breadcrumbs-text-color":"#c0c0c0","breadcrumbs-text-active-color":"#777777","main-menu-text-color":"#ffffff","main-menu-text-hover-color":"#ffffff","sub-menu-background-color":"#262626","sub-menu-text-color":"#bababa","sub-menu-text-hover-color":"#ffffff","sub-menu-text-hover-background-color":"#303030","sub-mega-menu-title-color":"#ffffff","sub-mega-menu-divider-color":"#424242","side-menu-text-color":"#979797","side-menu-text-hover-color":"#ffffff","side-menu-background-color":"#1f1f1f","side-menu-border-color":"#626262","overlay-menu-background-color":"#000000","overlay-menu-border-color":"#424242","overlay-menu-text-color":"#ffffff","overlay-menu-text-hover-color":"#a8a8a8","anchor-bullet-background-color":"#777777","anchor-bullet-background-active-color":"#ffffff","navigation-right-button-text-color":"#333333","navigation-right-button-background-color":"","navigation-right-button-border-color":"#333333","navigation-right-button-text-hover-color":"#555555","navigation-right-button-background-hover-color":"","navigation-right-button-border-hover-color":"#555555","body-background-color":"#ffffff","container-background-color":"#ffffff","page-title-color":"#ffffff","page-caption-color":"#ffffff","page-title-background-overlay-color":"#000000","body-content-color":"#8c8c8c","heading-color":"#383838","link-color":"#467fe7","link-hover-color":"#84a7e8","divider-color":"#e1e1e1","input-box-background-color":"#ffffff","input-box-border-color":"#d7d7d7","input-box-text-color":"#4e4e4e","input-box-placeholder-color":"#4e4e4e","404-content-background-color":"#23618e","404-head-color":"#ffffff","404-title-color":"#ffffff","404-caption-color":"#c3e7ff","404-input-background-color":"#000000","404-input-text-color":"#ffffff","404-back-to-home-color":"#ffffff","sidebar-title-color":"#383838","sidebar-link-color":"#484848","sidebar-link-hover-color":"#323232","recent-post-widget-info-icon-color":"#9c9c9c","recent-post-widget-info-link-color":"#a0a0a0","post-slider-widget-title-color":"#ffffff","post-slider-widget-info-color":"#9c9c9c","search-box-text-color":"#b5b5b5","search-box-border-color":"#e0e0e0","search-box-icon-color":"#c7c7c7","twitter-widget-icon-color":"#303030","twitter-widget-date-color":"#b5b5b5","footer-background-color":"#202020","footer-title-color":"#ffffff","footer-content-color":"#ababab","footer-link-color":"#ffffff","footer-link-hover-color":"#ffffff","footer-divider-color":"#303030","copyright-background-color":"#181818","copyright-text-color":"#838383","back-to-top-background-color":"#dbdbdb","back-to-top-text-color":"#313131","single-blog-title-color":"#ffffff","single-blog-info-color":"#ffffff","single-blog-date-day-color":"#ffffff","single-blog-date-month-color":"#b1b1b1","single-blog-divider-color":"#ffffff","single-blog-title-background-overlay-color":"#000000","single-blog-author-title-color":"#464646","single-blog-author-caption-color":"#b1b1b1","single-blog-navigation-color":"#bcbcbc","single-blog-comment-title-color":"#464646","single-blog-comment-background-color":"#f9f9f9","single-blog-comment-reply-color":"#bcbcbc","single-blog-comment-time-color":"#b1b1b1","blog-title-color":"#343434","blog-title-hover-color":"#343434","blog-sticky-banner-color":"#ffffff","blog-sticky-banner-background":"#468ae7","blog-info-color":"#468ae7","blog-date-day-color":"#353535","blog-date-month-color":"#8a8a8a","blog-frame-background-color":"#ffffff","blog-modern-text-color":"#ffffff","blog-aside-background-color":"#468ae7","blog-aside-text-color":"#ffffff","pagination-background-color":"#e6e6e6","pagination-text-color":"#929292","pagination-background-hover-color":"#468ae7","pagination-text-hover-color":"#ffffff","pagination-plain-color":"#b4b4b4","pagination-plain-hover-color":"#424242","single-portfolio-nav-color":"#bcbcbc","portfolio-title-color":"#191919","portfolio-info-head-color":"#343434","portfolio-info-color":"#a5a5a5","portfolio-badge-text-color":"#ffffff","portfolio-badge-background-color":"#e24a3b","portfolio-thumbnail-title-color":"#ffffff","portfolio-thumbnail-info-color":"#cecece","portfolio-text-filter-color":"#606060","portfolio-text-filter-active-color":"#468ae7","portfolio-button-filter-text-color":"#838383","portfolio-button-filter-background-color":"#f1f1f1","portfolio-button-filter-text-active-color":"#ffffff","portfolio-button-filter-background-active-color":"#468ae7","price-table-background-color":"#f8f8f8","price-table-head-color":"#3e3e3e","price-table-head-top-gradient-color":"#525252","price-table-icon-color":"#ffffff","price-table-title-color":"#ffffff","price-table-caption-color":"#acacac","price-table-price-background-color":"#ebebeb","price-table-price-color":"#323232","price-table-price-suffix-color":"#acacac","price-table-price-button-color":"#ffffff","price-table-button-background-color":"#575757","price-table-button-background-top-gradient-color":"#414141","price-table-list-border-color":"#e5e5e5","price-table-active-head-color":"#468ae7","price-table-active-head-top-gradient-color":"#74a4e8","price-table-active-icon-color":"#ffffff","price-table-active-title-color":"#ffffff","price-table-active-caption-color":"#9ebde2","price-table-active-price-background-color":"#ffffff","price-table-active-price-color":"#323232","price-table-active-price-suffix-color":"#acacac","price-table-active-price-button-color":"#ffffff","price-table-active-button-background-color":"#468ae7","price-table-active-button-background-top-gradient-color":"#6da0e8","accordion-normal-icon-color":"#191919","accordion-normal-title-color":"#282828","accordion-normal-icon-background-color":"#f3f3f3","accordion-icon-color":"#191919","accordion-title-color":"#262626","accordion-title-background-color":"#f3f3f3","accordion-icon-active-color":"#191919","accordion-title-active-color":"#4692e7","accordion-title-background-active-color":"#f3f3f3","audio-background-color":"#e7e7e7","audio-text-color":"#202020","audio-content-background-color":"#afafaf","audio-content-progress-color":"#468ae7","audio-volume-background-color":"#afafaf","audio-volume-progress-color":"#646464","alert-box-item-background-color":"#ef5e68","alert-box-item-border-color":"#cd515a","alert-box-item-content-color":"#ffffff","alert-box-item-title-color":"#ffffff","blockquote-text-color":"#777777","blockquote-background-color":"#f5f5f5","blockquote-border-color":"#e2e2e2","blockquote-item-icon-color":"#4e4e4e","blockquote-item-content-color":"#4e4e4e","button-text-color":"#ffffff","button-text-hover-color":"#ffffff","button-background-color":"#468ae7","button-background-hover-color":"#4169d8","button-border-color":"#383838","button-border-hover-color":"#000000","button-gradient-background-color":"#468ae7","button-top-gradient-background-color":"#6fa1e8","call-to-action-title-color":"#2c2c2c","call-to-action-caption-color":"#535353","counter-item-top-text-color":"#828282","counter-item-top-icon-color":"#393939","counter-item-number-color":"#393939","counter-item-divider-color":"#393939","counter-item-bottom-text-color":"#393939","column-service-icon-color":"#9d9d9d","column-service-icon-background":"#f3f3f3","column-service-title-color":"#383838","column-service-caption-color":"#747474","dropdown-tab-head-background":"#f7c02e","dropdown-tab-head-text":"#252525","flipbox-background-color":"#468ae7","flipbox-border-color":"#2576e8","flipbox-icon-color":"#ffffff","flipbox-title-color":"#ffffff","flipbox-caption-color":"#ffffff","flipbox-content-color":"#ffffff","gallery-overlay-title":"#ffffff","gallery-overlay-caption":"#cecece","image-overlay-background-color":"#000000","image-overlay-icon-color":"#ffffff","image-item-border-color":"#000000","item-title-color":"#343434","item-title-caption-color":"#747474","item-title-link-color":"#747474","icon-list-item-icon-color":"#222222","icon-list-item-icon-background-color":"#f3f3f3","opening-hour-day-color":"#a5a5a5","opening-hour-open-color":"#262626","opening-hour-close-color":"#c8c8c8","opening-hour-icon-color":"#8a8989","opening-hour-divider-color":"#a6a6a6","personnel-grid-title-color":"#383838","personnel-grid-position-color":"#888888","personnel-grid-divider-color":"#cecece","personnel-grid-frame-color":"#ffffff","personnel-modern-title-color":"#ffffff","personnel-modern-position-color":"#ffffff","promo-box-item-title-color":"#383838","promo-box-content-border-color":"#e8e7e7","post-slider-title-color":"#ffffff","post-slider-info-color":"#c5c5c5","skill-bar-title-color":"#505050","skill-bar-icon-color":"#616161","skill-bar-background-color":"#f3f3f3","skill-bar-progress-color":"#2d9bea","slider-outer-navigation-color":"#a7a7a7","slider-outer-navigation-background-color":"#f1f1f1","slider-control-navigation-color":"#8a8a8a","social-share-icon-color":"#202020","social-share-divider-color":"#e5e5e5","social-share-text-color":"#202020","stunning-text-title-color":"#747474","stunning-text-caption-color":"#383838","tab-title-color":"#8d8d8d","tab-title-background-color":"#f7f7f7","tab-title-border-color":"#ebebeb","tab-title-hover-bar-color":"#468ae7","tab-title-active-color":"#464646","tab-title-active-background-color":"#ffffff","table-head-background-color":"#468ae7","table-head-text-color":"#ffffff","table-odd-background-color":"#f9f9f9","table-odd-text-color":"#949494","table-even-background":"#f3f3f3","table-even-text":"#949494","testimonial-title-color":"#232323","testimonial-content-color":"#707070","testimonial-author-color":"#3b3b3b","testimonial-position-color":"#3b3b3b","testimonial-quote-color":"#282828","title-item-title-color":"#383838","title-item-caption-color":"#747474","woocommerce-theme-color":"#467fe7","woocommerce-price-color":"#467fe7","woocommerce-price-linethrough-color":"#949494","woocommerce-button-background-hover-color":"#9db7e8","woocommerce-button-text-color":"#ffffff","woocommerce-button-text-hover-color":"#ffffff","woocommerce-input-background-color":"#f3f3f3","product-item-title-color":"#191919","product-item-title-hover-color":"#434343","view-detail-text-color":"#ffffff","view-detail-background-color":"#000000","add-to-cart-text-color":"#ffffff","add-to-cart-background-color":"#467fe7","widget-price-filter-bar-background-color":"#e6e6e6","widget-price-filter-range-color":"#8babe8","widget-price-filter-handle-color":"#467fe7","blog-info-icon-color":"#9a9a9a","skin":[{"name":"Dark","title":"#ffffff","title-hover":"#ffffff","caption":"#ffffff","content":"#ededed","icon":"#ffffff","link":"#ffffff","link-hover":"#ffffff","divider":"#bcbcbc","border":"#8e8e8e","element-background":"","element-content":"#3a3a3a","button-text":"#969696","button-text-hover":"#383838","button-background":"#ffffff","button-background-hover":"#d6d6d6","button-border-color":"","button-border-hover-color":""},{"name":"White Text","title":"#ffffff","title-hover":"","caption":"#eaeaea","content":"#ffffff","icon":"#ffffff","link":"#ffffff","link-hover":"#ffffff","divider":"#ffffff","border":"#ffffff","element-background":"#ffffff","element-content":"#ffffff","button-text":"#ffffff","button-text-hover":"#ffffff","button-background":"#212121","button-background-hover":"#262626","button-border-color":"#ffffff","button-border-hover-color":"#ffffff"},{"name":"Grey","title":"#3a3a3a","title-hover":"","caption":"#727272","content":"#515151","icon":"#5e5e5e","link":"","link-hover":"","divider":"#cecece","border":"#d6d6d6","element-background":"#ffffff","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Dark Personnel","title":"#ffffff","title-hover":"#ffffff","caption":"#dbdbdb","content":"#ffffff","icon":"#ffffff","link":"#ffffff","link-hover":"#ffffff","divider":"#b2b2b2","border":"#b2b2b2","element-background":"#ffffff","element-content":"#3a3a3a","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Maintenance","title":"#ffffff","title-hover":"","caption":"#ffffff","content":"#d8d8d8","icon":"","link":"","link-hover":"","divider":"#bababa","border":"#727272","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Blue Icon","title":"","title-hover":"","caption":"","content":"","icon":"#4692e7","link":"","link-hover":"","divider":"","border":"","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Homepage Search","title":"#313131","title-hover":"","caption":"","content":"","icon":"","link":"#bdd4ff","link-hover":"","divider":"","border":"","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Dark Search","title":"#ffffff","title-hover":"","caption":"","content":"#c2cadd","icon":"#ccd5e8","link":"","link-hover":"","divider":"#676e74","border":"#676e74","element-background":"#585d6b","element-content":"#b9c1d5","button-text":"","button-text-hover":"","button-background":"#4296ed","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Grey Frame","title":"","title-hover":"","caption":"","content":"","icon":"","link":"","link-hover":"","divider":"","border":"","element-background":"#f6f6f6","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Blue Column Service","title":"#ffffff","title-hover":"","caption":"","content":"#b9cdf3","icon":"#467ee7","link":"","link-hover":"","divider":"","border":"","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Newsletter form","title":"","title-hover":"","caption":"","content":"","icon":"","link":"","link-hover":"","divider":"#bcbcbc","border":"#f3f3f3","element-background":"#f3f3f3","element-content":"#757575","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Dark Search HP4","title":"#ffffff","title-hover":"","caption":"","content":"","icon":"#ffffff","link":"","link-hover":"","divider":"","border":"","element-background":"#ffffff","element-content":"#828282","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Testimonial","title":"#ffffff","title-hover":"","caption":"#d2d2d2","content":"#d2d2d2","icon":"#467fe7","link":"","link-hover":"","divider":"","border":"","element-background":"#ffffff","element-content":"#ffffff","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Newsletter form HP3","title":"","title-hover":"","caption":"","content":"","icon":"","link":"","link-hover":"","divider":"#e5e5e5","border":"#e5e5e5","element-background":"#f3f3f3","element-content":"#969696","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Blog HP3","title":"","title-hover":"","caption":"","content":"","icon":"#4692e7","link":"","link-hover":"","divider":"","border":"","element-background":"#f3f3f3","element-content":"#4692e7","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""}],"top-bar-icon-color":"#468ae7","tagcloud-background-color":"#ffffff","portfolio-frame-background-color":"#ffffff","accordion-normal-title-head-color":"#191919","accordion-title-head-color":"#191919","newsletter-input-background":"#ffffff","newsletter-input-text":"#8d8d8d","testimonial-rating-color":"#ffa127"},"traveltour_plugin":{"enable-srcset":"disable","lightbox":"ilightbox","ilightbox-skin":"dark","link-to-lightbox":"enable","additional-css":"","additional-script":"","enable-maintenance":"disable","maintenance-page":"4821","enable-preload":"disable","preload-image":"","thumbnail-sizing":[{"name":"Personnel Thumbnail","width":"700","height":"500","hard-crop":""},{"name":"Portfolio Thumbnail","width":"700","height":"450","hard-crop":""},{"name":"Portfolio Thumbnail Portrait","width":"700","height":"660","hard-crop":""},{"name":"Portfolio Thumbnail Portrait 2","width":"600","height":"800","hard-crop":""},{"name":"Large Landscape","width":"1280","height":"580","hard-crop":""},{"name":"Large Landscape 2","width":"1550","height":"700","hard-crop":""},{"name":"Portfolio Side Description Large","width":"900","height":"500","hard-crop":""},{"name":"Blog Full Thumbnail","width":"1100","height":"490","hard-crop":""},{"name":"Blog Column Thumbnail","width":"700","height":"430","hard-crop":""},{"name":"Personnel Thumbnail 2","width":"550","height":"500","hard-crop":""},{"name":"Large Landscape 3","width":"1500","height":"1000","hard-crop":""},{"name":"Personnel Square","width":"600","height":"600","hard-crop":""},{"name":"Tour Category","width":"800","height":"960","hard-crop":""},{"name":"Tour Side Thumbnail","width":"600","height":"700","hard-crop":""}]}}'
				),
				'citytour' => array(
					'title' => esc_html__('City Tour', 'traveltour'),
					'url' => 'http://demo.goodlayers.com/traveltour/citytour',
					'xml' => get_template_directory() . '/admin/function/files/citytour.xml',
					'page' => 2039,
					'menu' => array('main_menu' => 64, 'mobile_menu' => 64),
					'widget' => '{"gdlrcst_sidebar_name":[{"name":"Blog","id":"blog"},{"name":"Blog Left","id":"blog-left"},{"name":"Blog Right","id":"blog-right"},{"name":"Single Tour","id":"single-tour"},{"name":"Tour list","id":"tour-list"},{"name":"Payment","id":"payment"}],"sidebars_widgets":{"orphaned_widgets_1":["tag_cloud-5"],"wp_inactive_widgets":["tourmaster-tour-widget-2","tourmaster-tour-widget-3","tourmaster-tour-widget-4","tourmaster-widget-tour-category-2","tourmaster-widget-tour-category-3","tourmaster-widget-tour-category-4","tourmaster-widget-tour-category-5","gdlr-core-recent-post-widget-3"],"gdlr-core-sidebar-preset":["search-2","recent-posts-2","archives-2","categories-2","meta-2"],"footer-1":["text-2"],"footer-2":["nav_menu-4"],"footer-3":["nav_menu-5"],"footer-4":["text-1"],"blog":["text-7","gdlr-core-recent-portfolio-widget-3","recent-comments-5","tag_cloud-3"],"blog-left":["search-4","text-8","recent-posts-5","gdlr-core-portfolio-slider-widget-2"],"blog-right":["text-9","recent-comments-6","tag_cloud-4"],"single-tour":["text-15","text-12"],"tour-list":["text-10","text-11","tourmaster-tour-widget-5"],"payment":["text-14","text-13"],"array_version":3},"widget_archives":{"2":{"title":"","count":0,"dropdown":0},"_multiwidget":1},"widget_calendar":{"_multiwidget":1},"widget_categories":{"2":{"title":"","count":0,"hierarchical":0,"dropdown":0},"_multiwidget":1},"widget_custom_html":{"_multiwidget":1},"widget_gdlr-core-portfolio-slider-widget":{"2":{"title":"Recent Works","category":"","num-fetch":"3","thumbnail-size":"Frame Landscape 2"},"_multiwidget":1},"widget_gdlr-core-post-slider-widget":{"_multiwidget":1},"widget_gdlr-core-recent-portfolio-widget":{"3":{"title":"Recent Works","category":"","num-fetch":"9"},"_multiwidget":1},"widget_gdlr-core-recent-post-widget":{"3":{"title":"Recent Articles","category":"blog","num-fetch":"3"},"_multiwidget":1},"widget_gdlr-core-twitter-widget":{"_multiwidget":1},"widget_media_audio":{"_multiwidget":1},"widget_media_image":{"_multiwidget":1},"widget_media_video":{"_multiwidget":1},"widget_meta":{"2":{"title":""},"_multiwidget":1},"widget_nav_menu":{"4":{"title":"About Us","nav_menu":80},"5":{"title":"Support","nav_menu":81},"_multiwidget":1},"widget_newsletterwidget":{"_multiwidget":1},"widget_newsletterwidgetminimal":{"_multiwidget":1},"widget_pages":{"_multiwidget":1},"widget_recent-comments":{"5":{"title":"","number":5},"6":{"title":"","number":5},"_multiwidget":1},"widget_recent-posts":{"2":{"title":"","number":5},"5":{"title":"Recent Posts","number":5,"show_date":false},"_multiwidget":1},"widget_rev-slider-widget":{"_multiwidget":1},"widget_rss":{"1":[],"_multiwidget":1},"widget_search":{"2":{"title":""},"4":{"title":""},"_multiwidget":1},"widget_tag_cloud":{"3":{"title":"Tag Cloud","taxonomy":"post_tag"},"4":{"title":"Tag Cloud","taxonomy":"post_tag"},"5":{"title":"","taxonomy":"post_tag"},"_multiwidget":1},"widget_text":{"1":{"title":"Pay Safely With Us","text":"<span style=\"color: #fff;\">The payment is encrypted and transmitted securely with an SSL protocol.<\/span>\r\n<img src=\"https:\/\/demo.goodlayers.com\/traveltour\/citytour\/wp-content\/uploads\/2017\/07\/creditcard-logo.png\" alt=\"\" \/>","filter":"content"},"2":{"title":"Contact Info","text":"<div style=\"margin-bottom:7px;\"><span style=\"color: #ea5318 ;\">London<\/span>[gdlr_core_icon icon=\"fa fa-phone\" size=\"15px\" color=\"#ffffff\" margin-left=\"20px\" margin-right=\"10px\" ]<span style=\"color: #ffffff ;\">+6-345-3456-233<\/span><\/div>\r\n<div style=\"margin-bottom:7px;\"><span style=\"color: #ea5318 ;\">New York<\/span>[gdlr_core_icon icon=\"fa fa-phone\" size=\"15px\" color=\"#ffffff\" margin-left=\"20px\" margin-right=\"10px\" ]<span style=\"color: #ffffff ;\">+1-345-33454-4<\/span><\/div>\r\n<div style=\"margin-bottom:23px;\"><span style=\"color: #ea5318 ;\">Tokyo<\/span>[gdlr_core_icon icon=\"fa fa-phone\" size=\"15px\" color=\"#ffffff\" margin-left=\"20px\" margin-right=\"10px\" ]<span style=\"color: #ffffff ;\">+34-8757-4556<\/span><\/div>\r\n<div style=\"margin-bottom:23px;\">[gdlr_core_icon icon=\"fa fa-envelope-open-o\" size=\"15px\" color=\"#ea5318\" margin-left=\"\" margin-right=\"10px\" ]<span style=\"color: #ffffff ;\">Ask@traveltourtheme.com<\/span><\/div>\r\n\r\n\u00a9 2014-2017 Travel Tour  \r\nAll Rights Reserved.","filter":"content"},"7":{"title":"Text Widget","text":"Nulla vitae elit libero, a pharetra augue. Nulla vitae elit libero, a pharetra augue. Nulla vitae elit libero, a pharetra augue. Donec sed odio dui. Etiam porta sem malesuada.","filter":false},"8":{"title":"About Us","text":"Nulla vitae elit libero, a pharetra augue. Nulla vitae elit libero, a pharetra augue. Nulla vitae elit libero, a pharetra augue. Donec sed odio dui.","filter":false},"9":{"title":"Text Widget","text":"Nulla vitae elit libero, a pharetra augue. Nulla vitae elit libero, a pharetra augue. Nulla vitae elit libero, a pharetra augue. Donec sed odio dui. Etiam porta sem malesuada.","filter":false},"10":{"title":"","text":"[gdlr_widget_box title=\"Get a Question?\" title-color=\"#ffffff\" background=\"https:\/\/demo.goodlayers.com\/traveltour\/citytour\/wp-content\/uploads\/2017\/07\/booking-bg.jpg\" color=\"#ffffff\" ]\r\nDo not hesitage to give us a call. We are an expert team and we are happy to talk to you.\r\n\r\n[gdlr_core_icon icon=\"fa fa-phone\" size=\"17px\" color=\"#ffcf2a\" margin-right=\"10px\" ] <span style=\"font-size: 17px; color: #ffcf2a; font-weight: 600;\">1.8445.3356.33<\/span>\r\n\r\n<span style=\"font-size: 14px; color: #fff; font-weight: 600;\">Help@goodlayers.com<\/span>\r\n\r\n[\/gdlr_widget_box]","filter":"content"},"11":{"title":"","text":"[gdlr_core_space height=\"-10px\"]\r\n\r\n[gdlr_widget_list title=\"Why Book With Us?\" title-color=\"\" background-color=\"#fff\" color=\"\" border-color=\"\" ]\r\n<ul>\r\n \t<li>[gdlr_core_icon icon=\"fa fa-dollar\" size=\"15px\" color=\"#ea5318\" margin-right=\"13px\" ]No-hassle best price guarantee<\/li>\r\n \t<li>[gdlr_core_icon icon=\"fa fa-headphones\" size=\"15px\" color=\"#ea5318\" margin-right=\"10px\" ]Customer care available 24\/7<\/li>\r\n \t<li>[gdlr_core_icon icon=\"fa fa-star\" size=\"15px\" color=\"#ea5318\" margin-right=\"10px\" ]Hand-picked Tours &amp; Activities<\/li>\r\n \t<li>[gdlr_core_icon icon=\"fa fa-support\" size=\"15px\" color=\"#ea5318\" margin-right=\"10px\" ]Free Travel Insureance<\/li>\r\n<\/ul>\r\n[\/gdlr_widget_list]","filter":"content"},"12":{"title":"","text":"[gdlr_core_space height=\"-10px\"]\r\n[gdlr_widget_box title=\"Get a Question?\" title-color=\"#ffffff\" background=\"https:\/\/demo.goodlayers.com\/traveltour\/citytour\/wp-content\/uploads\/2017\/07\/booking-bg.jpg\" color=\"#ffffff\" ]\r\nDo not hesitage to give us a call. We are an expert team and we are happy to talk to you.\r\n\r\n[gdlr_core_icon icon=\"fa fa-phone\" size=\"20px\" color=\"#ffffff\" margin-right=\"10px\" ] <span style=\"font-size: 20px; color: #ffcf2a; font-weight: 600;\">1.8445.3356.33<\/span>\r\n\r\n[gdlr_core_icon icon=\"fa fa-envelope-o\" size=\"17px\" color=\"#ffcf2a\" margin-right=\"10px\" ] <span style=\"font-size: 14px; color: #fff; font-weight: 600;\">Help@goodlayers.com<\/span>\r\n\r\n[\/gdlr_widget_box]","filter":"content"},"13":{"title":"","text":"[gdlr_core_space height=\"-10px\"]\r\n\r\n[gdlr_widget_box title=\"Pay Safely With Us\" title-color=\"#ffffff\" background=\"#373737\" left-icon=\"icon_lock_alt\"]\r\n\r\n<span style=\"font-size: 13px; color: #ffffff; \">The payment is encrypted and \r\ntransmitted securely with an <strong>SSL \r\nprotocol.<\/strong><\/span>\r\n\r\n[gdlr_core_space height=\"25px\"]\r\n\r\n[\/gdlr_widget_box]","filter":false},"14":{"title":"","text":"[gdlr_core_space height=\"-20px\"]\r\n[gdlr_widget_list title=\"Why Book With Us?\" title-color=\"\" background-color=\"\" color=\"\" border-color=\"\" ]\r\n<ul>\r\n \t<li>[gdlr_core_icon icon=\"fa fa-dollar\" size=\"15px\" color=\"#ea5318\" margin-right=\"13px\" ]No-hassle best price guarantee<\/li>\r\n \t<li>[gdlr_core_icon icon=\"fa fa-headphones\" size=\"15px\" color=\"#ea5318\" margin-right=\"10px\" ]Customer care available 24\/7<\/li>\r\n \t<li>[gdlr_core_icon icon=\"fa fa-star\" size=\"15px\" color=\"#ea5318\" margin-right=\"10px\" ]Hand-picked Tours &amp; Activities<\/li>\r\n \t<li>[gdlr_core_icon icon=\"fa fa-support\" size=\"15px\" color=\"#ea5318\" margin-right=\"10px\" ]Free Travel Insureance<\/li>\r\n<\/ul>\r\n[\/gdlr_widget_list]","filter":"content"},"15":{"title":"","text":"[gdlr_core_space height=\"-20px\"]\r\n[gdlr_widget_list title=\"Why Book With Us?\" title-color=\"\" background-color=\"\" color=\"\" border-color=\"\" ]\r\n<ul>\r\n \t<li>[gdlr_core_icon icon=\"fa fa-dollar\" size=\"15px\" color=\"#ea5318\" margin-right=\"13px\" ]No-hassle best price guarantee<\/li>\r\n \t<li>[gdlr_core_icon icon=\"fa fa-headphones\" size=\"15px\" color=\"#ea5318\" margin-right=\"10px\" ]Customer care available 24\/7<\/li>\r\n \t<li>[gdlr_core_icon icon=\"fa fa-star\" size=\"15px\" color=\"#ea5318\" margin-right=\"10px\" ]Hand-picked Tours &amp; Activities<\/li>\r\n \t<li>[gdlr_core_icon icon=\"fa fa-support\" size=\"15px\" color=\"#ea5318\" margin-right=\"10px\" ]Free Travel Insureance<\/li>\r\n<\/ul>\r\n[\/gdlr_widget_list]","filter":"content"},"_multiwidget":1},"widget_tourmaster-tour-search-widget":{"_multiwidget":1},"widget_tourmaster-tour-widget":{"2":{"title":"Recent Tours","category":"","num-fetch":"3"},"3":{"title":"Recent Tours","category":"","num-fetch":"3"},"4":{"title":"Recent Tours","category":"","num-fetch":"4"},"5":{"title":"Latest Tours","category":"","num-fetch":"4"},"_multiwidget":1},"widget_tourmaster-widget-tour-category":{"2":{"title":"Tour Destinations","num-fetch":"6","column-size":"20","thumbnail-size":"thumbnail","style":"widget"},"3":{"title":"Top Destinations","num-fetch":"6","column-size":"20","thumbnail-size":"Personnel Square","style":"widget"},"4":{"title":"Tour Destinations","num-fetch":"6","column-size":"20","thumbnail-size":"Personnel Square","style":"widget"},"5":{"title":"Destinations","num-fetch":"6","column-size":"60","thumbnail-size":"Personnel Square","style":"widget"},"_multiwidget":1},"widget_woocommerce_layered_nav":{"_multiwidget":1},"widget_woocommerce_layered_nav_filters":{"_multiwidget":1},"widget_woocommerce_price_filter":{"_multiwidget":1},"widget_woocommerce_product_categories":{"_multiwidget":1},"widget_woocommerce_product_search":{"_multiwidget":1},"widget_woocommerce_product_tag_cloud":{"_multiwidget":1},"widget_woocommerce_products":{"_multiwidget":1},"widget_woocommerce_rating_filter":{"_multiwidget":1},"widget_woocommerce_recent_reviews":{"_multiwidget":1},"widget_woocommerce_recently_viewed_products":{"_multiwidget":1},"widget_woocommerce_top_rated_products":{"_multiwidget":1},"widget_woocommerce_widget_cart":{"_multiwidget":1},"widget_wpgmp_google_map_widget_class":{"_multiwidget":1}}',
					'theme-option' => '{"traveltour_general":{"layout":"full","boxed-layout-top-margin":"0px","body-margin":"0px","background-type":"color","background-image":"","background-pattern":"pattern-1","enable-boxed-border":"disable","item-padding":"17px","container-width":"1240px","container-padding":"17px","sidebar-width":"20","both-sidebar-width":"15","enable-top-bar":"enable","enable-top-bar-on-mobile":"enable","top-bar-width":"boxed","top-bar-width-pixel":"1140px","top-bar-full-side-padding":"15px","top-bar-left-text":"[gdlr_core_icon icon=\"fa fa-phone\" size=\"16px\" color=\"#ea5318\" margin-left=\"\" margin-right=\"10px\" ] 1.820.3345.33\n[gdlr_core_icon icon=\"fa fa-envelope-o\" size=\"16px\" color=\"#ea5318\" margin-left=\"30px\" margin-right=\"10px\" ] Contact@TravelTourWP.com","top-bar-right-text":"","top-bar-top-padding":"17px","top-bar-bottom-padding":"17px","top-bar-text-size":"14px","top-bar-bottom-border":"0px","enable-top-bar-social":"enable","top-bar-social-delicious":"","top-bar-social-email":"","top-bar-social-deviantart":"","top-bar-social-digg":"","top-bar-social-facebook":"#","top-bar-social-flickr":"#","top-bar-social-google-plus":"#","top-bar-social-lastfm":"","top-bar-social-linkedin":"","top-bar-social-pinterest":"","top-bar-social-rss":"","top-bar-social-skype":"","top-bar-social-stumbleupon":"","top-bar-social-tumblr":"","top-bar-social-twitter":"#","top-bar-social-vimeo":"","top-bar-social-youtube":"","top-bar-social-instagram":"","top-bar-social-snapchat":"","header-style":"plain","header-plain-style":"menu-right","header-plain-bottom-border":"0px","header-bar-navigation-align":"center","header-background-style":"transparent","top-bar-background-opacity":"100","header-background-opacity":"0","navigation-background-opacity":"50","header-boxed-style":"menu-right","boxed-top-bar-background-opacity":"0","boxed-top-bar-background-extend":"0px","boxed-header-top-margin":"0px","header-side-style":"top-left","header-side-align":"left","header-side-toggle-style":"left","header-side-toggle-menu-type":"overlay","header-side-toggle-display-logo":"enable","header-width":"boxed","header-width-pixel":"1140px","header-full-side-padding":"26px","boxed-header-frame-radius":"3px","boxed-header-content-padding":"49px","navigation-text-top-margin":"0px","navigation-text-top-margin-boxed":"0px","navigation-text-side-spacing":"21px","navigation-slide-bar":"enable","side-header-width-pixel":"340px","side-header-side-padding":"70px","navigation-text-top-spacing":"16px","logo-right-text":"","logo-right-text-top-padding":"30px","logo":"5229","mobile-logo":"","logo-top-padding":"59px","logo-bottom-padding":"0px","logo-left-padding":"","max-logo-width":"150px","main-navigation-top-padding":"58px","main-navigation-bottom-padding":"20px","main-navigation-right-padding":"","enable-main-navigation-sticky":"enable","enable-logo-on-main-navigation-sticky":"enable","enable-main-navigation-submenu-indicator":"disable","enable-main-navigation-search":"enable","enable-main-navigation-cart":"disable","enable-main-navigation-right-button":"disable","main-navigation-right-button-text":"Buy Now","main-navigation-right-button-link":"","main-navigation-right-button-link-target":"_self","right-menu-type":"right","right-menu-style":"hamburger-with-border","default-title-style":"custom","default-title-align":"left","default-title-top-padding":"108px","default-title-bottom-padding":"102px","default-page-caption-top-margin":"13px","default-title-font-transform":"none","default-title-font-size":"42px","default-title-font-weight":"","default-title-letter-spacing":"0px","default-caption-font-size":"16px","default-caption-font-weight":"","default-caption-letter-spacing":"0px","default-title-background-overlay-opacity":"18","default-title-background":"","default-portfolio-title-background":"","default-personnel-title-background":"","default-search-title-background":"","default-archive-title-background":"","default-404-background":"","default-404-background-opacity":"27","default-blog-title-style":"small","default-blog-title-top-padding":"400px","default-blog-title-bottom-padding":"400px","default-blog-feature-image":"title-background","default-blog-title-background-image":"","default-blog-title-background-overlay-opacity":"31","blog-sidebar":"right","blog-sidebar-left":"gdlr-core-sidebar-preset","blog-sidebar-right":"blog-right","blog-max-content-width":"","blog-thumbnail-size":"full","blog-date-feature":"enable","meta-option":["author","category","tag","comment-number"],"blog-author":"enable","blog-navigation":"enable","pagination-style":"round","pagination-align":"right","blog-social-share":"enable","blog-social-share-count":"enable","blog-social-facebook":"enable","blog-social-linkedin":"disable","blog-social-google-plus":"enable","blog-social-pinterest":"enable","blog-social-stumbleupon":"disable","blog-social-twitter":"enable","blog-social-email":"disable","archive-blog-sidebar":"right","archive-blog-sidebar-left":"gdlr-core-sidebar-preset","archive-blog-sidebar-right":"gdlr-core-sidebar-preset","archive-blog-style":"blog-full","archive-blog-full-alignment":"left","archive-thumbnail-size":"full","archive-show-thumbnail":"enable","archive-column-size":"20","archive-excerpt":"specify-number","archive-excerpt-number":"55","archive-date-feature":"enable","archive-meta-option":["date","author","category"],"archive-show-read-more":"enable","woocommerce-archive-sidebar":"right","woocommerce-archive-sidebar-left":"gdlr-core-sidebar-preset","woocommerce-archive-sidebar-right":"gdlr-core-sidebar-preset","woocommerce-archive-column-size":"15","woocommerce-archive-thumbnail":"full","woocommerce-related-product-column-size":"15","woocommerce-related-product-num-fetch":"4","woocommerce-related-product-thumbnail":"full","portfolio-slug":"portfolio","portfolio-category-slug":"portfolio_category","portfolio-tag-slug":"portfolio_tag","enable-single-portfolio-navigation":"enable","portfolio-icon-hover-link":"fa fa-external-link","portfolio-icon-hover-video":"fa fa-film","portfolio-icon-hover-image":"icon_search","portfolio-icon-hover-size":"22px","enable-related-portfolio":"disable","related-portfolio-style":"grid","related-portfolio-column-size":"15","related-portfolio-num-fetch":"4","related-portfolio-thumbnail-size":"medium","related-portfolio-num-excerpt":"20","archive-portfolio-sidebar":"none","archive-portfolio-sidebar-left":"gdlr-core-sidebar-preset","archive-portfolio-sidebar-right":"gdlr-core-sidebar-preset","archive-portfolio-style":"medium","archive-portfolio-thumbnail-size":"full","archive-portfolio-grid-text-align":"left","archive-portfolio-grid-style":"normal","archive-enable-portfolio-tag":"enable","archive-portfolio-medium-size":"small","archive-portfolio-medium-style":"switch","archive-portfolio-hover":"icon","archive-portfolio-column-size":"20","archive-portfolio-excerpt":"specify-number","archive-portfolio-excerpt-number":"55","personnel-slug":"personnel","personnel-category-slug":"personnel_category","fixed-footer":"disable","enable-footer":"enable","footer-top-padding":"70px","footer-bottom-padding":"50px","footer-style":"footer-2","enable-copyright":"disable","copyright-top-padding":"38px","copyright-bottom-padding":"38px","copyright-text":"Copyright 2020 GoodLayers, All Right Reserved","enable-back-to-top":"disable","enable-top-bar-left-on-mobile":"disable","enable-top-bar-right-on-mobile":"enable","enable-top-bar-right-login":"enable","enable-footer-column-divider":"disable"},"traveltour_typography":{"heading-font":"Raleway","navigation-font":"Poppins","content-font":"Poppins","info-font":"Poppins","blog-info-font":"Poppins","quote-font":"Droid Serif","additional-font":"Georgia, serif","additional-font2":"Georgia, serif","h1-font-size":"52px","h2-font-size":"48px","h3-font-size":"36px","h4-font-size":"28px","h5-font-size":"22px","h6-font-size":"18px","navigation-font-size":"14px","navigation-font-weight":"400","navigation-text-transform":"none","content-font-size":"14px","content-line-height":"1.7","font-upload":[]},"traveltour_color":{"page-preload-background-color":"#ffffff","top-bar-background-color":"#ffffff","top-bar-bottom-border-color":"#ffffff","top-bar-text-color":"#474747","top-bar-link-color":"#ffffff","top-bar-link-hover-color":"#ffffff","top-bar-social-color":"#468ae7","top-bar-social-hover-color":"#468ae7","header-background-color":"#000000","header-plain-bottom-border-color":"#e8e8e8","navigation-bar-background-color":"#f4f4f4","navigation-bar-top-border-color":"#e8e8e8","navigation-slide-bar-color":"#ea5318","logo-background-color":"#ffffff","navigation-bar-right-icon-color":"#ffffff","woocommerce-cart-icon-number-background":"#ea5318","woocommerce-cart-icon-number-color":"#ffffff","secondary-menu-icon-color":"#ffffff","secondary-menu-border-color":"#dddddd","search-overlay-background-color":"#000000","top-cart-background-color":"#303030","top-cart-text-color":"#b5b5b5","top-cart-view-cart-color":"#ffffff","top-cart-checkout-color":"#ea5318","breadcrumbs-text-color":"#c0c0c0","breadcrumbs-text-active-color":"#777777","main-menu-text-color":"#ffffff","main-menu-text-hover-color":"#ffffff","sub-menu-background-color":"#262626","sub-menu-text-color":"#bababa","sub-menu-text-hover-color":"#ffffff","sub-menu-text-hover-background-color":"#303030","sub-mega-menu-title-color":"#ffffff","sub-mega-menu-divider-color":"#424242","side-menu-text-color":"#979797","side-menu-text-hover-color":"#ffffff","side-menu-background-color":"#1f1f1f","side-menu-border-color":"#626262","overlay-menu-background-color":"#000000","overlay-menu-border-color":"#424242","overlay-menu-text-color":"#ffffff","overlay-menu-text-hover-color":"#a8a8a8","anchor-bullet-background-color":"#777777","anchor-bullet-background-active-color":"#ffffff","navigation-right-button-text-color":"#333333","navigation-right-button-background-color":"","navigation-right-button-border-color":"#333333","navigation-right-button-text-hover-color":"#555555","navigation-right-button-background-hover-color":"","navigation-right-button-border-hover-color":"#555555","body-background-color":"#ffffff","container-background-color":"#ffffff","page-title-color":"#ffffff","page-caption-color":"#ffffff","page-title-background-overlay-color":"#000000","body-content-color":"#8c8c8c","heading-color":"#383838","link-color":"#ea5318","link-hover-color":"#ea7e54","divider-color":"#e1e1e1","input-box-background-color":"#ffffff","input-box-border-color":"#d7d7d7","input-box-text-color":"#4e4e4e","input-box-placeholder-color":"#4e4e4e","404-content-background-color":"#23618e","404-head-color":"#ffffff","404-title-color":"#ffffff","404-caption-color":"#c3e7ff","404-input-background-color":"#000000","404-input-text-color":"#ffffff","404-back-to-home-color":"#ffffff","sidebar-title-color":"#383838","sidebar-link-color":"#484848","sidebar-link-hover-color":"#323232","recent-post-widget-info-icon-color":"#9c9c9c","recent-post-widget-info-link-color":"#a0a0a0","post-slider-widget-title-color":"#ffffff","post-slider-widget-info-color":"#9c9c9c","search-box-text-color":"#b5b5b5","search-box-border-color":"#e0e0e0","search-box-icon-color":"#c7c7c7","twitter-widget-icon-color":"#303030","twitter-widget-date-color":"#b5b5b5","footer-background-color":"#101010","footer-title-color":"#ffffff","footer-content-color":"#ababab","footer-link-color":"#ffffff","footer-link-hover-color":"#ffffff","footer-divider-color":"#2e2e2e","copyright-background-color":"#181818","copyright-text-color":"#838383","back-to-top-background-color":"#dbdbdb","back-to-top-text-color":"#313131","single-blog-title-color":"#ffffff","single-blog-info-color":"#ffffff","single-blog-date-day-color":"#ffffff","single-blog-date-month-color":"#b1b1b1","single-blog-divider-color":"#ffffff","single-blog-title-background-overlay-color":"#000000","single-blog-author-title-color":"#464646","single-blog-author-caption-color":"#b1b1b1","single-blog-navigation-color":"#bcbcbc","single-blog-comment-title-color":"#464646","single-blog-comment-background-color":"#f9f9f9","single-blog-comment-reply-color":"#bcbcbc","single-blog-comment-time-color":"#b1b1b1","blog-title-color":"#343434","blog-title-hover-color":"#343434","blog-sticky-banner-color":"#ffffff","blog-sticky-banner-background":"#ea5318","blog-info-color":"#ea5318","blog-date-day-color":"#353535","blog-date-month-color":"#8a8a8a","blog-frame-background-color":"#ffffff","blog-modern-text-color":"#ffffff","blog-aside-background-color":"#ea5318","blog-aside-text-color":"#ffffff","pagination-background-color":"#e6e6e6","pagination-text-color":"#929292","pagination-background-hover-color":"#ea5318","pagination-text-hover-color":"#ffffff","pagination-plain-color":"#b4b4b4","pagination-plain-hover-color":"#424242","single-portfolio-nav-color":"#bcbcbc","portfolio-title-color":"#191919","portfolio-info-head-color":"#343434","portfolio-info-color":"#a5a5a5","portfolio-badge-text-color":"#ffffff","portfolio-badge-background-color":"#e24a3b","portfolio-thumbnail-title-color":"#ffffff","portfolio-thumbnail-info-color":"#cecece","portfolio-text-filter-color":"#606060","portfolio-text-filter-active-color":"#ea5318","portfolio-button-filter-text-color":"#838383","portfolio-button-filter-background-color":"#f1f1f1","portfolio-button-filter-text-active-color":"#ffffff","portfolio-button-filter-background-active-color":"#ea5318","price-table-background-color":"#f8f8f8","price-table-head-color":"#3e3e3e","price-table-head-top-gradient-color":"#525252","price-table-icon-color":"#ffffff","price-table-title-color":"#ffffff","price-table-caption-color":"#acacac","price-table-price-background-color":"#ebebeb","price-table-price-color":"#323232","price-table-price-suffix-color":"#acacac","price-table-price-button-color":"#ffffff","price-table-button-background-color":"#575757","price-table-button-background-top-gradient-color":"#414141","price-table-list-border-color":"#e5e5e5","price-table-active-head-color":"#ea5318","price-table-active-head-top-gradient-color":"#ea6c18","price-table-active-icon-color":"#ffffff","price-table-active-title-color":"#ffffff","price-table-active-caption-color":"#eac3b4","price-table-active-price-background-color":"#ffffff","price-table-active-price-color":"#323232","price-table-active-price-suffix-color":"#acacac","price-table-active-price-button-color":"#ffffff","price-table-active-button-background-color":"#ea5318","price-table-active-button-background-top-gradient-color":"#ea6c18","accordion-normal-icon-color":"#191919","accordion-normal-title-color":"#282828","accordion-normal-icon-background-color":"#f3f3f3","accordion-icon-color":"#191919","accordion-title-color":"#262626","accordion-title-background-color":"#f3f3f3","accordion-icon-active-color":"#191919","accordion-title-active-color":"#ea5318","accordion-title-background-active-color":"#f3f3f3","audio-background-color":"#e7e7e7","audio-text-color":"#202020","audio-content-background-color":"#afafaf","audio-content-progress-color":"#ea5318","audio-volume-background-color":"#afafaf","audio-volume-progress-color":"#646464","alert-box-item-background-color":"#ef5e68","alert-box-item-border-color":"#cd515a","alert-box-item-content-color":"#ffffff","alert-box-item-title-color":"#ffffff","blockquote-text-color":"#777777","blockquote-background-color":"#f5f5f5","blockquote-border-color":"#e2e2e2","blockquote-item-icon-color":"#4e4e4e","blockquote-item-content-color":"#4e4e4e","button-text-color":"#ffffff","button-text-hover-color":"#ffffff","button-background-color":"#ea5318","button-background-hover-color":"#ea6c18","button-border-color":"#383838","button-border-hover-color":"#000000","button-gradient-background-color":"#ea5318","button-top-gradient-background-color":"#ea6c18","call-to-action-title-color":"#2c2c2c","call-to-action-caption-color":"#535353","counter-item-top-text-color":"#828282","counter-item-top-icon-color":"#393939","counter-item-number-color":"#393939","counter-item-divider-color":"#393939","counter-item-bottom-text-color":"#393939","column-service-icon-color":"#9d9d9d","column-service-icon-background":"#f3f3f3","column-service-title-color":"#383838","column-service-caption-color":"#747474","dropdown-tab-head-background":"#f7c02e","dropdown-tab-head-text":"#252525","flipbox-background-color":"#ea5318","flipbox-border-color":"#dd5618","flipbox-icon-color":"#ffffff","flipbox-title-color":"#ffffff","flipbox-caption-color":"#ffffff","flipbox-content-color":"#ffffff","gallery-overlay-title":"#ffffff","gallery-overlay-caption":"#cecece","image-overlay-background-color":"#000000","image-overlay-icon-color":"#ffffff","image-item-border-color":"#000000","item-title-color":"#343434","item-title-caption-color":"#747474","item-title-link-color":"#747474","icon-list-item-icon-color":"#222222","icon-list-item-icon-background-color":"#f3f3f3","opening-hour-day-color":"#a5a5a5","opening-hour-open-color":"#262626","opening-hour-close-color":"#c8c8c8","opening-hour-icon-color":"#8a8989","opening-hour-divider-color":"#a6a6a6","personnel-grid-title-color":"#383838","personnel-grid-position-color":"#888888","personnel-grid-divider-color":"#cecece","personnel-grid-frame-color":"#ffffff","personnel-modern-title-color":"#ffffff","personnel-modern-position-color":"#ffffff","promo-box-item-title-color":"#383838","promo-box-content-border-color":"#e8e7e7","post-slider-title-color":"#ffffff","post-slider-info-color":"#c5c5c5","skill-bar-title-color":"#505050","skill-bar-icon-color":"#616161","skill-bar-background-color":"#f3f3f3","skill-bar-progress-color":"#ea5318","slider-outer-navigation-color":"#ffffff","slider-outer-navigation-background-color":"#ea5318","slider-control-navigation-color":"#8a8a8a","social-share-icon-color":"#202020","social-share-divider-color":"#e5e5e5","social-share-text-color":"#202020","stunning-text-title-color":"#747474","stunning-text-caption-color":"#383838","tab-title-color":"#8d8d8d","tab-title-background-color":"#f7f7f7","tab-title-border-color":"#ebebeb","tab-title-hover-bar-color":"#ea5318","tab-title-active-color":"#464646","tab-title-active-background-color":"#ffffff","table-head-background-color":"#ea5318","table-head-text-color":"#ffffff","table-odd-background-color":"#f9f9f9","table-odd-text-color":"#949494","table-even-background":"#f3f3f3","table-even-text":"#949494","testimonial-title-color":"#232323","testimonial-content-color":"#707070","testimonial-author-color":"#3b3b3b","testimonial-position-color":"#3b3b3b","testimonial-quote-color":"#282828","title-item-title-color":"#383838","title-item-caption-color":"#747474","woocommerce-theme-color":"#467fe7","woocommerce-price-color":"#467fe7","woocommerce-price-linethrough-color":"#949494","woocommerce-button-background-hover-color":"#9db7e8","woocommerce-button-text-color":"#ffffff","woocommerce-button-text-hover-color":"#ffffff","woocommerce-input-background-color":"#f3f3f3","product-item-title-color":"#191919","product-item-title-hover-color":"#434343","view-detail-text-color":"#ffffff","view-detail-background-color":"#000000","add-to-cart-text-color":"#ffffff","add-to-cart-background-color":"#467fe7","widget-price-filter-bar-background-color":"#e6e6e6","widget-price-filter-range-color":"#8babe8","widget-price-filter-handle-color":"#467fe7","blog-info-icon-color":"#9a9a9a","skin":[{"name":"Dark","title":"#ffffff","title-hover":"#ffffff","caption":"#ffffff","content":"#ededed","icon":"#ffffff","link":"#ffffff","link-hover":"#ffffff","divider":"#bcbcbc","border":"#8e8e8e","element-background":"","element-content":"#3a3a3a","button-text":"#969696","button-text-hover":"#383838","button-background":"#ffffff","button-background-hover":"#d6d6d6","button-border-color":"","button-border-hover-color":""},{"name":"White Text","title":"#ffffff","title-hover":"","caption":"#eaeaea","content":"#ffffff","icon":"#ffffff","link":"#ffffff","link-hover":"#ffffff","divider":"#ffffff","border":"#ffffff","element-background":"#ffffff","element-content":"#ffffff","button-text":"#ffffff","button-text-hover":"#ffffff","button-background":"#212121","button-background-hover":"#262626","button-border-color":"#ffffff","button-border-hover-color":"#ffffff"},{"name":"Grey","title":"#3a3a3a","title-hover":"","caption":"#727272","content":"#515151","icon":"#5e5e5e","link":"","link-hover":"","divider":"#cecece","border":"#d6d6d6","element-background":"#ffffff","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Dark Personnel","title":"#ffffff","title-hover":"#ffffff","caption":"#dbdbdb","content":"#ffffff","icon":"#ffffff","link":"#ffffff","link-hover":"#ffffff","divider":"#b2b2b2","border":"#b2b2b2","element-background":"#ffffff","element-content":"#3a3a3a","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Maintenance","title":"#ffffff","title-hover":"","caption":"#ffffff","content":"#d8d8d8","icon":"","link":"","link-hover":"","divider":"#bababa","border":"#727272","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Dark Search","title":"#ffffff","title-hover":"","caption":"","content":"#c2cadd","icon":"#ccd5e8","link":"","link-hover":"","divider":"#676e74","border":"#676e74","element-background":"#585d6b","element-content":"#b9c1d5","button-text":"","button-text-hover":"","button-background":"#4296ed","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Grey Frame","title":"","title-hover":"","caption":"","content":"","icon":"","link":"","link-hover":"","divider":"","border":"","element-background":"#f6f6f6","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Newsletter form","title":"","title-hover":"","caption":"","content":"","icon":"","link":"","link-hover":"","divider":"#bcbcbc","border":"#f3f3f3","element-background":"#f3f3f3","element-content":"#757575","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Testimonial","title":"#ffffff","title-hover":"","caption":"#d2d2d2","content":"#d2d2d2","icon":"#ea5318","link":"","link-hover":"","divider":"","border":"","element-background":"#ffffff","element-content":"#ffffff","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"HP 1 Service","title":"#ea5318","title-hover":"","caption":"","content":"","icon":"","link":"","link-hover":"","divider":"","border":"#e3e3e3","element-background":"#ffffff","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Hp 1 Search","title":"#828282","title-hover":"","caption":"","content":"","icon":"","link":"","link-hover":"","divider":"","border":"#e6e6e6","element-background":"#ffffff","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Hp 1 Why Us","title":"","title-hover":"","caption":"","content":"#768494","icon":"","link":"","link-hover":"","divider":"","border":"","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""}],"top-bar-icon-color":"#ea5318","tagcloud-background-color":"#ffffff","portfolio-frame-background-color":"#ffffff","accordion-normal-title-head-color":"#191919","accordion-title-head-color":"#191919","newsletter-input-background":"#ffffff","newsletter-input-text":"#8d8d8d","testimonial-rating-color":"#ffa127"},"traveltour_plugin":{"enable-srcset":"disable","lightbox":"ilightbox","ilightbox-skin":"dark","link-to-lightbox":"enable","additional-css":"","additional-script":"","enable-maintenance":"disable","maintenance-page":"4821","enable-preload":"disable","preload-image":"","thumbnail-sizing":[{"name":"Personnel Thumbnail","width":"700","height":"500","hard-crop":""},{"name":"Portfolio Thumbnail","width":"700","height":"450","hard-crop":""},{"name":"Portfolio Thumbnail Portrait","width":"700","height":"660","hard-crop":""},{"name":"Portfolio Thumbnail Portrait 2","width":"600","height":"800","hard-crop":""},{"name":"Large Landscape","width":"1280","height":"580","hard-crop":""},{"name":"Large Landscape 2","width":"1550","height":"700","hard-crop":""},{"name":"Portfolio Side Description Large","width":"900","height":"500","hard-crop":""},{"name":"Blog Full Thumbnail","width":"1100","height":"490","hard-crop":""},{"name":"Blog Column Thumbnail","width":"700","height":"430","hard-crop":""},{"name":"Personnel Thumbnail 2","width":"550","height":"500","hard-crop":""},{"name":"Large Landscape 3","width":"1500","height":"1000","hard-crop":""},{"name":"Personnel Square","width":"600","height":"600","hard-crop":""},{"name":"Tour Category","width":"800","height":"960","hard-crop":""},{"name":"Tour Side Thumbnail","width":"600","height":"700","hard-crop":""}],"additional-mobile-css":"","additional-head-script":"jQuery(\"#map\").click(function () {\n    jQuery(\"#map iframe\").css(\"pointer-events\", \"auto\");\n});\njQuery(\"#map\").mouseleave(function() {\n  jQuery(\"#map iframe\").css(\"pointer-events\", \"none\"); \n});\n"}}'
				),
				'yachttour' => array(
					'title' => esc_html__('Yacht Tour', 'traveltour'),
					'url' => 'https://demo.goodlayers.com/traveltour/yachttour',
					'xml' => get_template_directory() . '/admin/function/files/yachttour.xml',
					'page' => 5228,
					'menu' => array('main_menu' => 64, 'mobile_menu' => 64),
					'widget' => '{"gdlrcst_sidebar_name":[{"name":"Blog","id":"blog"},{"name":"Blog Left","id":"blog-left"},{"name":"Blog Right","id":"blog-right"},{"name":"Single Tour","id":"single-tour"},{"name":"Tour list","id":"tour-list"},{"name":"Payment","id":"payment"}],"sidebars_widgets":{"wp_inactive_widgets":["tag_cloud-5","tourmaster-tour-widget-2","tourmaster-tour-widget-3","tourmaster-tour-widget-4","tourmaster-widget-tour-category-2","tourmaster-widget-tour-category-3","gdlr-core-recent-portfolio-widget-1","recent-posts-3","tourmaster-widget-tour-category-4","tourmaster-widget-tour-category-5","gdlr-core-recent-post-widget-3"],"gdlr-core-sidebar-preset":["search-2","recent-posts-2","archives-2","categories-2","meta-2"],"footer-1":["text-15"],"footer-2":["nav_menu-4"],"footer-3":["nav_menu-5"],"footer-4":["text-16"],"blog":["text-7","gdlr-core-recent-portfolio-widget-3","recent-comments-5","tag_cloud-3"],"blog-left":["search-4","text-8","recent-posts-5","gdlr-core-portfolio-slider-widget-2"],"blog-right":["text-9","recent-comments-6","tag_cloud-4"],"single-tour":["text-11","text-12"],"tour-list":["tourmaster-tour-widget-5","text-10","nav_menu-3","gdlr-core-recent-post-widget-4"],"payment":["text-14","text-13"],"array_version":3},"widget_archives":{"2":{"title":"","count":0,"dropdown":0},"_multiwidget":1},"widget_calendar":{"_multiwidget":1},"widget_categories":{"2":{"title":"","count":0,"hierarchical":0,"dropdown":0},"_multiwidget":1},"widget_custom_html":{"_multiwidget":1},"widget_gdlr-core-custom-menu-widget":{"_multiwidget":1},"widget_gdlr-core-portfolio-slider-widget":{"2":{"title":"Recent Works","category":"","num-fetch":"3","thumbnail-size":"Frame Landscape 2"},"_multiwidget":1},"widget_gdlr-core-post-slider-widget":{"_multiwidget":1},"widget_gdlr-core-recent-comment-widget":{"_multiwidget":1},"widget_gdlr-core-recent-portfolio-widget":{"1":{"title":"Recent Works","category":"","num-fetch":"6"},"3":{"title":"Recent Works","category":"","num-fetch":"9"},"_multiwidget":1},"widget_gdlr-core-recent-post-widget":{"3":{"title":"Recent Articles","category":"blog","num-fetch":"3"},"4":{"title":"Recent Articles","category":"blog","num-fetch":"3"},"_multiwidget":1},"widget_gdlr-core-twitter-widget":{"_multiwidget":1},"widget_media_audio":{"_multiwidget":1},"widget_media_gallery":{"_multiwidget":1},"widget_media_image":{"_multiwidget":1},"widget_media_video":{"_multiwidget":1},"widget_meta":{"2":{"title":""},"_multiwidget":1},"widget_nav_menu":{"3":{"title":"Tour Category","nav_menu":104},"4":{"title":"About Us","nav_menu":73},"5":{"title":"Support","nav_menu":74},"_multiwidget":1},"widget_newsletterwidget":{"_multiwidget":1},"widget_newsletterwidgetminimal":{"_multiwidget":1},"widget_nextend_social_login":{"_multiwidget":1},"widget_pages":{"_multiwidget":1},"widget_recent-comments":{"5":{"title":"","number":5},"6":{"title":"","number":5},"_multiwidget":1},"widget_recent-posts":{"2":{"title":"","number":5},"3":{"title":"","number":5,"show_date":false},"5":{"title":"Recent Posts","number":5,"show_date":false},"_multiwidget":1},"widget_rev-slider-widget":{"_multiwidget":1},"widget_rss":{"1":[],"_multiwidget":1},"widget_search":{"2":{"title":""},"4":{"title":""},"_multiwidget":1},"widget_tag_cloud":{"3":{"title":"Tag Cloud","taxonomy":"post_tag"},"4":{"title":"Tag Cloud","taxonomy":"post_tag"},"5":{"title":"","taxonomy":"post_tag"},"_multiwidget":1},"widget_text":{"7":{"title":"Text Widget","text":"Nulla vitae elit libero, a pharetra augue. Nulla vitae elit libero, a pharetra augue. Nulla vitae elit libero, a pharetra augue. Donec sed odio dui. Etiam porta sem malesuada.","filter":false},"8":{"title":"About Us","text":"Nulla vitae elit libero, a pharetra augue. Nulla vitae elit libero, a pharetra augue. Nulla vitae elit libero, a pharetra augue. Donec sed odio dui.","filter":false},"9":{"title":"Text Widget","text":"Nulla vitae elit libero, a pharetra augue. Nulla vitae elit libero, a pharetra augue. Nulla vitae elit libero, a pharetra augue. Donec sed odio dui. Etiam porta sem malesuada.","filter":false},"10":{"title":"","text":"[gdlr_widget_box title=\"Get a Question?\" title-color=\"#ffffff\" background=\"https:\/\/demo.goodlayers.com\/traveltour\/yachttour\/wp-content\/uploads\/2018\/06\/page-title.jpg\" color=\"#c9e2ff\" ]\r\nDo not hesitage to give us a call. We are an expert team and we are happy to talk to you.\r\n\r\n[gdlr_core_icon icon=\"fa fa-phone\" size=\"17px\" color=\"#a69371\" margin-right=\"10px\" ] <span style=\"font-size: 17px; color: #ffffff; font-weight: 600;\">1.8445.3356.33<\/span>\r\n\r\n<span style=\"font-size: 14px; color: #fff; font-weight: 600;\">Help@goodlayers.com<\/span>\r\n\r\n[\/gdlr_widget_box]","filter":false,"visual":false},"11":{"title":"","text":"[gdlr_core_space height=\"-20px\"]\r\n[gdlr_widget_list title=\"Why Book With Us?\" title-color=\"\" background-color=\"\" color=\"\" border-color=\"\" ]\r\n<ul>\r\n<li>[gdlr_core_icon icon=\"fa fa-dollar\" size=\"15px\" color=\"#234076\" margin-right=\"13px\" ]No-hassle best price guarantee<\/li>\r\n<li>[gdlr_core_icon icon=\"fa fa-headphones\" size=\"15px\" color=\"#234076\" margin-right=\"10px\" ]Customer care available 24\/7<\/li>\r\n<li>[gdlr_core_icon icon=\"fa fa-star\" size=\"15px\" color=\"#234076\" margin-right=\"10px\" ]Hand-picked Tours & Activities<\/li>\r\n<li>[gdlr_core_icon icon=\"fa fa-support\" size=\"15px\" color=\"#234076\" margin-right=\"10px\" ]Free Travel Insureance<\/li>\r\n<\/ul>\r\n[\/gdlr_widget_list]","filter":false,"visual":false},"12":{"title":"","text":"[gdlr_core_space height=\"-10px\"]\r\n[gdlr_widget_box title=\"Get a Question?\" title-color=\"#ffffff\" background=\"https:\/\/demo.goodlayers.com\/traveltour\/yachttour\/wp-content\/uploads\/2018\/06\/page-title.jpg\" color=\"#c9e2ff\" ]\r\nDo not hesitage to give us a call. We are an expert team and we are happy to talk to you.\r\n\r\n[gdlr_core_icon icon=\"fa fa-phone\" size=\"20px\" color=\"#a69371\" margin-right=\"10px\" ] <span style=\"font-size: 20px; color: #ffffff; font-weight: 600;\">1.8445.3356.33<\/span>\r\n\r\n[gdlr_core_icon icon=\"fa fa-envelope-o\" size=\"17px\" color=\"#a69371\" margin-right=\"10px\" ] <span style=\"font-size: 14px; color: #fff; font-weight: 600;\">Help@goodlayers.com<\/span>\r\n\r\n\r\n[\/gdlr_widget_box]","filter":false,"visual":false},"13":{"title":"","text":"[gdlr_core_space height=\"-10px\"]\r\n\r\n[gdlr_widget_box title=\"Pay Safely With Us\" title-color=\"#ffffff\" background=\"#373737\" left-icon=\"icon_lock_alt\"]\r\n\r\n<span style=\"font-size: 13px; color: #ffffff; \">The payment is encrypted and \r\ntransmitted securely with an <strong>SSL \r\nprotocol.<\/strong><\/span>\r\n\r\n[gdlr_core_space height=\"25px\"]\r\n\r\n[\/gdlr_widget_box]","filter":false},"14":{"title":"","text":"[gdlr_core_space height=\"-20px\"]\r\n[gdlr_widget_list title=\"Why Book With Us?\" title-color=\"\" background-color=\"\" color=\"\" border-color=\"\" ]\r\n<ul>\r\n<li>[gdlr_core_icon icon=\"fa fa-dollar\" size=\"15px\" color=\"#877452\" margin-right=\"13px\" ]No-hassle best price guarantee<\/li>\r\n<li>[gdlr_core_icon icon=\"fa fa-headphones\" size=\"15px\" color=\"#877452\" margin-right=\"10px\" ]Customer care available 24\/7<\/li>\r\n<li>[gdlr_core_icon icon=\"fa fa-star\" size=\"15px\" color=\"#877452\" margin-right=\"10px\" ]Hand-picked Tours & Activities<\/li>\r\n<li>[gdlr_core_icon icon=\"fa fa-support\" size=\"15px\" color=\"#877452\" margin-right=\"10px\" ]Free Travel Insureance<\/li>\r\n<\/ul>\r\n[\/gdlr_widget_list]","filter":false,"visual":false},"15":{"title":"Contact Info","text":"<div style=\"margin-bottom: 7px;\"><span style=\"color: #8aa5e8;\">London<\/span>[gdlr_core_icon icon=\"fa fa-phone\" size=\"15px\" color=\"#ffffff\" margin-left=\"20px\" margin-right=\"10px\" ]<span style=\"color: #ffffff;\">+6-345-3456-233<\/span><\/div>\r\n<div style=\"margin-bottom: 7px;\"><span style=\"color: #8aa5e8;\">Hawaii<\/span>[gdlr_core_icon icon=\"fa fa-phone\" size=\"15px\" color=\"#ffffff\" margin-left=\"20px\" margin-right=\"10px\" ]<span style=\"color: #ffffff;\">+1-345-33454-4<\/span><\/div>\r\n<div style=\"margin-bottom: 23px;\"><span style=\"color: #8aa5e8;\">Greece<\/span>[gdlr_core_icon icon=\"fa fa-phone\" size=\"15px\" color=\"#ffffff\" margin-left=\"20px\" margin-right=\"10px\" ]<span style=\"color: #ffffff;\">+34-8757-4556<\/span><\/div>\r\n<div style=\"margin-bottom: 23px;\">[gdlr_core_icon icon=\"fa fa-envelope-open-o\" size=\"15px\" color=\"#ffffff\" margin-left=\"\" margin-right=\"10px\" ]<span style=\"color: #ffffff;\">Ask@traveltourtheme.com<\/span><\/div>\r\n\u00a9 2014-2017 Travel Tour\r\nAll Rights Reserved.","filter":true,"visual":true},"16":{"title":"Pay Safely With Us","text":"<span style=\"color: #fff;\">The payment is encrypted and transmitted securely with an SSL protocol.<\/span>\r\n<img src=\"https:\/\/demo.goodlayers.com\/traveltour\/citytour\/wp-content\/uploads\/2017\/07\/creditcard-logo.png\" alt=\"\" \/>","filter":true,"visual":true},"_multiwidget":1},"widget_tourmaster-tour-search-widget":{"_multiwidget":1},"widget_tourmaster-tour-widget":{"2":{"title":"Recent Tours","category":"","num-fetch":"3"},"3":{"title":"Recent Tours","category":"","num-fetch":"3"},"4":{"title":"Recent Tours","category":"","num-fetch":"4"},"5":{"title":"Latest Tours","category":"","num-fetch":"4"},"_multiwidget":1},"widget_tourmaster-widget-tour-category":{"2":{"title":"Tour Destinations","num-fetch":"6","column-size":"20","thumbnail-size":"thumbnail","style":"widget"},"3":{"title":"Top Destinations","num-fetch":"6","column-size":"20","thumbnail-size":"Personnel Square","style":"widget"},"4":{"title":"Tour Destinations","num-fetch":"6","column-size":"20","thumbnail-size":"Personnel Square","style":"widget"},"5":{"title":"Destinations","num-fetch":"6","column-size":"60","thumbnail-size":"Personnel Square","style":"widget"},"_multiwidget":1},"widget_woocommerce_layered_nav":{"_multiwidget":1},"widget_woocommerce_layered_nav_filters":{"_multiwidget":1},"widget_woocommerce_price_filter":{"_multiwidget":1},"widget_woocommerce_product_categories":{"_multiwidget":1},"widget_woocommerce_product_search":{"_multiwidget":1},"widget_woocommerce_product_tag_cloud":{"_multiwidget":1},"widget_woocommerce_products":{"_multiwidget":1},"widget_woocommerce_rating_filter":{"_multiwidget":1},"widget_woocommerce_recent_reviews":{"_multiwidget":1},"widget_woocommerce_recently_viewed_products":{"_multiwidget":1},"widget_woocommerce_top_rated_products":{"_multiwidget":1},"widget_woocommerce_widget_cart":{"_multiwidget":1},"widget_wpgmp_google_map_widget_class":{"_multiwidget":1}}', 
					'theme-option' => '{"traveltour_general":{"layout":"full","boxed-layout-top-margin":"0px","body-margin":"0px","background-type":"color","background-image":"","background-pattern":"pattern-1","enable-boxed-border":"disable","item-padding":"20px","container-width":"1320px","container-padding":"20px","sidebar-width":"20","both-sidebar-width":"15","enable-top-bar":"enable","enable-top-bar-on-mobile":"enable","top-bar-width":"boxed","top-bar-width-pixel":"1140px","top-bar-full-side-padding":"15px","top-bar-left-text":"[gdlr_core_icon icon=\"fa fa-phone\" size=\"16px\" color=\"#ffffff\" margin-left=\"\" margin-right=\"10px\" ] 1.820.3345.33\n[gdlr_core_icon icon=\"fa fa-envelope-o\" size=\"16px\" color=\"#ffffff\" margin-left=\"30px\" margin-right=\"10px\" ] Contact@TravelTourWP.com","top-bar-right-text":"","top-bar-top-padding":"23px","top-bar-bottom-padding":"23px","top-bar-text-size":"14px","top-bar-bottom-border":"0px","enable-top-bar-social":"enable","top-bar-social-delicious":"","top-bar-social-email":"","top-bar-social-deviantart":"","top-bar-social-digg":"","top-bar-social-facebook":"#","top-bar-social-flickr":"#","top-bar-social-google-plus":"#","top-bar-social-lastfm":"","top-bar-social-linkedin":"","top-bar-social-pinterest":"","top-bar-social-rss":"","top-bar-social-skype":"","top-bar-social-stumbleupon":"","top-bar-social-tumblr":"","top-bar-social-twitter":"#","top-bar-social-vimeo":"","top-bar-social-youtube":"","top-bar-social-instagram":"","top-bar-social-snapchat":"","header-style":"plain","header-plain-style":"splitted-menu","header-plain-bottom-border":"0px","header-bar-navigation-align":"center","header-background-style":"transparent","top-bar-background-opacity":"45","header-background-opacity":"0","navigation-background-opacity":"50","header-boxed-style":"menu-right","boxed-top-bar-background-opacity":"0","boxed-top-bar-background-extend":"0px","boxed-header-top-margin":"0px","header-side-style":"top-left","header-side-align":"left","header-side-toggle-style":"left","header-side-toggle-menu-type":"overlay","header-side-toggle-display-logo":"enable","header-width":"boxed","header-width-pixel":"1140px","header-full-side-padding":"26px","boxed-header-frame-radius":"3px","boxed-header-content-padding":"49px","navigation-text-top-margin":"11px","navigation-text-top-margin-boxed":"0px","navigation-text-side-spacing":"21px","navigation-slide-bar":"disable","side-header-width-pixel":"340px","side-header-side-padding":"70px","navigation-text-top-spacing":"16px","logo-right-text":"","logo-right-text-top-padding":"30px","logo":"5250","mobile-logo":"5250","logo-top-padding":"25px","logo-bottom-padding":"0px","logo-left-padding":"","max-logo-width":"227px","main-navigation-top-padding":"54px","main-navigation-bottom-padding":"22px","main-navigation-right-padding":"","enable-main-navigation-sticky":"enable","enable-logo-on-main-navigation-sticky":"enable","enable-main-navigation-submenu-indicator":"disable","enable-main-navigation-search":"enable","enable-main-navigation-cart":"disable","enable-main-navigation-right-button":"disable","main-navigation-right-button-text":"Buy Now","main-navigation-right-button-link":"","main-navigation-right-button-link-target":"_self","right-menu-type":"right","right-menu-style":"hamburger-with-border","default-title-style":"custom","default-title-align":"center","default-title-top-padding":"108px","default-title-bottom-padding":"130px","default-page-caption-top-margin":"13px","default-title-font-transform":"none","default-title-font-size":"56px","default-title-font-weight":"","default-title-letter-spacing":"0px","default-caption-font-size":"16px","default-caption-font-weight":"","default-caption-letter-spacing":"0px","default-title-background-overlay-opacity":"0","default-title-background":"5290","default-portfolio-title-background":"5290","default-personnel-title-background":"5290","default-search-title-background":"5290","default-archive-title-background":"5290","default-404-background":"","default-404-background-opacity":"27","default-blog-title-style":"small","default-blog-title-top-padding":"93px","default-blog-title-bottom-padding":"87px","default-blog-feature-image":"content","default-blog-title-background-image":"5290","default-blog-title-background-overlay-opacity":"0","blog-sidebar":"right","blog-sidebar-left":"gdlr-core-sidebar-preset","blog-sidebar-right":"blog-right","blog-max-content-width":"","blog-thumbnail-size":"full","blog-date-feature":"enable","meta-option":["author","category","tag","comment-number"],"blog-author":"enable","blog-navigation":"enable","pagination-style":"round","pagination-align":"right","blog-social-share":"enable","blog-social-share-count":"enable","blog-social-facebook":"enable","blog-social-linkedin":"disable","blog-social-google-plus":"enable","blog-social-pinterest":"enable","blog-social-stumbleupon":"disable","blog-social-twitter":"enable","blog-social-email":"disable","archive-blog-sidebar":"right","archive-blog-sidebar-left":"gdlr-core-sidebar-preset","archive-blog-sidebar-right":"gdlr-core-sidebar-preset","archive-blog-style":"blog-full","archive-blog-full-alignment":"left","archive-thumbnail-size":"full","archive-show-thumbnail":"enable","archive-column-size":"20","archive-excerpt":"specify-number","archive-excerpt-number":"55","archive-date-feature":"enable","archive-meta-option":["date","author","category"],"archive-show-read-more":"enable","woocommerce-archive-sidebar":"right","woocommerce-archive-sidebar-left":"gdlr-core-sidebar-preset","woocommerce-archive-sidebar-right":"gdlr-core-sidebar-preset","woocommerce-archive-column-size":"15","woocommerce-archive-thumbnail":"full","woocommerce-related-product-column-size":"15","woocommerce-related-product-num-fetch":"4","woocommerce-related-product-thumbnail":"full","portfolio-slug":"portfolio","portfolio-category-slug":"portfolio_category","portfolio-tag-slug":"portfolio_tag","enable-single-portfolio-navigation":"enable","portfolio-icon-hover-link":"fa fa-external-link","portfolio-icon-hover-video":"fa fa-film","portfolio-icon-hover-image":"icon_search","portfolio-icon-hover-size":"22px","enable-related-portfolio":"disable","related-portfolio-style":"grid","related-portfolio-column-size":"15","related-portfolio-num-fetch":"4","related-portfolio-thumbnail-size":"medium","related-portfolio-num-excerpt":"20","archive-portfolio-sidebar":"none","archive-portfolio-sidebar-left":"gdlr-core-sidebar-preset","archive-portfolio-sidebar-right":"gdlr-core-sidebar-preset","archive-portfolio-style":"medium","archive-portfolio-thumbnail-size":"full","archive-portfolio-grid-text-align":"left","archive-portfolio-grid-style":"normal","archive-enable-portfolio-tag":"enable","archive-portfolio-medium-size":"small","archive-portfolio-medium-style":"switch","archive-portfolio-hover":"icon","archive-portfolio-column-size":"20","archive-portfolio-excerpt":"specify-number","archive-portfolio-excerpt-number":"55","personnel-slug":"personnel","personnel-category-slug":"personnel_category","fixed-footer":"disable","enable-footer":"enable","footer-top-padding":"70px","footer-bottom-padding":"50px","footer-style":"footer-2","enable-copyright":"enable","copyright-top-padding":"38px","copyright-bottom-padding":"38px","copyright-text":"Copyright 2020 GoodLayers, All Right Reserved","enable-back-to-top":"disable","enable-top-bar-left-on-mobile":"disable","enable-top-bar-right-on-mobile":"enable","enable-top-bar-right-login":"enable","enable-footer-column-divider":"disable","disable-cookie-youtube":"disable","default-blog-title-background-gradient":"both","navigation-left-offset":"-10px"},"traveltour_typography":{"heading-font":"Poppins","navigation-font":"Poppins","content-font":"Poppins","info-font":"Poppins","blog-info-font":"Poppins","quote-font":"Open Sans","additional-font":"Georgia, serif","additional-font2":"Georgia, serif","h1-font-size":"52px","h2-font-size":"48px","h3-font-size":"36px","h4-font-size":"28px","h5-font-size":"22px","h6-font-size":"18px","navigation-font-size":"15px","navigation-font-weight":"400","navigation-text-transform":"none","content-font-size":"15px","content-line-height":"1.7"},"traveltour_color":{"page-preload-background-color":"#ffffff","top-bar-background-color":"#000000","top-bar-bottom-border-color":"#ffffff","top-bar-text-color":"#e2e2e2","top-bar-link-color":"#ffffff","top-bar-link-hover-color":"#ffffff","top-bar-social-color":"#468ae7","top-bar-social-hover-color":"#468ae7","header-background-color":"#001942","header-plain-bottom-border-color":"#e8e8e8","navigation-bar-background-color":"#f4f4f4","navigation-bar-top-border-color":"#e8e8e8","navigation-slide-bar-color":"#234076","logo-background-color":"#ffffff","navigation-bar-right-icon-color":"#ffffff","woocommerce-cart-icon-number-background":"#234076","woocommerce-cart-icon-number-color":"#ffffff","secondary-menu-icon-color":"#ffffff","secondary-menu-border-color":"#dddddd","search-overlay-background-color":"#000000","top-cart-background-color":"#303030","top-cart-text-color":"#b5b5b5","top-cart-view-cart-color":"#ffffff","top-cart-checkout-color":"#234076","breadcrumbs-text-color":"#c0c0c0","breadcrumbs-text-active-color":"#777777","main-menu-text-color":"#c1d9ff","main-menu-text-hover-color":"#ffffff","sub-menu-background-color":"#262626","sub-menu-text-color":"#bababa","sub-menu-text-hover-color":"#ffffff","sub-menu-text-hover-background-color":"#303030","sub-mega-menu-title-color":"#ffffff","sub-mega-menu-divider-color":"#424242","side-menu-text-color":"#979797","side-menu-text-hover-color":"#ffffff","side-menu-background-color":"#1f1f1f","side-menu-border-color":"#626262","overlay-menu-background-color":"#000000","overlay-menu-border-color":"#424242","overlay-menu-text-color":"#ffffff","overlay-menu-text-hover-color":"#a8a8a8","anchor-bullet-background-color":"#777777","anchor-bullet-background-active-color":"#ffffff","navigation-right-button-text-color":"#333333","navigation-right-button-background-color":"","navigation-right-button-border-color":"#333333","navigation-right-button-text-hover-color":"#555555","navigation-right-button-background-hover-color":"","navigation-right-button-border-hover-color":"#555555","body-background-color":"#ffffff","container-background-color":"#ffffff","page-title-color":"#ffffff","page-caption-color":"#ffffff","page-title-background-overlay-color":"#000000","body-content-color":"#727272","heading-color":"#383838","link-color":"#234076","link-hover-color":"#374c75","divider-color":"#e1e1e1","input-box-background-color":"#ffffff","input-box-border-color":"#d7d7d7","input-box-text-color":"#4e4e4e","input-box-placeholder-color":"#4e4e4e","404-content-background-color":"#23618e","404-head-color":"#ffffff","404-title-color":"#ffffff","404-caption-color":"#c3e7ff","404-input-background-color":"#000000","404-input-text-color":"#ffffff","404-back-to-home-color":"#ffffff","sidebar-title-color":"#383838","sidebar-link-color":"#484848","sidebar-link-hover-color":"#323232","recent-post-widget-info-icon-color":"#9c9c9c","recent-post-widget-info-link-color":"#a0a0a0","post-slider-widget-title-color":"#ffffff","post-slider-widget-info-color":"#9c9c9c","search-box-text-color":"#b5b5b5","search-box-border-color":"#e0e0e0","search-box-icon-color":"#c7c7c7","twitter-widget-icon-color":"#303030","twitter-widget-date-color":"#b5b5b5","footer-background-color":"#202020","footer-title-color":"#ffffff","footer-content-color":"#ababab","footer-link-color":"#ffffff","footer-link-hover-color":"#ffffff","footer-divider-color":"#303030","copyright-background-color":"#181818","copyright-text-color":"#838383","back-to-top-background-color":"#dbdbdb","back-to-top-text-color":"#313131","single-blog-title-color":"#ffffff","single-blog-info-color":"#ffffff","single-blog-date-day-color":"#ffffff","single-blog-date-month-color":"#b1b1b1","single-blog-divider-color":"#ffffff","single-blog-title-background-overlay-color":"#000000","single-blog-author-title-color":"#464646","single-blog-author-caption-color":"#b1b1b1","single-blog-navigation-color":"#bcbcbc","single-blog-comment-title-color":"#464646","single-blog-comment-background-color":"#f9f9f9","single-blog-comment-reply-color":"#bcbcbc","single-blog-comment-time-color":"#b1b1b1","blog-title-color":"#343434","blog-title-hover-color":"#343434","blog-sticky-banner-color":"#ffffff","blog-sticky-banner-background":"#234076","blog-info-color":"#234076","blog-date-day-color":"#353535","blog-date-month-color":"#8a8a8a","blog-frame-background-color":"#ffffff","blog-modern-text-color":"#ffffff","blog-aside-background-color":"#234076","blog-aside-text-color":"#ffffff","pagination-background-color":"#e6e6e6","pagination-text-color":"#929292","pagination-background-hover-color":"#234076","pagination-text-hover-color":"#ffffff","pagination-plain-color":"#b4b4b4","pagination-plain-hover-color":"#424242","single-portfolio-nav-color":"#bcbcbc","portfolio-title-color":"#191919","portfolio-info-head-color":"#343434","portfolio-info-color":"#a5a5a5","portfolio-badge-text-color":"#ffffff","portfolio-badge-background-color":"#e24a3b","portfolio-thumbnail-title-color":"#ffffff","portfolio-thumbnail-info-color":"#cecece","portfolio-text-filter-color":"#606060","portfolio-text-filter-active-color":"#234076","portfolio-button-filter-text-color":"#838383","portfolio-button-filter-background-color":"#f1f1f1","portfolio-button-filter-text-active-color":"#ffffff","portfolio-button-filter-background-active-color":"#234076","price-table-background-color":"#f8f8f8","price-table-head-color":"#3e3e3e","price-table-head-top-gradient-color":"#525252","price-table-icon-color":"#ffffff","price-table-title-color":"#ffffff","price-table-caption-color":"#acacac","price-table-price-background-color":"#ebebeb","price-table-price-color":"#323232","price-table-price-suffix-color":"#acacac","price-table-price-button-color":"#ffffff","price-table-button-background-color":"#575757","price-table-button-background-top-gradient-color":"#414141","price-table-list-border-color":"#e5e5e5","price-table-active-head-color":"#234076","price-table-active-head-top-gradient-color":"#51607f","price-table-active-icon-color":"#ffffff","price-table-active-title-color":"#ffffff","price-table-active-caption-color":"#425a96","price-table-active-price-background-color":"#ffffff","price-table-active-price-color":"#323232","price-table-active-price-suffix-color":"#acacac","price-table-active-price-button-color":"#ffffff","price-table-active-button-background-color":"#234076","price-table-active-button-background-top-gradient-color":"#425a96","accordion-normal-icon-color":"#191919","accordion-normal-title-color":"#282828","accordion-normal-icon-background-color":"#f3f3f3","accordion-icon-color":"#191919","accordion-title-color":"#262626","accordion-title-background-color":"#f3f3f3","accordion-icon-active-color":"#191919","accordion-title-active-color":"#425a96","accordion-title-background-active-color":"#f3f3f3","audio-background-color":"#e7e7e7","audio-text-color":"#202020","audio-content-background-color":"#afafaf","audio-content-progress-color":"#425a96","audio-volume-background-color":"#afafaf","audio-volume-progress-color":"#646464","alert-box-item-background-color":"#ef5e68","alert-box-item-border-color":"#cd515a","alert-box-item-content-color":"#ffffff","alert-box-item-title-color":"#ffffff","blockquote-text-color":"#777777","blockquote-background-color":"#f5f5f5","blockquote-border-color":"#e2e2e2","blockquote-item-icon-color":"#4e4e4e","blockquote-item-content-color":"#4e4e4e","button-text-color":"#ffffff","button-text-hover-color":"#ffffff","button-background-color":"#9e845b","button-background-hover-color":"#af9666","button-border-color":"#383838","button-border-hover-color":"#000000","button-gradient-background-color":"#9e845b","button-top-gradient-background-color":"#b7a480","call-to-action-title-color":"#2c2c2c","call-to-action-caption-color":"#535353","counter-item-top-text-color":"#828282","counter-item-top-icon-color":"#393939","counter-item-number-color":"#393939","counter-item-divider-color":"#393939","counter-item-bottom-text-color":"#393939","column-service-icon-color":"#9d9d9d","column-service-icon-background":"#f3f3f3","column-service-title-color":"#383838","column-service-caption-color":"#747474","dropdown-tab-head-background":"#f7c02e","dropdown-tab-head-text":"#252525","flipbox-background-color":"#425a96","flipbox-border-color":"#425a96","flipbox-icon-color":"#ffffff","flipbox-title-color":"#ffffff","flipbox-caption-color":"#ffffff","flipbox-content-color":"#ffffff","gallery-overlay-title":"#ffffff","gallery-overlay-caption":"#cecece","image-overlay-background-color":"#000000","image-overlay-icon-color":"#ffffff","image-item-border-color":"#000000","item-title-color":"#343434","item-title-caption-color":"#747474","item-title-link-color":"#747474","icon-list-item-icon-color":"#222222","icon-list-item-icon-background-color":"#f3f3f3","opening-hour-day-color":"#a5a5a5","opening-hour-open-color":"#262626","opening-hour-close-color":"#c8c8c8","opening-hour-icon-color":"#8a8989","opening-hour-divider-color":"#a6a6a6","personnel-grid-title-color":"#383838","personnel-grid-position-color":"#888888","personnel-grid-divider-color":"#cecece","personnel-grid-frame-color":"#ffffff","personnel-modern-title-color":"#ffffff","personnel-modern-position-color":"#ffffff","promo-box-item-title-color":"#383838","promo-box-content-border-color":"#e8e7e7","post-slider-title-color":"#ffffff","post-slider-info-color":"#c5c5c5","skill-bar-title-color":"#505050","skill-bar-icon-color":"#616161","skill-bar-background-color":"#f3f3f3","skill-bar-progress-color":"#425a96","slider-outer-navigation-color":"#ffffff","slider-outer-navigation-background-color":"#1c386e","slider-control-navigation-color":"#8a8a8a","social-share-icon-color":"#202020","social-share-divider-color":"#e5e5e5","social-share-text-color":"#202020","stunning-text-title-color":"#747474","stunning-text-caption-color":"#383838","tab-title-color":"#8d8d8d","tab-title-background-color":"#f7f7f7","tab-title-border-color":"#ebebeb","tab-title-hover-bar-color":"#425a96","tab-title-active-color":"#464646","tab-title-active-background-color":"#ffffff","table-head-background-color":"#425a96","table-head-text-color":"#ffffff","table-odd-background-color":"#f9f9f9","table-odd-text-color":"#949494","table-even-background":"#f3f3f3","table-even-text":"#949494","testimonial-title-color":"#232323","testimonial-content-color":"#707070","testimonial-author-color":"#3b3b3b","testimonial-position-color":"#3b3b3b","testimonial-quote-color":"#282828","title-item-title-color":"#383838","title-item-caption-color":"#747474","woocommerce-theme-color":"#425a96","woocommerce-price-color":"#425a96","woocommerce-price-linethrough-color":"#949494","woocommerce-button-background-hover-color":"#6377a8","woocommerce-button-text-color":"#ffffff","woocommerce-button-text-hover-color":"#ffffff","woocommerce-input-background-color":"#f3f3f3","product-item-title-color":"#191919","product-item-title-hover-color":"#434343","view-detail-text-color":"#ffffff","view-detail-background-color":"#000000","add-to-cart-text-color":"#ffffff","add-to-cart-background-color":"#425a96","widget-price-filter-bar-background-color":"#e6e6e6","widget-price-filter-range-color":"#677596","widget-price-filter-handle-color":"#425a96","blog-info-icon-color":"#9a9a9a","skin":[{"name":"Dark","title":"#ffffff","title-hover":"#ffffff","caption":"#ffffff","content":"#ededed","icon":"#ffffff","link":"#ffffff","link-hover":"#ffffff","divider":"#bcbcbc","border":"#8e8e8e","element-background":"","element-content":"#3a3a3a","button-text":"#969696","button-text-hover":"#383838","button-background":"#ffffff","button-background-hover":"#d6d6d6","button-border-color":"","button-border-hover-color":""},{"name":"White Text","title":"#ffffff","title-hover":"","caption":"#eaeaea","content":"#ffffff","icon":"#ffffff","link":"#ffffff","link-hover":"#ffffff","divider":"#ffffff","border":"#ffffff","element-background":"#ffffff","element-content":"#ffffff","button-text":"#ffffff","button-text-hover":"#ffffff","button-background":"#212121","button-background-hover":"#262626","button-border-color":"#ffffff","button-border-hover-color":"#ffffff"},{"name":"Grey","title":"#3a3a3a","title-hover":"","caption":"#727272","content":"#515151","icon":"#5e5e5e","link":"","link-hover":"","divider":"#cecece","border":"#d6d6d6","element-background":"#ffffff","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Dark Personnel","title":"#ffffff","title-hover":"#ffffff","caption":"#dbdbdb","content":"#ffffff","icon":"#ffffff","link":"#ffffff","link-hover":"#ffffff","divider":"#b2b2b2","border":"#b2b2b2","element-background":"#ffffff","element-content":"#3a3a3a","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Maintenance","title":"#ffffff","title-hover":"","caption":"#ffffff","content":"#d8d8d8","icon":"","link":"","link-hover":"","divider":"#bababa","border":"#727272","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Dark Search","title":"#ffffff","title-hover":"","caption":"","content":"#c2cadd","icon":"#ccd5e8","link":"","link-hover":"","divider":"#676e74","border":"#676e74","element-background":"#585d6b","element-content":"#b9c1d5","button-text":"","button-text-hover":"","button-background":"#4296ed","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Grey Frame","title":"","title-hover":"","caption":"","content":"","icon":"","link":"","link-hover":"","divider":"","border":"","element-background":"#f6f6f6","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Newsletter form","title":"","title-hover":"","caption":"","content":"","icon":"","link":"","link-hover":"","divider":"#bcbcbc","border":"#f3f3f3","element-background":"#f3f3f3","element-content":"#757575","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Yacht Column Service","title":"#ffffff","title-hover":"","caption":"","content":"#aab6cf","icon":"","link":"","link-hover":"","divider":"","border":"","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"yacht search form","title":"","title-hover":"","caption":"","content":"","icon":"","link":"","link-hover":"","divider":"","border":"#ffffff","element-background":"#ffffff","element-content":"","button-text":"","button-text-hover":"","button-background":"#313131","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Yacht Counter","title":"#ffffff","title-hover":"","caption":"#97afd9","content":"#97afd9","icon":"","link":"","link-hover":"","divider":"","border":"","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Yacht Testimonial","title":"","title-hover":"","caption":"","content":"","icon":"","link":"","link-hover":"","divider":"","border":"#b4a07b","element-background":"#b4a07b","element-content":"#b4a07b","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Blue Search","title":"#ffffff","title-hover":"","caption":"#ffffff","content":"#ffffff","icon":"","link":"","link-hover":"","divider":"","border":"#ffffff","element-background":"#ffffff","element-content":"#a3a3a3","button-text":"#ffffff","button-text-hover":"#d6d6d6","button-background":"#978158","button-background-hover":"#0a0a0a","button-border-color":"","button-border-hover-color":""},{"name":"Blue Carousel","title":"","title-hover":"","caption":"","content":"","icon":"#ffffff","link":"","link-hover":"","divider":"","border":"","element-background":"#234076","element-content":"#ffffff","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""}],"top-bar-icon-color":"#ffffff","tagcloud-background-color":"#ffffff","portfolio-frame-background-color":"#ffffff","accordion-normal-title-head-color":"#191919","accordion-title-head-color":"#191919","newsletter-input-background":"#ffffff","newsletter-input-text":"#8d8d8d","testimonial-rating-color":"#ffa127","blog-thumbnail-category-background":"#234076","portfolio-grid2-tag-background":"#234076","blog-modern-hover-background-color":"#000","roadmap-title-color":"#a6aafb","roadmap-title-active-color":"#ffffff","roadmap-caption-color":"#c1caf6","roadmap-number-text":"#c5c5c5","roadmap-number-background":"#223077","roadmap-number-active-text":"#223077","roadmap-number-active-background":"#ffffff","roadmap-number-divider":"#ffffff","roadmap-content-title":"#ffffff","roadmap-content-caption":"#c1caf6","roadmap-content-color":"#babdff","slider-control-navigation-background-color":"#dfdfdf","single-blog-title-background-gradient-color":"#1c386e"},"traveltour_plugin":{"enable-srcset":"disable","lightbox":"ilightbox","ilightbox-skin":"dark","link-to-lightbox":"enable","additional-css":"","additional-script":"","enable-maintenance":"disable","maintenance-page":"4821","enable-preload":"disable","preload-image":"","thumbnail-sizing":[{"name":"Personnel Thumbnail","width":"700","height":"500","hard-crop":""},{"name":"Portfolio Thumbnail","width":"700","height":"450","hard-crop":""},{"name":"Portfolio Thumbnail Portrait","width":"700","height":"660","hard-crop":""},{"name":"Portfolio Thumbnail Portrait 2","width":"600","height":"800","hard-crop":""},{"name":"Large Landscape","width":"1280","height":"580","hard-crop":""},{"name":"Large Landscape 2","width":"1550","height":"700","hard-crop":""},{"name":"Portfolio Side Description Large","width":"900","height":"500","hard-crop":""},{"name":"Blog Full Thumbnail","width":"1100","height":"490","hard-crop":""},{"name":"Blog Column Thumbnail","width":"700","height":"430","hard-crop":""},{"name":"Personnel Thumbnail 2","width":"550","height":"500","hard-crop":""},{"name":"Large Landscape 3","width":"1500","height":"1000","hard-crop":""},{"name":"Personnel Square","width":"600","height":"600","hard-crop":""},{"name":"Tour Category","width":"800","height":"960","hard-crop":""},{"name":"Tour Side Thumbnail","width":"600","height":"700","hard-crop":""},{"name":"Single Gallery","width":"1000","height":"800","hard-crop":""}],"additional-mobile-css":"","additional-head-script":"","additional-head-script2":""}}'
				),
				'main4' => array(
					'title' => esc_html__('Main Demo 4', 'traveltour'),
					'url' => 'https://demo.goodlayers.com/traveltour/main4/',
					'xml' => get_template_directory() . '/admin/function/files/main4.xml',
					'page' => 5225,
					'menu' => array('main_menu' => 64, 'mobile_menu' => 64),
					'widget' => '{"gdlrcst_sidebar_name":[{"name":"Blog","id":"blog"},{"name":"Blog Left","id":"blog-left"},{"name":"Blog Right","id":"blog-right"},{"name":"Single Tour","id":"single-tour"},{"name":"Tour list","id":"tour-list"},{"name":"Payment","id":"payment"}],"sidebars_widgets":{"wp_inactive_widgets":["tag_cloud-5","tourmaster-tour-widget-2","tourmaster-tour-widget-3","tourmaster-tour-widget-4","tourmaster-widget-tour-category-2","tourmaster-widget-tour-category-3","tourmaster-widget-tour-category-4","tourmaster-widget-tour-category-5","gdlr-core-recent-post-widget-3"],"gdlr-core-sidebar-preset":["search-2","recent-posts-2","archives-2","categories-2","meta-2"],"footer-1":["text-1"],"footer-2":["gdlr-core-custom-menu-widget-2"],"footer-3":["gdlr-core-custom-menu-widget-3"],"footer-4":["text-15"],"blog":["text-7","gdlr-core-recent-portfolio-widget-3","recent-comments-5","tag_cloud-3"],"blog-left":["search-4","text-8","recent-posts-5","gdlr-core-portfolio-slider-widget-2"],"blog-right":["text-9","recent-comments-6","tag_cloud-4"],"single-tour":["text-11","text-12"],"tour-list":["tourmaster-tour-widget-5","text-10","nav_menu-3","gdlr-core-recent-post-widget-4"],"payment":["text-14","text-13"],"array_version":3},"widget_archives":{"2":{"title":"","count":0,"dropdown":0},"_multiwidget":1},"widget_calendar":{"_multiwidget":1},"widget_categories":{"2":{"title":"","count":0,"hierarchical":0,"dropdown":0},"_multiwidget":1},"widget_custom_html":{"_multiwidget":1},"widget_gdlr-core-category-background-widget":{"_multiwidget":1},"widget_gdlr-core-custom-menu-widget":{"2":{"title":"About Us","menu":"74","style":"plain"},"3":{"title":"Support","menu":"75","style":"plain"},"_multiwidget":1},"widget_gdlr-core-instagram-widget":{"_multiwidget":1},"widget_gdlr-core-portfolio-slider-widget":{"2":{"title":"Recent Works","category":"","num-fetch":"3","thumbnail-size":"Frame Landscape 2"},"_multiwidget":1},"widget_gdlr-core-post-slider-widget":{"_multiwidget":1},"widget_gdlr-core-recent-comment-widget":{"_multiwidget":1},"widget_gdlr-core-recent-portfolio-widget":{"3":{"title":"Recent Works","category":"","num-fetch":"9"},"_multiwidget":1},"widget_gdlr-core-recent-post-widget":{"3":{"title":"Recent Articles","category":"blog","num-fetch":"3"},"4":{"title":"Recent Articles","category":"blog","num-fetch":"3"},"_multiwidget":1},"widget_gdlr-core-twitter-widget":{"_multiwidget":1},"widget_gdlr-core-video-widget":{"_multiwidget":1},"widget_media_audio":{"_multiwidget":1},"widget_media_gallery":{"_multiwidget":1},"widget_media_image":{"_multiwidget":1},"widget_media_video":{"_multiwidget":1},"widget_meta":{"2":{"title":""},"_multiwidget":1},"widget_nav_menu":{"3":{"title":"Tour Category","nav_menu":104},"_multiwidget":1},"widget_newsletterwidget":{"_multiwidget":1},"widget_newsletterwidgetminimal":{"_multiwidget":1},"widget_nextend_social_login":{"_multiwidget":1},"widget_pages":{"_multiwidget":1},"widget_recent-comments":{"5":{"title":"","number":5},"6":{"title":"","number":5},"_multiwidget":1},"widget_recent-posts":{"2":{"title":"","number":5},"5":{"title":"Recent Posts","number":5,"show_date":false},"_multiwidget":1},"widget_rev-slider-widget":{"_multiwidget":1},"widget_rss":{"1":[],"_multiwidget":1},"widget_search":{"2":{"title":""},"4":{"title":""},"_multiwidget":1},"widget_tag_cloud":{"3":{"title":"Tag Cloud","taxonomy":"post_tag"},"4":{"title":"Tag Cloud","taxonomy":"post_tag"},"5":{"title":"","taxonomy":"post_tag"},"_multiwidget":1},"widget_text":{"1":{"title":"","text":"[gdlr_core_title title=\"Call Us\" caption=\"\" title-font-size= \"17px\" title-color=\"#f97150\" title-font-uppercase=\"disable\" padding-bottom=\"5px\"]\r\n[gdlr_core_icon icon=\"icon_phone\" size=\"17px\" color=\"#ffffff\" margin-left=\"\" margin-right=\"8px\" ] <span style=\"font-size: 18px; color: #fff;\">+6-345-3456-233<\/span>\r\n[gdlr_core_space height=\"22px\"]\r\n[gdlr_core_title title=\"Email\" caption=\"\" title-font-size= \"17px\" title-color=\"#f97150\" title-font-uppercase=\"disable\" padding-bottom=\"5px\"] <span style=\"font-size: 18px; color: #fff;\">Ask@traveltourtheme.com<\/span>","filter":false,"visual":false},"7":{"title":"Text Widget","text":"Nulla vitae elit libero, a pharetra augue. Nulla vitae elit libero, a pharetra augue. Nulla vitae elit libero, a pharetra augue. Donec sed odio dui. Etiam porta sem malesuada.","filter":false},"8":{"title":"About Us","text":"Nulla vitae elit libero, a pharetra augue. Nulla vitae elit libero, a pharetra augue. Nulla vitae elit libero, a pharetra augue. Donec sed odio dui.","filter":false},"9":{"title":"Text Widget","text":"Nulla vitae elit libero, a pharetra augue. Nulla vitae elit libero, a pharetra augue. Nulla vitae elit libero, a pharetra augue. Donec sed odio dui. Etiam porta sem malesuada.","filter":false},"10":{"title":"","text":"[gdlr_widget_box title=\"Get a Question?\" title-color=\"#ffffff\" background=\"https:\/\/demo.goodlayers.com\/traveltour\/main4\/wp-content\/uploads\/2019\/04\/widget-bg-1.jpg\" color=\"#c9e2ff\" ]\r\nDo not hesitage to give us a call. We are an expert team and we are happy to talk to you.\r\n\r\n[gdlr_core_icon icon=\"fa fa-phone\" size=\"17px\" color=\"#ffcf2a\" margin-right=\"10px\" ] <span style=\"font-size: 17px; color: #ffcf2a; font-weight: 600;\">1.8445.3356.33<\/span>\r\n\r\n<span style=\"font-size: 14px; color: #fff; font-weight: 600;\">Help@goodlayers.com<\/span>\r\n\r\n[\/gdlr_widget_box]","filter":false,"visual":false},"11":{"title":"","text":"[gdlr_core_space height=\"-20px\"]\r\n[gdlr_widget_list title=\"Why Book With Us?\" title-color=\"\" background-color=\"\" color=\"\" border-color=\"\" ]\r\n<ul>\r\n<li>[gdlr_core_icon icon=\"fa fa-dollar\" size=\"15px\" color=\"#f97150\" margin-right=\"13px\" ]No-hassle best price guarantee<\/li>\r\n<li>[gdlr_core_icon icon=\"fa fa-headphones\" size=\"15px\" color=\"#f97150\" margin-right=\"10px\" ]Customer care available 24\/7<\/li>\r\n<li>[gdlr_core_icon icon=\"fa fa-star\" size=\"15px\" color=\"#f97150\" margin-right=\"10px\" ]Hand-picked Tours & Activities<\/li>\r\n<li>[gdlr_core_icon icon=\"fa fa-support\" size=\"15px\" color=\"#f97150\" margin-right=\"10px\" ]Free Travel Insureance<\/li>\r\n<\/ul>\r\n[\/gdlr_widget_list]","filter":false,"visual":false},"12":{"title":"","text":"[gdlr_core_space height=\"-10px\"]\r\n[gdlr_widget_box title=\"Get a Question?\" title-color=\"#ffffff\" background=\"https:\/\/demo.goodlayers.com\/traveltour\/main4\/wp-content\/uploads\/2019\/04\/widget-bg-1.jpg\" color=\"#ffefe8\" padding=\" 50px 40px 30px 40px\" ]\r\nDo not hesitage to give us a call. We are an expert team and we are happy to talk to you.\r\n\r\n[gdlr_core_icon icon=\"fa fa-phone\" size=\"20px\" color=\"#ffe786\" margin-right=\"10px\" ] <span style=\"font-size: 20px; color: #ffffff; font-weight: 600;\">1.8445.3356.33<\/span>\r\n[gdlr_core_space height=\"-15px\"]\r\n[gdlr_core_icon icon=\"fa fa-envelope-o\" size=\"17px\" color=\"#ffe786\" margin-right=\"10px\" ] <span style=\"font-size: 14px; color: #fff; font-weight: 600;\">Help@goodlayers.com<\/span>\r\n\r\n[\/gdlr_widget_box]","filter":false,"visual":false},"13":{"title":"","text":"[gdlr_core_space height=\"-10px\"]\r\n\r\n[gdlr_widget_box title=\"Pay Safely With Us\" title-color=\"#ffffff\" background=\"#373737\" left-icon=\"icon_lock_alt\" left-icon-color=\"#FC7150\"]\r\n\r\n<span style=\"font-size: 13px; color: #ffffff; \">The payment is encrypted and \r\ntransmitted securely with an <strong>SSL \r\nprotocol.<\/strong><\/span>\r\n\r\n[gdlr_core_space height=\"25px\"]\r\n\r\n[\/gdlr_widget_box]","filter":false,"visual":false},"14":{"title":"","text":"[gdlr_core_space height=\"-20px\"]\r\n[gdlr_widget_list title=\"Why Book With Us?\" title-color=\"\" background-color=\"\" color=\"\" border-color=\"\" ]\r\n<ul>\r\n<li>[gdlr_core_icon icon=\"fa fa-dollar\" size=\"15px\" color=\"#FC7150\" margin-right=\"13px\" ]No-hassle best price guarantee<\/li>\r\n<li>[gdlr_core_icon icon=\"fa fa-headphones\" size=\"15px\" color=\"#FC7150\" margin-right=\"10px\" ]Customer care available 24\/7<\/li>\r\n<li>[gdlr_core_icon icon=\"fa fa-star\" size=\"15px\" color=\"#FC7150\" margin-right=\"10px\" ]Hand-picked Tours & Activities<\/li>\r\n<li>[gdlr_core_icon icon=\"fa fa-support\" size=\"15px\" color=\"#FC7150\" margin-right=\"10px\" ]Free Travel Insureance<\/li>\r\n<\/ul>\r\n[\/gdlr_widget_list]","filter":false,"visual":false},"15":{"title":"Pay Safely With Us","text":"The payment is encrypted and transmitted securely with an SSL protocol.\r\n<img class=\"alignnone size-full wp-image-5360\" src=\"https:\/\/demo.goodlayers.com\/traveltour\/main4\/wp-content\/uploads\/2019\/04\/creditcard-logo.png\" alt=\"\" width=\"254\" height=\"47\" \/>","filter":true,"visual":true},"_multiwidget":1},"widget_tourmaster-tour-search-widget":{"_multiwidget":1},"widget_tourmaster-tour-widget":{"2":{"title":"Recent Tours","category":"","num-fetch":"3"},"3":{"title":"Recent Tours","category":"","num-fetch":"3"},"4":{"title":"Recent Tours","category":"","num-fetch":"4"},"5":{"title":"Latest Tours","category":"","num-fetch":"4"},"_multiwidget":1},"widget_tourmaster-widget-tour-category":{"2":{"title":"Tour Destinations","num-fetch":"6","column-size":"20","thumbnail-size":"thumbnail","style":"widget"},"3":{"title":"Top Destinations","num-fetch":"6","column-size":"20","thumbnail-size":"Personnel Square","style":"widget"},"4":{"title":"Tour Destinations","num-fetch":"6","column-size":"20","thumbnail-size":"Personnel Square","style":"widget"},"5":{"title":"Destinations","num-fetch":"6","column-size":"60","thumbnail-size":"Personnel Square","style":"widget"},"_multiwidget":1},"widget_woocommerce_layered_nav":{"_multiwidget":1},"widget_woocommerce_layered_nav_filters":{"_multiwidget":1},"widget_woocommerce_price_filter":{"_multiwidget":1},"widget_woocommerce_product_categories":{"_multiwidget":1},"widget_woocommerce_product_search":{"_multiwidget":1},"widget_woocommerce_product_tag_cloud":{"_multiwidget":1},"widget_woocommerce_products":{"_multiwidget":1},"widget_woocommerce_rating_filter":{"_multiwidget":1},"widget_woocommerce_recent_reviews":{"_multiwidget":1},"widget_woocommerce_recently_viewed_products":{"_multiwidget":1},"widget_woocommerce_top_rated_products":{"_multiwidget":1},"widget_woocommerce_widget_cart":{"_multiwidget":1},"widget_wpgmp_google_map_widget_class":{"_multiwidget":1}}',
					'theme-option' => '{"traveltour_general":{"layout":"full","boxed-layout-top-margin":"0px","body-margin":"0px","background-type":"color","background-image":"","background-pattern":"pattern-1","enable-boxed-border":"disable","item-padding":"20px","container-width":"1260px","container-padding":"15px","sidebar-width":"20","both-sidebar-width":"15","enable-top-bar":"enable","enable-top-bar-on-mobile":"enable","top-bar-width":"full","top-bar-width-pixel":"1140px","top-bar-full-side-padding":"20px","top-bar-left-text":"[gdlr_core_icon icon=\"fa fa-phone\" size=\"16px\" color=\"#94999f\" margin-left=\"\" margin-right=\"10px\" ] 1.820.3345.33\n[gdlr_core_icon icon=\"fa fa-envelope-o\" size=\"16px\" color=\"#94999f\" margin-left=\"30px\" margin-right=\"10px\" ] Contact@TravelTourWP.com","top-bar-right-text":"","top-bar-top-padding":"20px","top-bar-bottom-padding":"20px","top-bar-text-size":"14px","top-bar-bottom-border":"1px","enable-top-bar-social":"enable","top-bar-social-delicious":"","top-bar-social-email":"","top-bar-social-deviantart":"","top-bar-social-digg":"","top-bar-social-facebook":"#","top-bar-social-flickr":"#","top-bar-social-google-plus":"#","top-bar-social-lastfm":"","top-bar-social-linkedin":"","top-bar-social-pinterest":"","top-bar-social-rss":"","top-bar-social-skype":"","top-bar-social-stumbleupon":"","top-bar-social-tumblr":"","top-bar-social-twitter":"#","top-bar-social-vimeo":"","top-bar-social-youtube":"","top-bar-social-instagram":"","top-bar-social-snapchat":"","header-style":"plain","header-plain-style":"menu-right","header-plain-bottom-border":"0px","header-bar-navigation-align":"center","header-background-style":"solid","top-bar-background-opacity":"45","header-background-opacity":"45","navigation-background-opacity":"50","header-boxed-style":"menu-right","boxed-top-bar-background-opacity":"0","boxed-top-bar-background-extend":"0px","boxed-header-top-margin":"0px","header-side-style":"top-left","header-side-align":"left","header-side-toggle-style":"left","header-side-toggle-menu-type":"overlay","header-side-toggle-display-logo":"enable","header-width":"boxed","header-width-pixel":"1140px","header-full-side-padding":"26px","boxed-header-frame-radius":"3px","boxed-header-content-padding":"49px","navigation-text-top-margin":"0px","navigation-text-top-margin-boxed":"0px","navigation-text-side-spacing":"18px","navigation-slide-bar":"enable","side-header-width-pixel":"340px","side-header-side-padding":"70px","navigation-text-top-spacing":"16px","logo-right-text":"","logo-right-text-top-padding":"30px","logo":"5287","mobile-logo":"","logo-top-padding":"34px","logo-bottom-padding":"36px","logo-left-padding":"","max-logo-width":"175","main-navigation-top-padding":"43px","main-navigation-bottom-padding":"7px","main-navigation-right-padding":"","enable-main-navigation-sticky":"enable","enable-logo-on-main-navigation-sticky":"enable","enable-main-navigation-submenu-indicator":"disable","enable-main-navigation-search":"enable","enable-main-navigation-cart":"disable","enable-main-navigation-right-button":"disable","main-navigation-right-button-text":"Buy Now","main-navigation-right-button-link":"","main-navigation-right-button-link-target":"_self","right-menu-type":"right","right-menu-style":"hamburger-with-border","default-title-style":"medium","default-title-align":"center","default-title-top-padding":"108px","default-title-bottom-padding":"102px","default-page-caption-top-margin":"13px","default-title-font-transform":"none","default-title-font-size":"42px","default-title-font-weight":"","default-title-letter-spacing":"0px","default-caption-font-size":"16px","default-caption-font-weight":"","default-caption-letter-spacing":"0px","default-title-background-overlay-opacity":"0","default-title-background":"5391","default-portfolio-title-background":"","default-personnel-title-background":"","default-search-title-background":"","default-archive-title-background":"","default-404-background":"","default-404-background-opacity":"27","default-blog-title-style":"small","default-blog-title-top-padding":"93px","default-blog-title-bottom-padding":"87px","default-blog-feature-image":"content","default-blog-title-background-image":"","default-blog-title-background-overlay-opacity":"0","blog-sidebar":"right","blog-sidebar-left":"gdlr-core-sidebar-preset","blog-sidebar-right":"blog-right","blog-max-content-width":"","blog-thumbnail-size":"full","blog-date-feature":"enable","meta-option":["author","category","tag","comment-number"],"blog-author":"enable","blog-navigation":"enable","pagination-style":"round","pagination-align":"right","blog-social-share":"enable","blog-social-share-count":"enable","blog-social-facebook":"enable","blog-social-linkedin":"disable","blog-social-google-plus":"enable","blog-social-pinterest":"enable","blog-social-stumbleupon":"disable","blog-social-twitter":"enable","blog-social-email":"disable","archive-blog-sidebar":"right","archive-blog-sidebar-left":"gdlr-core-sidebar-preset","archive-blog-sidebar-right":"gdlr-core-sidebar-preset","archive-blog-style":"blog-full","archive-blog-full-alignment":"left","archive-thumbnail-size":"full","archive-show-thumbnail":"enable","archive-column-size":"20","archive-excerpt":"specify-number","archive-excerpt-number":"55","archive-date-feature":"enable","archive-meta-option":["date","author","category"],"archive-show-read-more":"enable","woocommerce-archive-sidebar":"right","woocommerce-archive-sidebar-left":"gdlr-core-sidebar-preset","woocommerce-archive-sidebar-right":"gdlr-core-sidebar-preset","woocommerce-archive-column-size":"15","woocommerce-archive-thumbnail":"full","woocommerce-related-product-column-size":"15","woocommerce-related-product-num-fetch":"4","woocommerce-related-product-thumbnail":"full","portfolio-slug":"portfolio","portfolio-category-slug":"portfolio_category","portfolio-tag-slug":"portfolio_tag","enable-single-portfolio-navigation":"enable","portfolio-icon-hover-link":"fa fa-external-link","portfolio-icon-hover-video":"fa fa-film","portfolio-icon-hover-image":"icon_search","portfolio-icon-hover-size":"22px","enable-related-portfolio":"disable","related-portfolio-style":"grid","related-portfolio-column-size":"15","related-portfolio-num-fetch":"4","related-portfolio-thumbnail-size":"medium","related-portfolio-num-excerpt":"20","archive-portfolio-sidebar":"none","archive-portfolio-sidebar-left":"gdlr-core-sidebar-preset","archive-portfolio-sidebar-right":"gdlr-core-sidebar-preset","archive-portfolio-style":"medium","archive-portfolio-thumbnail-size":"full","archive-portfolio-grid-text-align":"left","archive-portfolio-grid-style":"normal","archive-enable-portfolio-tag":"enable","archive-portfolio-medium-size":"small","archive-portfolio-medium-style":"switch","archive-portfolio-hover":"icon","archive-portfolio-column-size":"20","archive-portfolio-excerpt":"specify-number","archive-portfolio-excerpt-number":"55","personnel-slug":"personnel","personnel-category-slug":"personnel_category","fixed-footer":"disable","enable-footer":"enable","footer-top-padding":"85px","footer-bottom-padding":"28px","footer-style":"footer-2","enable-copyright":"enable","copyright-top-padding":"38px","copyright-bottom-padding":"38px","copyright-text":"\u00a9 2019 Travel Tour  All Rights Reserved. Follow Us On [gdlr_core_icon icon=\"fa fa-facebook\" size=\"14px\" color=\"#ffffff\" margin-left=\"\" margin-right=\"10px\" margin-left=\"12px\" link=\"#\" link-target=\"_blank\"] [gdlr_core_icon icon=\"fa fa-twitter\" size=\"14px\" color=\"#ffffff\" margin-left=\"\" margin-right=\"10px\" link=\"#\" link-target=\"_blank\"] [gdlr_core_icon icon=\"fa fa-linkedin\" size=\"14px\" color=\"#ffffff\" margin-left=\"\" margin-right=\"10px\" link=\"#\" link-target=\"_blank\"] [gdlr_core_icon icon=\"fa fa-pinterest-p\" size=\"14px\" color=\"#ffffff\" margin-left=\"\" margin-right=\"10px\" link=\"#\" link-target=\"_blank\"] [gdlr_core_icon icon=\"fa fa-vimeo\" size=\"14px\" color=\"#ffffff\" margin-left=\"\" margin-right=\"10px\" link=\"#\" link-target=\"_blank\"]","enable-back-to-top":"disable","enable-top-bar-left-on-mobile":"disable","enable-top-bar-right-on-mobile":"enable","enable-top-bar-right-login":"enable","navigation-left-offset":"0","default-blog-title-background-gradient":"both","single-blog-title-top-gradient-size":"450px","single-blog-title-bottom-gradient-size":"400px","enable-footer-column-divider":"disable","enable-top-bar-divider":"enable","wpml-flag-type":"icon","navigation-slide-bar-top-margin":"","navigation-right-top-margin":"","footer-title-bottom-margin":"","copyright-style":"left-right","copyright-left":"\u00a9 2019 Travel Tour  All Rights Reserved.","copyright-right":"Follow Us On [gdlr_core_icon icon=\"fa fa-facebook\" size=\"14px\" color=\"#ffffff\" margin-left=\"\" margin-right=\"10px\" margin-left=\"12px\" link=\"#\" link-target=\"_blank\"] [gdlr_core_icon icon=\"fa fa-twitter\" size=\"14px\" color=\"#ffffff\" margin-left=\"\" margin-right=\"10px\" link=\"#\" link-target=\"_blank\"] [gdlr_core_icon icon=\"fa fa-linkedin\" size=\"14px\" color=\"#ffffff\" margin-left=\"\" margin-right=\"10px\" link=\"#\" link-target=\"_blank\"] [gdlr_core_icon icon=\"fa fa-pinterest-p\" size=\"14px\" color=\"#ffffff\" margin-left=\"\" margin-right=\"10px\" link=\"#\" link-target=\"_blank\"] [gdlr_core_icon icon=\"fa fa-vimeo\" size=\"14px\" color=\"#ffffff\" margin-left=\"\" margin-right=\"10px\" link=\"#\" link-target=\"_blank\"]"},"traveltour_typography":{"heading-font":"ArcaMajora","navigation-font":"Poppins","content-font":"Poppins","info-font":"Poppins","blog-info-font":"Poppins","quote-font":"ABeeZee","additional-font":"Georgia, serif","additional-font2":"Georgia, serif","h1-font-size":"52px","h2-font-size":"48px","h3-font-size":"36px","h4-font-size":"28px","h5-font-size":"22px","h6-font-size":"18px","navigation-font-size":"14px","navigation-font-weight":"600","navigation-text-transform":"uppercase","content-font-size":"15px","content-line-height":"1.7","font-upload":[{"name":"ArcaMajora","eot":"https:\/\/demo.goodlayers.com\/traveltour\/main4\/wp-content\/uploads\/2019\/04\/ArcaMajora3-Heavy.eot","ttf":"https:\/\/demo.goodlayers.com\/traveltour\/main4\/wp-content\/uploads\/2019\/04\/ArcaMajora3-Heavy.ttf"}],"sidebar-title-font-size":"","sidebar-title-font-weight":"","sidebar-title-font-letter-spacing":"","sidebar-title-text-transform":"uppercase","footer-title-font-size":"18px","footer-title-font-weight":"700","footer-title-font-letter-spacing":"0px","footer-title-text-transform":"none","footer-font-size":"","footer-content-font-weight":"","footer-content-text-transform":"none","copyright-font-size":"15px","copyright-font-weight":"400","copyright-font-letter-spacing":"0px","copyright-text-transform":"none"},"traveltour_color":{"page-preload-background-color":"#ffffff","top-bar-background-color":"#ffffff","top-bar-bottom-border-color":"#e9e9e9","top-bar-text-color":"#999999","top-bar-link-color":"#565656","top-bar-link-hover-color":"#999999","top-bar-social-color":"#468ae7","top-bar-social-hover-color":"#468ae7","header-background-color":"#ffffff","header-plain-bottom-border-color":"#e8e8e8","navigation-bar-background-color":"#f4f4f4","navigation-bar-top-border-color":"#e8e8e8","navigation-slide-bar-color":"#e5e5e5","logo-background-color":"#ffffff","navigation-bar-right-icon-color":"#2e2e2e","woocommerce-cart-icon-number-background":"#f97150","woocommerce-cart-icon-number-color":"#ffffff","secondary-menu-icon-color":"#ffffff","secondary-menu-border-color":"#dddddd","search-overlay-background-color":"#000000","top-cart-background-color":"#303030","top-cart-text-color":"#b5b5b5","top-cart-view-cart-color":"#ffffff","top-cart-checkout-color":"#f97150","breadcrumbs-text-color":"#c0c0c0","breadcrumbs-text-active-color":"#777777","main-menu-text-color":"#94999f","main-menu-text-hover-color":"#1e354c","sub-menu-background-color":"#262626","sub-menu-text-color":"#bababa","sub-menu-text-hover-color":"#ffffff","sub-menu-text-hover-background-color":"#303030","sub-mega-menu-title-color":"#ffffff","sub-mega-menu-divider-color":"#424242","side-menu-text-color":"#979797","side-menu-text-hover-color":"#ffffff","side-menu-background-color":"#1f1f1f","side-menu-border-color":"#626262","overlay-menu-background-color":"#000000","overlay-menu-border-color":"#424242","overlay-menu-text-color":"#ffffff","overlay-menu-text-hover-color":"#a8a8a8","anchor-bullet-background-color":"#777777","anchor-bullet-background-active-color":"#ffffff","navigation-right-button-text-color":"#333333","navigation-right-button-background-color":"","navigation-right-button-border-color":"#333333","navigation-right-button-text-hover-color":"#555555","navigation-right-button-background-hover-color":"","navigation-right-button-border-hover-color":"#555555","body-background-color":"#ffffff","container-background-color":"#ffffff","page-title-color":"#ffffff","page-caption-color":"#ffffff","page-title-background-overlay-color":"#000000","body-content-color":"#8c8c8c","heading-color":"#383838","link-color":"#f97150","link-hover-color":"#f9977f","divider-color":"#e1e1e1","input-box-background-color":"#ffffff","input-box-border-color":"#d7d7d7","input-box-text-color":"#4e4e4e","input-box-placeholder-color":"#4e4e4e","404-content-background-color":"#23618e","404-head-color":"#ffffff","404-title-color":"#ffffff","404-caption-color":"#c3e7ff","404-input-background-color":"#000000","404-input-text-color":"#ffffff","404-back-to-home-color":"#ffffff","sidebar-title-color":"#383838","sidebar-link-color":"#484848","sidebar-link-hover-color":"#323232","recent-post-widget-info-icon-color":"#9c9c9c","recent-post-widget-info-link-color":"#a0a0a0","post-slider-widget-title-color":"#ffffff","post-slider-widget-info-color":"#9c9c9c","search-box-text-color":"#b5b5b5","search-box-border-color":"#e0e0e0","search-box-icon-color":"#c7c7c7","twitter-widget-icon-color":"#303030","twitter-widget-date-color":"#b5b5b5","footer-background-color":"#222222","footer-title-color":"#ffffff","footer-content-color":"#ffffff","footer-link-color":"#c7c7c7","footer-link-hover-color":"#f97150","footer-divider-color":"#303030","copyright-background-color":"#181818","copyright-text-color":"#838383","back-to-top-background-color":"#dbdbdb","back-to-top-text-color":"#313131","single-blog-title-color":"#ffffff","single-blog-info-color":"#ffffff","single-blog-date-day-color":"#ffffff","single-blog-date-month-color":"#b1b1b1","single-blog-divider-color":"#ffffff","single-blog-title-background-overlay-color":"#000000","single-blog-author-title-color":"#464646","single-blog-author-caption-color":"#b1b1b1","single-blog-navigation-color":"#bcbcbc","single-blog-comment-title-color":"#464646","single-blog-comment-background-color":"#f9f9f9","single-blog-comment-reply-color":"#bcbcbc","single-blog-comment-time-color":"#b1b1b1","blog-title-color":"#343434","blog-title-hover-color":"#343434","blog-sticky-banner-color":"#ffffff","blog-sticky-banner-background":"#f97150","blog-info-color":"#f97150","blog-date-day-color":"#353535","blog-date-month-color":"#8a8a8a","blog-frame-background-color":"#ffffff","blog-modern-text-color":"#ffffff","blog-aside-background-color":"#f97150","blog-aside-text-color":"#ffffff","pagination-background-color":"#e6e6e6","pagination-text-color":"#929292","pagination-background-hover-color":"#f97150","pagination-text-hover-color":"#ffffff","pagination-plain-color":"#b4b4b4","pagination-plain-hover-color":"#424242","single-portfolio-nav-color":"#bcbcbc","portfolio-title-color":"#191919","portfolio-info-head-color":"#343434","portfolio-info-color":"#a5a5a5","portfolio-badge-text-color":"#ffffff","portfolio-badge-background-color":"#e24a3b","portfolio-thumbnail-title-color":"#ffffff","portfolio-thumbnail-info-color":"#cecece","portfolio-text-filter-color":"#606060","portfolio-text-filter-active-color":"#f97150","portfolio-button-filter-text-color":"#838383","portfolio-button-filter-background-color":"#f1f1f1","portfolio-button-filter-text-active-color":"#ffffff","portfolio-button-filter-background-active-color":"#f97150","price-table-background-color":"#f8f8f8","price-table-head-color":"#3e3e3e","price-table-head-top-gradient-color":"#525252","price-table-icon-color":"#ffffff","price-table-title-color":"#ffffff","price-table-caption-color":"#acacac","price-table-price-background-color":"#ebebeb","price-table-price-color":"#323232","price-table-price-suffix-color":"#acacac","price-table-price-button-color":"#ffffff","price-table-button-background-color":"#575757","price-table-button-background-top-gradient-color":"#414141","price-table-list-border-color":"#e5e5e5","price-table-active-head-color":"#f97150","price-table-active-head-top-gradient-color":"#f98f75","price-table-active-icon-color":"#ffffff","price-table-active-title-color":"#ffffff","price-table-active-caption-color":"#f9c7bb","price-table-active-price-background-color":"#ffffff","price-table-active-price-color":"#323232","price-table-active-price-suffix-color":"#acacac","price-table-active-price-button-color":"#ffffff","price-table-active-button-background-color":"#f97150","price-table-active-button-background-top-gradient-color":"#f9a18b","accordion-normal-icon-color":"#191919","accordion-normal-title-color":"#282828","accordion-normal-icon-background-color":"#f3f3f3","accordion-icon-color":"#191919","accordion-title-color":"#262626","accordion-title-background-color":"#f3f3f3","accordion-icon-active-color":"#191919","accordion-title-active-color":"#f97150","accordion-title-background-active-color":"#f3f3f3","audio-background-color":"#e7e7e7","audio-text-color":"#202020","audio-content-background-color":"#afafaf","audio-content-progress-color":"#f97150","audio-volume-background-color":"#afafaf","audio-volume-progress-color":"#646464","alert-box-item-background-color":"#ef5e68","alert-box-item-border-color":"#cd515a","alert-box-item-content-color":"#ffffff","alert-box-item-title-color":"#ffffff","blockquote-text-color":"#777777","blockquote-background-color":"#f5f5f5","blockquote-border-color":"#e2e2e2","blockquote-item-icon-color":"#4e4e4e","blockquote-item-content-color":"#4e4e4e","button-text-color":"#ffffff","button-text-hover-color":"#ffffff","button-background-color":"#f97150","button-background-hover-color":"#e26748","button-border-color":"#383838","button-border-hover-color":"#000000","button-gradient-background-color":"#f97150","button-top-gradient-background-color":"#f47d5f","call-to-action-title-color":"#2c2c2c","call-to-action-caption-color":"#535353","counter-item-top-text-color":"#828282","counter-item-top-icon-color":"#393939","counter-item-number-color":"#393939","counter-item-divider-color":"#393939","counter-item-bottom-text-color":"#393939","column-service-icon-color":"#9d9d9d","column-service-icon-background":"#f3f3f3","column-service-title-color":"#383838","column-service-caption-color":"#747474","dropdown-tab-head-background":"#f7c02e","dropdown-tab-head-text":"#252525","flipbox-background-color":"#468ae7","flipbox-border-color":"#2576e8","flipbox-icon-color":"#ffffff","flipbox-title-color":"#ffffff","flipbox-caption-color":"#ffffff","flipbox-content-color":"#ffffff","gallery-overlay-title":"#ffffff","gallery-overlay-caption":"#cecece","image-overlay-background-color":"#f97150","image-overlay-icon-color":"#ffffff","image-item-border-color":"#000000","item-title-color":"#343434","item-title-caption-color":"#747474","item-title-link-color":"#747474","icon-list-item-icon-color":"#222222","icon-list-item-icon-background-color":"#f3f3f3","opening-hour-day-color":"#a5a5a5","opening-hour-open-color":"#262626","opening-hour-close-color":"#c8c8c8","opening-hour-icon-color":"#8a8989","opening-hour-divider-color":"#a6a6a6","personnel-grid-title-color":"#383838","personnel-grid-position-color":"#888888","personnel-grid-divider-color":"#cecece","personnel-grid-frame-color":"#f9f9f9","personnel-modern-title-color":"#ffffff","personnel-modern-position-color":"#ffffff","promo-box-item-title-color":"#383838","promo-box-content-border-color":"#e8e7e7","post-slider-title-color":"#ffffff","post-slider-info-color":"#c5c5c5","skill-bar-title-color":"#505050","skill-bar-icon-color":"#616161","skill-bar-background-color":"#f3f3f3","skill-bar-progress-color":"#f97150","slider-outer-navigation-color":"#a7a7a7","slider-outer-navigation-background-color":"#f1f1f1","slider-control-navigation-color":"#f97150","social-share-icon-color":"#202020","social-share-divider-color":"#e5e5e5","social-share-text-color":"#202020","stunning-text-title-color":"#747474","stunning-text-caption-color":"#383838","tab-title-color":"#8d8d8d","tab-title-background-color":"#f7f7f7","tab-title-border-color":"#ebebeb","tab-title-hover-bar-color":"#f97150","tab-title-active-color":"#464646","tab-title-active-background-color":"#ffffff","table-head-background-color":"#f97150","table-head-text-color":"#ffffff","table-odd-background-color":"#f9f9f9","table-odd-text-color":"#949494","table-even-background":"#f3f3f3","table-even-text":"#949494","testimonial-title-color":"#ffffff","testimonial-content-color":"#ffffff","testimonial-author-color":"#ffffff","testimonial-position-color":"#ffffff","testimonial-quote-color":"#ffffff","title-item-title-color":"#383838","title-item-caption-color":"#747474","woocommerce-theme-color":"#f97150","woocommerce-price-color":"#f97150","woocommerce-price-linethrough-color":"#949494","woocommerce-button-background-hover-color":"#f99177","woocommerce-button-text-color":"#ffffff","woocommerce-button-text-hover-color":"#ffffff","woocommerce-input-background-color":"#f3f3f3","product-item-title-color":"#191919","product-item-title-hover-color":"#434343","view-detail-text-color":"#ffffff","view-detail-background-color":"#000000","add-to-cart-text-color":"#ffffff","add-to-cart-background-color":"#f97150","widget-price-filter-bar-background-color":"#e6e6e6","widget-price-filter-range-color":"#f98f75","widget-price-filter-handle-color":"#f97150","blog-info-icon-color":"#9a9a9a","skin":[{"name":"Dark","title":"#ffffff","title-hover":"#ffffff","caption":"#ffffff","content":"#ededed","icon":"#ffffff","link":"#ffffff","link-hover":"#ffffff","divider":"#bcbcbc","border":"#8e8e8e","element-background":"","element-content":"#3a3a3a","button-text":"#969696","button-text-hover":"#383838","button-background":"#ffffff","button-background-hover":"#d6d6d6","button-border-color":"","button-border-hover-color":""},{"name":"White Text","title":"#ffffff","title-hover":"","caption":"#eaeaea","content":"#ffffff","icon":"#ffffff","link":"#ffffff","link-hover":"#ffffff","divider":"#ffffff","border":"#ffffff","element-background":"#ffffff","element-content":"#ffffff","button-text":"#ffffff","button-text-hover":"#ffffff","button-background":"#212121","button-background-hover":"#262626","button-border-color":"#ffffff","button-border-hover-color":"#ffffff"},{"name":"Grey","title":"#3a3a3a","title-hover":"","caption":"#727272","content":"#515151","icon":"#5e5e5e","link":"","link-hover":"","divider":"#cecece","border":"#d6d6d6","element-background":"#ffffff","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Dark Personnel","title":"#ffffff","title-hover":"#ffffff","caption":"#dbdbdb","content":"#ffffff","icon":"#ffffff","link":"#ffffff","link-hover":"#ffffff","divider":"#b2b2b2","border":"#b2b2b2","element-background":"#ffffff","element-content":"#3a3a3a","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Maintenance","title":"#ffffff","title-hover":"","caption":"#ffffff","content":"#d8d8d8","icon":"","link":"","link-hover":"","divider":"#bababa","border":"#727272","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Blue Icon","title":"","title-hover":"","caption":"","content":"","icon":"#4692e7","link":"","link-hover":"","divider":"","border":"","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Homepage Search","title":"#313131","title-hover":"","caption":"","content":"","icon":"","link":"#bdd4ff","link-hover":"","divider":"","border":"","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Dark Search","title":"#ffffff","title-hover":"","caption":"","content":"#c2cadd","icon":"#ccd5e8","link":"","link-hover":"","divider":"#676e74","border":"#676e74","element-background":"#585d6b","element-content":"#b9c1d5","button-text":"","button-text-hover":"","button-background":"#4296ed","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Grey Frame","title":"","title-hover":"","caption":"","content":"","icon":"","link":"","link-hover":"","divider":"","border":"","element-background":"#f6f6f6","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Blue Column Service","title":"#ffffff","title-hover":"","caption":"","content":"#b9cdf3","icon":"#467ee7","link":"","link-hover":"","divider":"","border":"","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Newsletter form","title":"","title-hover":"","caption":"","content":"","icon":"","link":"","link-hover":"","divider":"#bcbcbc","border":"#f3f3f3","element-background":"#f3f3f3","element-content":"#757575","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Dark Search HP4","title":"#ffffff","title-hover":"","caption":"","content":"","icon":"#ffffff","link":"","link-hover":"","divider":"","border":"","element-background":"#ffffff","element-content":"#828282","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Testimonial","title":"#ffffff","title-hover":"","caption":"#d2d2d2","content":"#d2d2d2","icon":"#467fe7","link":"","link-hover":"","divider":"","border":"","element-background":"#ffffff","element-content":"#ffffff","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Newsletter form HP3","title":"","title-hover":"","caption":"","content":"","icon":"","link":"","link-hover":"","divider":"#e5e5e5","border":"#e5e5e5","element-background":"#f3f3f3","element-content":"#969696","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Blog HP3","title":"","title-hover":"","caption":"","content":"","icon":"#4692e7","link":"","link-hover":"","divider":"","border":"","element-background":"#f3f3f3","element-content":"#4692e7","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"orange text","title":"#f97150","title-hover":"#f97150","caption":"#f97150","content":"#f97150","icon":"","link":"","link-hover":"","divider":"","border":"","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"orange","title":"","title-hover":"","caption":"","content":"","icon":"","link":"","link-hover":"","divider":"","border":"","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"#f97150","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"White Newsletter","title":"","title-hover":"","caption":"","content":"","icon":"","link":"","link-hover":"","divider":"","border":"#ffffff","element-background":"#ffffff","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""}],"top-bar-icon-color":"#94999f","tagcloud-background-color":"#ffffff","portfolio-frame-background-color":"#ffffff","accordion-normal-title-head-color":"#191919","accordion-title-head-color":"#191919","newsletter-input-background":"#ffffff","newsletter-input-text":"#8d8d8d","testimonial-rating-color":"#ffcd9c","single-blog-title-background-gradient-color":"#000","single-blog-title-background-gradient-max-opacity":"0.6","single-blog-title-background-bottom-gradient-max-opacity":"0.9","blog-modern-hover-background-color":"#f97150","blog-thumbnail-category-background":"#f97150","portfolio-grid2-tag-background":"#f97150","roadmap-title-color":"#a6aafb","roadmap-title-active-color":"#ffffff","roadmap-caption-color":"#c1caf6","roadmap-number-text":"#c5c5c5","roadmap-number-background":"#223077","roadmap-number-active-text":"#223077","roadmap-number-active-background":"#ffffff","roadmap-number-divider":"#ffffff","roadmap-content-title":"#ffffff","roadmap-content-caption":"#c1caf6","roadmap-content-color":"#babdff","slider-control-navigation-background-color":"#f97150","slider-outer-navigation-hover-color":"#a7a7a7","testimonial-frame-background-color":"#f97150"},"traveltour_plugin":{"enable-srcset":"disable","lightbox":"lightGallery","ilightbox-skin":"dark","link-to-lightbox":"enable","additional-css":"","additional-script":"","enable-maintenance":"disable","maintenance-page":"4821","enable-preload":"disable","preload-image":"","thumbnail-sizing":[{"name":"Personnel Thumbnail","width":"700","height":"500","hard-crop":""},{"name":"Portfolio Thumbnail","width":"700","height":"450","hard-crop":""},{"name":"Portfolio Thumbnail Portrait","width":"700","height":"660","hard-crop":""},{"name":"Portfolio Thumbnail Portrait 2","width":"600","height":"800","hard-crop":""},{"name":"Large Landscape","width":"1280","height":"580","hard-crop":""},{"name":"Large Landscape 2","width":"1550","height":"700","hard-crop":""},{"name":"Portfolio Side Description Large","width":"900","height":"500","hard-crop":""},{"name":"Blog Full Thumbnail","width":"1100","height":"490","hard-crop":""},{"name":"Blog Column Thumbnail","width":"700","height":"430","hard-crop":""},{"name":"Personnel Thumbnail 2","width":"550","height":"500","hard-crop":""},{"name":"Large Landscape 3","width":"1500","height":"1000","hard-crop":""},{"name":"Personnel Square","width":"600","height":"600","hard-crop":""},{"name":"Tour Category","width":"800","height":"960","hard-crop":""},{"name":"Tour Side Thumbnail","width":"600","height":"700","hard-crop":""},{"name":"Tour Cat Featured","width":"1200","height":"567","hard-crop":""}],"consent-item":"","disable-cookie-youtube":"disable","privacy-cookie-time":"30","privacy-notification-position":"bottom-bar","privacy-box-button-color":"#1a49a8","privacy-form-logo":"","privacy-form-input-button-color":"#1a49a8","privacy-form-save-button-color":"#1a49a8","additional-mobile-css":"","additional-head-script":"jQuery(\"#map\").click(function () {\n    jQuery(\"#map iframe\").css(\"pointer-events\", \"auto\");\n});\njQuery(\"#map\").mouseleave(function() {\n  jQuery(\"#map iframe\").css(\"pointer-events\", \"none\"); \n});","additional-head-script2":""}}'
				),
				'hiking' => array(
					'title' => esc_html__('Hiking', 'traveltour'),
					'url' => 'https://demo.goodlayers.com/traveltour/hiking/',
					'xml' => get_template_directory() . '/admin/function/files/hiking.xml',
					'page' => 5395,
					'menu' => array('main_menu' => 69, 'mobile_menu' => 69),
					'widget' => '{"gdlrcst_sidebar_name":[{"name":"Blog","id":"blog"},{"name":"Blog Left","id":"blog-left"},{"name":"Blog Right","id":"blog-right"},{"name":"Single Tour","id":"single-tour"},{"name":"Tour list","id":"tour-list"},{"name":"Payment","id":"payment"},{"name":"Woocommerce","id":"woocommerce"}],"sidebars_widgets":{"wp_inactive_widgets":["tag_cloud-5","tourmaster-tour-widget-2","tourmaster-tour-widget-3","tourmaster-tour-widget-4","tourmaster-widget-tour-category-2","tourmaster-widget-tour-category-3","gdlr-core-recent-portfolio-widget-1","recent-posts-3","tourmaster-widget-tour-category-4","tourmaster-widget-tour-category-5","gdlr-core-recent-post-widget-3"],"gdlr-core-sidebar-preset":["search-2","recent-posts-2","archives-2","categories-2","meta-2"],"footer-1":["text-15"],"footer-2":["nav_menu-4"],"footer-3":["nav_menu-5"],"footer-4":["text-16"],"blog":["text-7","gdlr-core-recent-portfolio-widget-3","recent-comments-5","tag_cloud-3"],"blog-left":["search-4","text-8","recent-posts-5","gdlr-core-portfolio-slider-widget-2"],"blog-right":["text-9","recent-comments-6","tag_cloud-4"],"single-tour":["text-11","text-12"],"tour-list":["tourmaster-tour-widget-5","text-10","nav_menu-3","gdlr-core-recent-post-widget-4"],"payment":["text-14","text-13"],"woocommerce":["woocommerce_widget_cart-2","woocommerce_products-2","woocommerce_price_filter-2"],"array_version":3},"widget_archives":{"2":{"title":"","count":0,"dropdown":0},"_multiwidget":1},"widget_calendar":{"_multiwidget":1},"widget_categories":{"2":{"title":"","count":0,"hierarchical":0,"dropdown":0},"_multiwidget":1},"widget_custom_html":{"_multiwidget":1},"widget_gdlr-core-category-background-widget":{"_multiwidget":1},"widget_gdlr-core-custom-menu-widget":{"_multiwidget":1},"widget_gdlr-core-instagram-widget":{"_multiwidget":1},"widget_gdlr-core-portfolio-slider-widget":{"2":{"title":"Recent Works","category":"","num-fetch":"3","thumbnail-size":"Frame Landscape 2"},"_multiwidget":1},"widget_gdlr-core-post-slider-widget":{"_multiwidget":1},"widget_gdlr-core-recent-comment-widget":{"_multiwidget":1},"widget_gdlr-core-recent-portfolio-widget":{"1":{"title":"Recent Works","category":"","num-fetch":"6"},"3":{"title":"Recent Works","category":"","num-fetch":"9"},"_multiwidget":1},"widget_gdlr-core-recent-post-widget":{"3":{"title":"Recent Articles","category":"blog","num-fetch":"3"},"4":{"title":"Recent Articles","category":"blog","num-fetch":"3"},"_multiwidget":1},"widget_gdlr-core-twitter-widget":{"_multiwidget":1},"widget_gdlr-core-video-widget":{"_multiwidget":1},"widget_media_audio":{"_multiwidget":1},"widget_media_gallery":{"_multiwidget":1},"widget_media_image":{"_multiwidget":1},"widget_media_video":{"_multiwidget":1},"widget_meta":{"2":{"title":""},"_multiwidget":1},"widget_nav_menu":{"3":{"title":"Tour Category","nav_menu":104},"4":{"title":"About Us","nav_menu":68},"5":{"title":"Support","nav_menu":70},"_multiwidget":1},"widget_newsletterwidget":{"_multiwidget":1},"widget_newsletterwidgetminimal":{"_multiwidget":1},"widget_nextend_social_login":{"_multiwidget":1},"widget_pages":{"_multiwidget":1},"widget_recent-comments":{"5":{"title":"","number":5},"6":{"title":"","number":5},"_multiwidget":1},"widget_recent-posts":{"2":{"title":"","number":5},"3":{"title":"","number":5,"show_date":false},"5":{"title":"Recent Posts","number":5,"show_date":false},"_multiwidget":1},"widget_rev-slider-widget":{"_multiwidget":1},"widget_rss":{"1":[],"_multiwidget":1},"widget_search":{"2":{"title":""},"4":{"title":""},"_multiwidget":1},"widget_tag_cloud":{"3":{"title":"Tag Cloud","taxonomy":"post_tag"},"4":{"title":"Tag Cloud","taxonomy":"post_tag"},"5":{"title":"","taxonomy":"post_tag"},"_multiwidget":1},"widget_text":{"7":{"title":"Text Widget","text":"Nulla vitae elit libero, a pharetra augue. Nulla vitae elit libero, a pharetra augue. Nulla vitae elit libero, a pharetra augue. Donec sed odio dui. Etiam porta sem malesuada.","filter":false},"8":{"title":"About Us","text":"Nulla vitae elit libero, a pharetra augue. Nulla vitae elit libero, a pharetra augue. Nulla vitae elit libero, a pharetra augue. Donec sed odio dui.","filter":false},"9":{"title":"Text Widget","text":"Nulla vitae elit libero, a pharetra augue. Nulla vitae elit libero, a pharetra augue. Nulla vitae elit libero, a pharetra augue. Donec sed odio dui. Etiam porta sem malesuada.","filter":false},"10":{"title":"","text":"[gdlr_widget_box title=\"Get a Question?\" title-color=\"#ffffff\" background=\"https:\/\/demo.goodlayers.com\/traveltour\/hiking\/wp-content\/uploads\/2019\/05\/sidebar-bg.jpg\" color=\"#c9e2ff\" ]\r\nDo not hesitage to give us a call. We are an expert team and we are happy to talk to you.\r\n\r\n[gdlr_core_icon icon=\"fa fa-phone\" size=\"17px\" color=\"#ffa11a\" margin-right=\"10px\" ] <span style=\"font-size: 17px; color: #ffffff; font-weight: 600;\">1.8445.3356.33<\/span>\r\n\r\n<span style=\"font-size: 14px; color: #fff; font-weight: 600;\">Help@goodlayers.com<\/span>\r\n\r\n[\/gdlr_widget_box]","filter":false,"visual":false},"11":{"title":"","text":"[gdlr_core_space height=\"-20px\"]\r\n[gdlr_widget_list title=\"Why Book With Us?\" title-color=\"\" background-color=\"\" color=\"\" border-color=\"\" ]\r\n<ul>\r\n<li>[gdlr_core_icon icon=\"fa fa-dollar\" size=\"15px\" color=\"#133a67\" margin-right=\"13px\" ]No-hassle best price guarantee<\/li>\r\n<li>[gdlr_core_icon icon=\"fa fa-headphones\" size=\"15px\" color=\"#133a67\" margin-right=\"10px\" ]Customer care available 24\/7<\/li>\r\n<li>[gdlr_core_icon icon=\"fa fa-star\" size=\"15px\" color=\"#133a67\" margin-right=\"10px\" ]Hand-picked Tours & Activities<\/li>\r\n<li>[gdlr_core_icon icon=\"fa fa-support\" size=\"15px\" color=\"#133a67\" margin-right=\"10px\" ]Free Travel Insureance<\/li>\r\n<\/ul>\r\n[\/gdlr_widget_list]","filter":false,"visual":false},"12":{"title":"","text":"[gdlr_core_space height=\"-10px\"]\r\n[gdlr_widget_box title=\"Get a Question?\" title-color=\"#ffffff\" background=\"https:\/\/demo.goodlayers.com\/traveltour\/hiking\/wp-content\/uploads\/2019\/05\/sidebar-bg.jpg\" color=\"#c9e2ff\" ]\r\nDo not hesitage to give us a call. We are an expert team and we are happy to talk to you.\r\n\r\n[gdlr_core_icon icon=\"fa fa-phone\" size=\"20px\" color=\"#ffa11a\" margin-right=\"10px\" ] <span style=\"font-size: 20px; color: #ffffff; font-weight: 600;\">1.8445.3356.33<\/span>\r\n\r\n[gdlr_core_icon icon=\"fa fa-envelope-o\" size=\"17px\" color=\"#ffa11a\" margin-right=\"10px\" ] <span style=\"font-size: 14px; color: #fff; font-weight: 600;\">Help@goodlayers.com<\/span>\r\n\r\n\r\n[\/gdlr_widget_box]","filter":false,"visual":false},"13":{"title":"","text":"[gdlr_core_space height=\"-10px\"]\r\n\r\n[gdlr_widget_box title=\"Pay Safely With Us\" title-color=\"#ffffff\" background=\"#373737\" left-icon=\"icon_lock_alt\"]\r\n\r\n<span style=\"font-size: 13px; color: #ffffff; \">The payment is encrypted and \r\ntransmitted securely with an <strong>SSL \r\nprotocol.<\/strong><\/span>\r\n\r\n[gdlr_core_space height=\"25px\"]\r\n\r\n[\/gdlr_widget_box]","filter":false},"14":{"title":"","text":"[gdlr_core_space height=\"-20px\"]\r\n[gdlr_widget_list title=\"Why Book With Us?\" title-color=\"\" background-color=\"\" color=\"\" border-color=\"\" ]\r\n<ul>\r\n<li>[gdlr_core_icon icon=\"fa fa-dollar\" size=\"15px\" color=\"#133a67\" margin-right=\"13px\" ]No-hassle best price guarantee<\/li>\r\n<li>[gdlr_core_icon icon=\"fa fa-headphones\" size=\"15px\" color=\"#133a67\" margin-right=\"10px\" ]Customer care available 24\/7<\/li>\r\n<li>[gdlr_core_icon icon=\"fa fa-star\" size=\"15px\" color=\"#133a67\" margin-right=\"10px\" ]Hand-picked Tours & Activities<\/li>\r\n<li>[gdlr_core_icon icon=\"fa fa-support\" size=\"15px\" color=\"#133a67\" margin-right=\"10px\" ]Free Travel Insureance<\/li>\r\n<\/ul>\r\n[\/gdlr_widget_list]","filter":false,"visual":false},"15":{"title":"Contact Info","text":"<div style=\"margin-bottom: 7px;\"><span style=\"color: #8aa5e8;\">London<\/span>[gdlr_core_icon icon=\"fa fa-phone\" size=\"15px\" color=\"#ffffff\" margin-left=\"20px\" margin-right=\"10px\" ]<span style=\"color: #ffffff;\">+6-345-3456-233<\/span><\/div>\r\n<div style=\"margin-bottom: 7px;\"><span style=\"color: #8aa5e8;\">Hawaii<\/span>[gdlr_core_icon icon=\"fa fa-phone\" size=\"15px\" color=\"#ffffff\" margin-left=\"20px\" margin-right=\"10px\" ]<span style=\"color: #ffffff;\">+1-345-33454-4<\/span><\/div>\r\n<div style=\"margin-bottom: 23px;\"><span style=\"color: #8aa5e8;\">Greece<\/span>[gdlr_core_icon icon=\"fa fa-phone\" size=\"15px\" color=\"#ffffff\" margin-left=\"20px\" margin-right=\"10px\" ]<span style=\"color: #ffffff;\">+34-8757-4556<\/span><\/div>\r\n<div style=\"margin-bottom: 23px;\">[gdlr_core_icon icon=\"fa fa-envelope-open-o\" size=\"15px\" color=\"#ffffff\" margin-left=\"\" margin-right=\"10px\" ]<span style=\"color: #ffffff;\">Ask@traveltourtheme.com<\/span><\/div>\r\n\u00a9 2014-2017 Travel Tour\r\nAll Rights Reserved.","filter":true,"visual":true},"16":{"title":"Pay Safely With Us","text":"<span style=\"color: #fff;\">The payment is encrypted and transmitted securely with an SSL protocol.<\/span>\r\n<img src=\"https:\/\/demo.goodlayers.com\/traveltour\/citytour\/wp-content\/uploads\/2017\/07\/creditcard-logo.png\" alt=\"\" \/>","filter":true,"visual":true},"_multiwidget":1},"widget_tourmaster-tour-search-widget":{"_multiwidget":1},"widget_tourmaster-tour-widget":{"2":{"title":"Recent Tours","category":"","num-fetch":"3"},"3":{"title":"Recent Tours","category":"","num-fetch":"3"},"4":{"title":"Recent Tours","category":"","num-fetch":"4"},"5":{"title":"Latest Tours","category":"","num-fetch":"4"},"_multiwidget":1},"widget_tourmaster-widget-tour-category":{"2":{"title":"Tour Destinations","num-fetch":"6","column-size":"20","thumbnail-size":"thumbnail","style":"widget"},"3":{"title":"Top Destinations","num-fetch":"6","column-size":"20","thumbnail-size":"Personnel Square","style":"widget"},"4":{"title":"Tour Destinations","num-fetch":"6","column-size":"20","thumbnail-size":"Personnel Square","style":"widget"},"5":{"title":"Destinations","num-fetch":"6","column-size":"60","thumbnail-size":"Personnel Square","style":"widget"},"_multiwidget":1},"widget_woocommerce_layered_nav":{"_multiwidget":1},"widget_woocommerce_layered_nav_filters":{"_multiwidget":1},"widget_woocommerce_price_filter":{"2":{"title":"Filter by price"},"_multiwidget":1},"widget_woocommerce_product_categories":{"_multiwidget":1},"widget_woocommerce_product_search":{"_multiwidget":1},"widget_woocommerce_product_tag_cloud":{"_multiwidget":1},"widget_woocommerce_products":{"2":{"title":"Products","number":5,"show":"","orderby":"date","order":"desc","hide_free":0,"show_hidden":0},"_multiwidget":1},"widget_woocommerce_rating_filter":{"_multiwidget":1},"widget_woocommerce_recent_reviews":{"_multiwidget":1},"widget_woocommerce_recently_viewed_products":{"_multiwidget":1},"widget_woocommerce_top_rated_products":{"_multiwidget":1},"widget_woocommerce_widget_cart":{"2":{"title":"Cart","hide_if_empty":0},"_multiwidget":1},"widget_wpgmp_google_map_widget_class":{"_multiwidget":1}}',
					'theme-option' => '{"traveltour_general":{"layout":"full","boxed-layout-top-margin":"0px","body-margin":"0px","background-type":"color","background-image":"","background-pattern":"pattern-1","enable-boxed-border":"disable","item-padding":"20px","container-width":"1320px","container-padding":"20px","sidebar-width":"20","both-sidebar-width":"15","enable-top-bar":"enable","enable-top-bar-on-mobile":"enable","top-bar-width":"full","top-bar-width-pixel":"1140px","top-bar-full-side-padding":"20px","top-bar-left-text":"[gdlr_core_icon icon=\"fa fa-phone\" size=\"16px\" color=\"#8192a0\" margin-left=\"\" margin-right=\"10px\" ] +41 21 634 05 05\n[gdlr_core_icon icon=\"fa fa-envelope-o\" size=\"16px\" color=\"#8192a0\" margin-left=\"30px\" margin-right=\"10px\" ] Booking@alpsshiking.co","top-bar-right-text":"","top-bar-top-padding":"26px","top-bar-bottom-padding":"19px","top-bar-text-size":"15px","top-bar-bottom-border":"0px","enable-top-bar-social":"enable","top-bar-social-delicious":"","top-bar-social-email":"","top-bar-social-deviantart":"","top-bar-social-digg":"","top-bar-social-facebook":"#","top-bar-social-flickr":"#","top-bar-social-google-plus":"#","top-bar-social-lastfm":"","top-bar-social-linkedin":"","top-bar-social-pinterest":"","top-bar-social-rss":"","top-bar-social-skype":"","top-bar-social-stumbleupon":"","top-bar-social-tumblr":"","top-bar-social-twitter":"#","top-bar-social-vimeo":"","top-bar-social-youtube":"","top-bar-social-instagram":"","top-bar-social-snapchat":"","header-style":"plain","header-plain-style":"splitted-menu","header-plain-bottom-border":"0px","header-bar-navigation-align":"center","header-background-style":"transparent","top-bar-background-opacity":"0","header-background-opacity":"0","navigation-background-opacity":"50","header-boxed-style":"menu-right","boxed-top-bar-background-opacity":"0","boxed-top-bar-background-extend":"0px","boxed-header-top-margin":"0px","header-side-style":"top-left","header-side-align":"left","header-side-toggle-style":"left","header-side-toggle-menu-type":"overlay","header-side-toggle-display-logo":"enable","header-width":"boxed","header-width-pixel":"1140px","header-full-side-padding":"26px","boxed-header-frame-radius":"3px","boxed-header-content-padding":"49px","navigation-text-top-margin":"48px","navigation-text-top-margin-boxed":"0px","navigation-text-side-spacing":"19px","navigation-slide-bar":"disable","side-header-width-pixel":"340px","side-header-side-padding":"70px","navigation-text-top-spacing":"16px","logo-right-text":"","logo-right-text-top-padding":"30px","logo":"5537","mobile-logo":"5546","logo-top-padding":"31px","logo-bottom-padding":"21px","logo-left-padding":"","max-logo-width":"180px","main-navigation-top-padding":"25px","main-navigation-bottom-padding":"24px","main-navigation-right-padding":"","enable-main-navigation-sticky":"enable","enable-logo-on-main-navigation-sticky":"enable","enable-main-navigation-submenu-indicator":"disable","enable-main-navigation-search":"disable","enable-main-navigation-cart":"enable","enable-main-navigation-right-button":"disable","main-navigation-right-button-text":"Buy Now","main-navigation-right-button-link":"","main-navigation-right-button-link-target":"_self","right-menu-type":"right","right-menu-style":"hamburger","default-title-style":"custom","default-title-align":"center","default-title-top-padding":"108px","default-title-bottom-padding":"130px","default-page-caption-top-margin":"13px","default-title-font-transform":"none","default-title-font-size":"56px","default-title-font-weight":"","default-title-letter-spacing":"0px","default-caption-font-size":"16px","default-caption-font-weight":"","default-caption-letter-spacing":"0px","default-title-background-overlay-opacity":"87","default-title-background":"5524","default-portfolio-title-background":"","default-personnel-title-background":"","default-search-title-background":"","default-archive-title-background":"","default-404-background":"","default-404-background-opacity":"27","default-blog-title-style":"small","default-blog-title-top-padding":"93px","default-blog-title-bottom-padding":"87px","default-blog-feature-image":"content","default-blog-title-background-image":"5290","default-blog-title-background-overlay-opacity":"0","blog-sidebar":"right","blog-sidebar-left":"gdlr-core-sidebar-preset","blog-sidebar-right":"blog-right","blog-max-content-width":"","blog-thumbnail-size":"full","blog-date-feature":"enable","meta-option":["author","category","tag","comment-number"],"blog-author":"enable","blog-navigation":"enable","pagination-style":"round","pagination-align":"right","blog-social-share":"enable","blog-social-share-count":"enable","blog-social-facebook":"enable","blog-social-linkedin":"disable","blog-social-google-plus":"enable","blog-social-pinterest":"enable","blog-social-stumbleupon":"disable","blog-social-twitter":"enable","blog-social-email":"disable","archive-blog-sidebar":"right","archive-blog-sidebar-left":"gdlr-core-sidebar-preset","archive-blog-sidebar-right":"gdlr-core-sidebar-preset","archive-blog-style":"blog-full","archive-blog-full-alignment":"left","archive-thumbnail-size":"full","archive-show-thumbnail":"enable","archive-column-size":"20","archive-excerpt":"specify-number","archive-excerpt-number":"55","archive-date-feature":"enable","archive-meta-option":["date","author","category"],"archive-show-read-more":"enable","woocommerce-archive-sidebar":"right","woocommerce-archive-sidebar-left":"gdlr-core-sidebar-preset","woocommerce-archive-sidebar-right":"woocommerce","woocommerce-archive-column-size":"30","woocommerce-archive-thumbnail":"Personnel Thumbnail","woocommerce-related-product-column-size":"15","woocommerce-related-product-num-fetch":"4","woocommerce-related-product-thumbnail":"Personnel Thumbnail","portfolio-slug":"portfolio","portfolio-category-slug":"portfolio_category","portfolio-tag-slug":"portfolio_tag","enable-single-portfolio-navigation":"enable","portfolio-icon-hover-link":"fa fa-external-link","portfolio-icon-hover-video":"fa fa-film","portfolio-icon-hover-image":"icon_search","portfolio-icon-hover-size":"22px","enable-related-portfolio":"disable","related-portfolio-style":"grid","related-portfolio-column-size":"15","related-portfolio-num-fetch":"4","related-portfolio-thumbnail-size":"medium","related-portfolio-num-excerpt":"20","archive-portfolio-sidebar":"none","archive-portfolio-sidebar-left":"gdlr-core-sidebar-preset","archive-portfolio-sidebar-right":"gdlr-core-sidebar-preset","archive-portfolio-style":"medium","archive-portfolio-thumbnail-size":"full","archive-portfolio-grid-text-align":"left","archive-portfolio-grid-style":"normal","archive-enable-portfolio-tag":"enable","archive-portfolio-medium-size":"small","archive-portfolio-medium-style":"switch","archive-portfolio-hover":"icon","archive-portfolio-column-size":"20","archive-portfolio-excerpt":"specify-number","archive-portfolio-excerpt-number":"55","personnel-slug":"personnel","personnel-category-slug":"personnel_category","fixed-footer":"disable","enable-footer":"enable","footer-top-padding":"70px","footer-bottom-padding":"50px","footer-style":"footer-2","enable-copyright":"enable","copyright-top-padding":"38px","copyright-bottom-padding":"38px","copyright-text":"Copyright 2020 GoodLayers, All Right Reserved","enable-back-to-top":"disable","enable-top-bar-left-on-mobile":"disable","enable-top-bar-right-on-mobile":"enable","enable-top-bar-right-login":"enable","enable-footer-column-divider":"disable","disable-cookie-youtube":"disable","default-blog-title-background-gradient":"both","navigation-left-offset":"","single-blog-title-top-gradient-size":"450px","single-blog-title-bottom-gradient-size":"400px","enable-top-bar-divider":"disable","wpml-flag-type":"icon","navigation-slide-bar-top-margin":"","navigation-right-top-margin":"","footer-title-bottom-margin":"","copyright-style":"center","copyright-left":"","copyright-right":""},"traveltour_typography":{"heading-font":"Oswald","navigation-font":"Poppins","content-font":"Poppins","info-font":"Poppins","blog-info-font":"Poppins","quote-font":"ABeeZee","additional-font":"Georgia, serif","additional-font2":"Georgia, serif","h1-font-size":"52px","h2-font-size":"48px","h3-font-size":"36px","h4-font-size":"28px","h5-font-size":"22px","h6-font-size":"18px","navigation-font-size":"15px","navigation-font-weight":"600","navigation-text-transform":"uppercase","content-font-size":"15px","content-line-height":"1.7","font-upload":"","sidebar-title-font-size":"","sidebar-title-font-weight":"","sidebar-title-font-letter-spacing":"","sidebar-title-text-transform":"uppercase","footer-title-font-size":"","footer-title-font-weight":"","footer-title-font-letter-spacing":"","footer-title-text-transform":"uppercase","footer-font-size":"","footer-content-font-weight":"","footer-content-text-transform":"none","copyright-font-size":"","copyright-font-weight":"","copyright-font-letter-spacing":"","copyright-text-transform":"uppercase"},"traveltour_color":{"page-preload-background-color":"#ffffff","top-bar-background-color":"#f7f7f7","top-bar-bottom-border-color":"#ffffff","top-bar-text-color":"#8192a0","top-bar-link-color":"#8192a0","top-bar-link-hover-color":"#353535","top-bar-social-color":"#468ae7","top-bar-social-hover-color":"#468ae7","header-background-color":"#ffffff","header-plain-bottom-border-color":"#e8e8e8","navigation-bar-background-color":"#f4f4f4","navigation-bar-top-border-color":"#e8e8e8","navigation-slide-bar-color":"#234076","logo-background-color":"#ffffff","navigation-bar-right-icon-color":"#ffc53d","woocommerce-cart-icon-number-background":"#e2e2e2","woocommerce-cart-icon-number-color":"#193555","secondary-menu-icon-color":"#193555","secondary-menu-border-color":"#dddddd","search-overlay-background-color":"#000000","top-cart-background-color":"#303030","top-cart-text-color":"#b5b5b5","top-cart-view-cart-color":"#ffffff","top-cart-checkout-color":"#234076","breadcrumbs-text-color":"#c0c0c0","breadcrumbs-text-active-color":"#777777","main-menu-text-color":"#697e8a","main-menu-text-hover-color":"#000000","sub-menu-background-color":"#262626","sub-menu-text-color":"#bababa","sub-menu-text-hover-color":"#ffffff","sub-menu-text-hover-background-color":"#303030","sub-mega-menu-title-color":"#ffffff","sub-mega-menu-divider-color":"#424242","side-menu-text-color":"#979797","side-menu-text-hover-color":"#ffffff","side-menu-background-color":"#1f1f1f","side-menu-border-color":"#626262","overlay-menu-background-color":"#000000","overlay-menu-border-color":"#424242","overlay-menu-text-color":"#ffffff","overlay-menu-text-hover-color":"#a8a8a8","anchor-bullet-background-color":"#777777","anchor-bullet-background-active-color":"#ffffff","navigation-right-button-text-color":"#333333","navigation-right-button-background-color":"","navigation-right-button-border-color":"#333333","navigation-right-button-text-hover-color":"#555555","navigation-right-button-background-hover-color":"","navigation-right-button-border-hover-color":"#555555","body-background-color":"#ffffff","container-background-color":"#ffffff","page-title-color":"#232323","page-caption-color":"#6b6b6b","page-title-background-overlay-color":"#ffffff","body-content-color":"#727272","heading-color":"#383838","link-color":"#234076","link-hover-color":"#374c75","divider-color":"#e1e1e1","input-box-background-color":"#ffffff","input-box-border-color":"#d7d7d7","input-box-text-color":"#4e4e4e","input-box-placeholder-color":"#4e4e4e","404-content-background-color":"#23618e","404-head-color":"#ffffff","404-title-color":"#ffffff","404-caption-color":"#c3e7ff","404-input-background-color":"#000000","404-input-text-color":"#ffffff","404-back-to-home-color":"#ffffff","sidebar-title-color":"#383838","sidebar-link-color":"#484848","sidebar-link-hover-color":"#323232","recent-post-widget-info-icon-color":"#9c9c9c","recent-post-widget-info-link-color":"#a0a0a0","post-slider-widget-title-color":"#ffffff","post-slider-widget-info-color":"#9c9c9c","search-box-text-color":"#b5b5b5","search-box-border-color":"#e0e0e0","search-box-icon-color":"#c7c7c7","twitter-widget-icon-color":"#303030","twitter-widget-date-color":"#b5b5b5","footer-background-color":"#202020","footer-title-color":"#ffffff","footer-content-color":"#ababab","footer-link-color":"#ffffff","footer-link-hover-color":"#ffffff","footer-divider-color":"#303030","copyright-background-color":"#181818","copyright-text-color":"#838383","back-to-top-background-color":"#dbdbdb","back-to-top-text-color":"#313131","single-blog-title-color":"#ffffff","single-blog-info-color":"#ffffff","single-blog-date-day-color":"#ffffff","single-blog-date-month-color":"#b1b1b1","single-blog-divider-color":"#ffffff","single-blog-title-background-overlay-color":"#ffffff","single-blog-author-title-color":"#464646","single-blog-author-caption-color":"#b1b1b1","single-blog-navigation-color":"#bcbcbc","single-blog-comment-title-color":"#464646","single-blog-comment-background-color":"#f9f9f9","single-blog-comment-reply-color":"#bcbcbc","single-blog-comment-time-color":"#b1b1b1","blog-title-color":"#343434","blog-title-hover-color":"#343434","blog-sticky-banner-color":"#ffffff","blog-sticky-banner-background":"#234076","blog-info-color":"#234076","blog-date-day-color":"#353535","blog-date-month-color":"#8a8a8a","blog-frame-background-color":"#ffffff","blog-modern-text-color":"#ffffff","blog-aside-background-color":"#234076","blog-aside-text-color":"#ffffff","pagination-background-color":"#e6e6e6","pagination-text-color":"#929292","pagination-background-hover-color":"#234076","pagination-text-hover-color":"#ffffff","pagination-plain-color":"#b4b4b4","pagination-plain-hover-color":"#424242","single-portfolio-nav-color":"#bcbcbc","portfolio-title-color":"#191919","portfolio-info-head-color":"#343434","portfolio-info-color":"#a5a5a5","portfolio-badge-text-color":"#ffffff","portfolio-badge-background-color":"#e24a3b","portfolio-thumbnail-title-color":"#ffffff","portfolio-thumbnail-info-color":"#cecece","portfolio-text-filter-color":"#606060","portfolio-text-filter-active-color":"#234076","portfolio-button-filter-text-color":"#838383","portfolio-button-filter-background-color":"#f1f1f1","portfolio-button-filter-text-active-color":"#ffffff","portfolio-button-filter-background-active-color":"#234076","price-table-background-color":"#f8f8f8","price-table-head-color":"#3e3e3e","price-table-head-top-gradient-color":"#525252","price-table-icon-color":"#ffffff","price-table-title-color":"#ffffff","price-table-caption-color":"#acacac","price-table-price-background-color":"#ebebeb","price-table-price-color":"#323232","price-table-price-suffix-color":"#acacac","price-table-price-button-color":"#ffffff","price-table-button-background-color":"#575757","price-table-button-background-top-gradient-color":"#414141","price-table-list-border-color":"#e5e5e5","price-table-active-head-color":"#234076","price-table-active-head-top-gradient-color":"#51607f","price-table-active-icon-color":"#ffffff","price-table-active-title-color":"#ffffff","price-table-active-caption-color":"#425a96","price-table-active-price-background-color":"#ffffff","price-table-active-price-color":"#323232","price-table-active-price-suffix-color":"#acacac","price-table-active-price-button-color":"#ffffff","price-table-active-button-background-color":"#234076","price-table-active-button-background-top-gradient-color":"#425a96","accordion-normal-icon-color":"#191919","accordion-normal-title-color":"#282828","accordion-normal-icon-background-color":"#f3f3f3","accordion-icon-color":"#191919","accordion-title-color":"#262626","accordion-title-background-color":"#f3f3f3","accordion-icon-active-color":"#191919","accordion-title-active-color":"#425a96","accordion-title-background-active-color":"#f3f3f3","audio-background-color":"#e7e7e7","audio-text-color":"#202020","audio-content-background-color":"#afafaf","audio-content-progress-color":"#425a96","audio-volume-background-color":"#afafaf","audio-volume-progress-color":"#646464","alert-box-item-background-color":"#ef5e68","alert-box-item-border-color":"#cd515a","alert-box-item-content-color":"#ffffff","alert-box-item-title-color":"#ffffff","blockquote-text-color":"#777777","blockquote-background-color":"#f5f5f5","blockquote-border-color":"#e2e2e2","blockquote-item-icon-color":"#4e4e4e","blockquote-item-content-color":"#4e4e4e","button-text-color":"#ffffff","button-text-hover-color":"#ffffff","button-background-color":"#133a67","button-background-hover-color":"#284f82","button-border-color":"#383838","button-border-hover-color":"#000000","button-gradient-background-color":"#133a67","button-top-gradient-background-color":"#2e5684","call-to-action-title-color":"#2c2c2c","call-to-action-caption-color":"#535353","counter-item-top-text-color":"#828282","counter-item-top-icon-color":"#393939","counter-item-number-color":"#393939","counter-item-divider-color":"#393939","counter-item-bottom-text-color":"#393939","column-service-icon-color":"#9d9d9d","column-service-icon-background":"#f3f3f3","column-service-title-color":"#383838","column-service-caption-color":"#747474","dropdown-tab-head-background":"#f7c02e","dropdown-tab-head-text":"#252525","flipbox-background-color":"#425a96","flipbox-border-color":"#425a96","flipbox-icon-color":"#ffffff","flipbox-title-color":"#ffffff","flipbox-caption-color":"#ffffff","flipbox-content-color":"#ffffff","gallery-overlay-title":"#ffffff","gallery-overlay-caption":"#cecece","image-overlay-background-color":"#000000","image-overlay-icon-color":"#ffffff","image-item-border-color":"#000000","item-title-color":"#343434","item-title-caption-color":"#747474","item-title-link-color":"#747474","icon-list-item-icon-color":"#222222","icon-list-item-icon-background-color":"#f3f3f3","opening-hour-day-color":"#a5a5a5","opening-hour-open-color":"#262626","opening-hour-close-color":"#c8c8c8","opening-hour-icon-color":"#8a8989","opening-hour-divider-color":"#a6a6a6","personnel-grid-title-color":"#383838","personnel-grid-position-color":"#888888","personnel-grid-divider-color":"#cecece","personnel-grid-frame-color":"#ffffff","personnel-modern-title-color":"#ffffff","personnel-modern-position-color":"#ffffff","promo-box-item-title-color":"#383838","promo-box-content-border-color":"#e8e7e7","post-slider-title-color":"#ffffff","post-slider-info-color":"#c5c5c5","skill-bar-title-color":"#505050","skill-bar-icon-color":"#616161","skill-bar-background-color":"#f3f3f3","skill-bar-progress-color":"#425a96","slider-outer-navigation-color":"#193555","slider-outer-navigation-background-color":"#1c386e","slider-control-navigation-color":"#8a8a8a","social-share-icon-color":"#202020","social-share-divider-color":"#e5e5e5","social-share-text-color":"#202020","stunning-text-title-color":"#747474","stunning-text-caption-color":"#383838","tab-title-color":"#8d8d8d","tab-title-background-color":"#f7f7f7","tab-title-border-color":"#ebebeb","tab-title-hover-bar-color":"#425a96","tab-title-active-color":"#464646","tab-title-active-background-color":"#ffffff","table-head-background-color":"#425a96","table-head-text-color":"#ffffff","table-odd-background-color":"#f9f9f9","table-odd-text-color":"#949494","table-even-background":"#f3f3f3","table-even-text":"#949494","testimonial-title-color":"#232323","testimonial-content-color":"#707070","testimonial-author-color":"#3b3b3b","testimonial-position-color":"#3b3b3b","testimonial-quote-color":"#282828","title-item-title-color":"#383838","title-item-caption-color":"#747474","woocommerce-theme-color":"#425a96","woocommerce-price-color":"#425a96","woocommerce-price-linethrough-color":"#949494","woocommerce-button-background-hover-color":"#6377a8","woocommerce-button-text-color":"#ffffff","woocommerce-button-text-hover-color":"#ffffff","woocommerce-input-background-color":"#f3f3f3","product-item-title-color":"#191919","product-item-title-hover-color":"#434343","view-detail-text-color":"#ffffff","view-detail-background-color":"#000000","add-to-cart-text-color":"#ffffff","add-to-cart-background-color":"#425a96","widget-price-filter-bar-background-color":"#e6e6e6","widget-price-filter-range-color":"#677596","widget-price-filter-handle-color":"#425a96","blog-info-icon-color":"#9a9a9a","skin":[{"name":"Dark","title":"#ffffff","title-hover":"#ffffff","caption":"#ffffff","content":"#ededed","icon":"#ffffff","link":"#ffffff","link-hover":"#ffffff","divider":"#bcbcbc","border":"#8e8e8e","element-background":"","element-content":"#3a3a3a","button-text":"#969696","button-text-hover":"#383838","button-background":"#ffffff","button-background-hover":"#d6d6d6","button-border-color":"","button-border-hover-color":""},{"name":"White Text","title":"#ffffff","title-hover":"","caption":"#eaeaea","content":"#ffffff","icon":"#ffffff","link":"#ffffff","link-hover":"#ffffff","divider":"#ffffff","border":"#ffffff","element-background":"#ffffff","element-content":"#ffffff","button-text":"#ffffff","button-text-hover":"#ffffff","button-background":"#212121","button-background-hover":"#262626","button-border-color":"#ffffff","button-border-hover-color":"#ffffff"},{"name":"Grey","title":"#3a3a3a","title-hover":"","caption":"#727272","content":"#515151","icon":"#5e5e5e","link":"","link-hover":"","divider":"#cecece","border":"#d6d6d6","element-background":"#ffffff","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Dark Personnel","title":"#ffffff","title-hover":"#ffffff","caption":"#dbdbdb","content":"#ffffff","icon":"#ffffff","link":"#ffffff","link-hover":"#ffffff","divider":"#b2b2b2","border":"#b2b2b2","element-background":"#ffffff","element-content":"#3a3a3a","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Maintenance","title":"#ffffff","title-hover":"","caption":"#ffffff","content":"#d8d8d8","icon":"","link":"","link-hover":"","divider":"#bababa","border":"#727272","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Grey Frame","title":"","title-hover":"","caption":"","content":"","icon":"","link":"","link-hover":"","divider":"","border":"","element-background":"#f6f6f6","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Newsletter form","title":"","title-hover":"","caption":"","content":"","icon":"","link":"","link-hover":"","divider":"","border":"#c38224","element-background":"","element-content":"#785119","button-text":"#ffffff","button-text-hover":"#e0e0e0","button-background":"#193555","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Blue Carousel","title":"","title-hover":"","caption":"","content":"","icon":"#ffffff","link":"","link-hover":"","divider":"","border":"","element-background":"#234076","element-content":"#ffffff","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"COLUM SVC  20 YEARS","title":"#193555","title-hover":"","caption":"#687d8e","content":"#687d8e","icon":"","link":"","link-hover":"","divider":"","border":"","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"COUNTER SKIN ","title":"#193555","title-hover":"","caption":"#96a2b0","content":"#96a2b0","icon":"","link":"","link-hover":"","divider":"","border":"","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Search HP","title":"","title-hover":"","caption":"","content":"","icon":"","link":"","link-hover":"","divider":"","border":"#133a67","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Yellow Link","title":"","title-hover":"","caption":"","content":"","icon":"","link":"#ffa11a","link-hover":"","divider":"","border":"","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Light Search","title":"","title-hover":"","caption":"","content":"","icon":"","link":"","link-hover":"","divider":"","border":"","element-background":"#f4f4f4","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""}],"top-bar-icon-color":"#8192a0","tagcloud-background-color":"#ffffff","portfolio-frame-background-color":"#ffffff","accordion-normal-title-head-color":"#191919","accordion-title-head-color":"#191919","newsletter-input-background":"#ffffff","newsletter-input-text":"#8d8d8d","testimonial-rating-color":"#ffa127","blog-thumbnail-category-background":"#234076","portfolio-grid2-tag-background":"#234076","blog-modern-hover-background-color":"#000","roadmap-title-color":"#a6aafb","roadmap-title-active-color":"#ffffff","roadmap-caption-color":"#c1caf6","roadmap-number-text":"#c5c5c5","roadmap-number-background":"#223077","roadmap-number-active-text":"#223077","roadmap-number-active-background":"#ffffff","roadmap-number-divider":"#ffffff","roadmap-content-title":"#ffffff","roadmap-content-caption":"#c1caf6","roadmap-content-color":"#babdff","slider-control-navigation-background-color":"#dfdfdf","single-blog-title-background-gradient-color":"#1c386e","single-blog-title-background-gradient-max-opacity":"1","single-blog-title-background-bottom-gradient-max-opacity":"1","slider-outer-navigation-hover-color":"#a7a7a7","testimonial-frame-background-color":"#ffffff"},"traveltour_plugin":{"enable-srcset":"disable","lightbox":"lightGallery","ilightbox-skin":"dark","link-to-lightbox":"enable","additional-css":"","additional-script":"","enable-maintenance":"disable","maintenance-page":"4821","enable-preload":"disable","preload-image":"","thumbnail-sizing":[{"name":"Personnel Thumbnail","width":"700","height":"500","hard-crop":""},{"name":"Portfolio Thumbnail","width":"700","height":"450","hard-crop":""},{"name":"Portfolio Thumbnail Portrait","width":"700","height":"660","hard-crop":""},{"name":"Portfolio Thumbnail Portrait 2","width":"600","height":"800","hard-crop":""},{"name":"Large Landscape","width":"1280","height":"580","hard-crop":""},{"name":"Large Landscape 2","width":"1550","height":"700","hard-crop":""},{"name":"Portfolio Side Description Large","width":"900","height":"500","hard-crop":""},{"name":"Blog Full Thumbnail","width":"1100","height":"490","hard-crop":""},{"name":"Blog Column Thumbnail","width":"700","height":"430","hard-crop":""},{"name":"Personnel Thumbnail 2","width":"550","height":"500","hard-crop":""},{"name":"Large Landscape 3","width":"1500","height":"1000","hard-crop":""},{"name":"Personnel Square","width":"600","height":"600","hard-crop":""},{"name":"Tour Category","width":"800","height":"960","hard-crop":""},{"name":"Tour Side Thumbnail","width":"600","height":"700","hard-crop":""},{"name":"Single Gallery","width":"1000","height":"800","hard-crop":""}],"additional-mobile-css":"","additional-head-script":"","additional-head-script2":"","consent-item":"","disable-cookie-youtube":"disable","privacy-cookie-time":"30","privacy-notification-position":"bottom-bar","privacy-box-button-color":"#1a49a8","privacy-form-logo":"","privacy-form-input-button-color":"#1a49a8","privacy-form-save-button-color":"#1a49a8"}}'
				),
				'golf' => array(
					'title' => esc_html__('Golf', 'traveltour'),
					'url' => 'https://demo.goodlayers.com/traveltour/golf/',
					'xml' => get_template_directory() . '/admin/function/files/golf.xml',
					'page' => 5946,
					'menu' => array('main_menu' => 66, 'mobile_menu' => 66),
					'widget' => '{"gdlrcst_sidebar_name":[{"name":"Blog","id":"blog"},{"name":"Blog Left","id":"blog-left"},{"name":"Blog Right","id":"blog-right"},{"name":"Single Tour","id":"single-tour"},{"name":"Tour list","id":"tour-list"},{"name":"Payment","id":"payment"}],"sidebars_widgets":{"wp_inactive_widgets":["tag_cloud-5","tourmaster-tour-widget-2","tourmaster-tour-widget-3","tourmaster-tour-widget-4","tourmaster-widget-tour-category-2","tourmaster-widget-tour-category-3","tourmaster-widget-tour-category-4","tourmaster-widget-tour-category-5","gdlr-core-recent-post-widget-3"],"gdlr-core-sidebar-preset":["search-2","recent-posts-2","archives-2","categories-2","meta-2"],"footer-1":["text-1"],"footer-2":["gdlr-core-custom-menu-widget-2"],"footer-3":["gdlr-core-custom-menu-widget-3"],"footer-4":["text-15"],"blog":["text-7","gdlr-core-recent-portfolio-widget-3","gdlr-core-recent-post-widget-5","tag_cloud-3"],"blog-left":["search-4","text-8","recent-comments-6","gdlr-core-portfolio-slider-widget-2"],"blog-right":["text-9","recent-posts-5","tag_cloud-4"],"single-tour":["text-11","text-12"],"tour-list":["tourmaster-tour-widget-5","text-10","nav_menu-3","gdlr-core-recent-post-widget-4"],"payment":["text-14","text-13"],"array_version":3},"widget_archives":{"2":{"title":"","count":0,"dropdown":0},"_multiwidget":1},"widget_calendar":{"_multiwidget":1},"widget_categories":{"2":{"title":"","count":0,"hierarchical":0,"dropdown":0},"_multiwidget":1},"widget_custom_html":{"_multiwidget":1},"widget_gdlr-core-category-background-widget":{"_multiwidget":1},"widget_gdlr-core-custom-menu-widget":{"2":{"title":"About Us","menu":"74","style":"plain"},"3":{"title":"Support","menu":"75","style":"plain"},"_multiwidget":1},"widget_gdlr-core-instagram-widget":{"_multiwidget":1},"widget_gdlr-core-newsletter-widget":{"_multiwidget":1},"widget_gdlr-core-opening-hour-widget":{"_multiwidget":1},"widget_gdlr-core-portfolio-slider-widget":{"2":{"title":"Recent Works","category":"","num-fetch":"3","thumbnail-size":"Frame Landscape 2"},"_multiwidget":1},"widget_gdlr-core-post-slider-widget":{"_multiwidget":1},"widget_gdlr-core-recent-comment-widget":{"_multiwidget":1},"widget_gdlr-core-recent-event-widget":{"_multiwidget":1},"widget_gdlr-core-recent-portfolio-widget":{"3":{"title":"Recent Works","category":"","num-fetch":"9"},"_multiwidget":1},"widget_gdlr-core-recent-post-widget":{"3":{"title":"Recent Articles","category":"blog","num-fetch":"3"},"4":{"title":"Recent Articles","category":"blog","num-fetch":"3"},"5":{"title":"Recent Posts","style":"style-1","category":"","num-fetch":"3","order-by":"date","order":"desc","thumbnail-size":"thumbnail"},"_multiwidget":1},"widget_gdlr-core-twitter-widget":{"_multiwidget":1},"widget_gdlr-core-video-widget":{"_multiwidget":1},"widget_media_audio":{"_multiwidget":1},"widget_media_gallery":{"_multiwidget":1},"widget_media_image":{"_multiwidget":1},"widget_media_video":{"_multiwidget":1},"widget_meta":{"2":{"title":""},"_multiwidget":1},"widget_nav_menu":{"3":{"title":"Tour Category","nav_menu":104},"_multiwidget":1},"widget_newsletterwidget":{"_multiwidget":1},"widget_newsletterwidgetminimal":{"_multiwidget":1},"widget_nextend_social_login":{"_multiwidget":1},"widget_pages":{"_multiwidget":1},"widget_recent-comments":{"6":{"title":"","number":5},"_multiwidget":1},"widget_recent-posts":{"2":{"title":"","number":5},"5":{"title":"Recent Posts","number":5,"show_date":false},"_multiwidget":1},"widget_rev-slider-widget":{"_multiwidget":1},"widget_rss":{"1":[],"_multiwidget":1},"widget_search":{"2":{"title":""},"4":{"title":""},"_multiwidget":1},"widget_tag_cloud":{"3":{"title":"Tag Cloud","taxonomy":"post_tag"},"4":{"title":"Tag Cloud","taxonomy":"post_tag"},"5":{"title":"","taxonomy":"post_tag"},"_multiwidget":1},"widget_text":{"1":{"title":"","text":"[gdlr_core_title title=\"Travel Tour\" title-font-size= \"28px\" title-color=\"#ffffff\" title-font-uppercase=\"disable\" padding-bottom=\"35px\"]\r\n12 Main tPt. London[gdlr_core_space height=\"15px\"]\r\n+44 3656 4567[gdlr_core_space height=\"15px\"]\r\ncontact@traveltourtheme.com[gdlr_core_space height=\"35px\"]\r\n\r\n[gdlr_core_social_network facebook=\"#url\"  twitter=\"#url\" instagram=\"#\" icon-space= \"12px\" icon-width= \"50px\" background-color=\"transparent\" icon-border-color=\"#ffffff\" icon-color=\"#ffffff\" icon-border-size=\"1px\" icon-border-radius=\"25px\" hover-background-color=\"#aa9875\" hover-icon-border-color=\"#aa9875\" hover-icon-color=\"#ffffff\"]","filter":false,"visual":false},"7":{"title":"Text Widget","text":"Nulla vitae elit libero, a pharetra augue. Nulla vitae elit libero, a pharetra augue. Nulla vitae elit libero, a pharetra augue. Donec sed odio dui. Etiam porta sem malesuada.","filter":false},"8":{"title":"About Us","text":"Nulla vitae elit libero, a pharetra augue. Nulla vitae elit libero, a pharetra augue. Nulla vitae elit libero, a pharetra augue. Donec sed odio dui.","filter":false},"9":{"title":"Text Widget","text":"Nulla vitae elit libero, a pharetra augue. Nulla vitae elit libero, a pharetra augue. Nulla vitae elit libero, a pharetra augue. Donec sed odio dui. Etiam porta sem malesuada.","filter":false},"10":{"title":"","text":"[gdlr_widget_box title=\"Get a Question?\" title-color=\"#ffffff\" background=\"https:\/\/demo.goodlayers.com\/traveltour\/homepages\/golf\/wp-content\/uploads\/sites\/5\/2021\/07\/golf-widget-bg.jpg\" color=\"#ffffff\" ]\r\nDo not hesitage to give us a call. We are an expert team and we are happy to talk to you.\r\n\r\n[gdlr_core_icon icon=\"fa fa-phone\" size=\"17px\" color=\"#ffffff\" margin-right=\"10px\" ] <span style=\"font-size: 17px; color: #ffffff; font-weight: 600;\">1.8445.3356.33<\/span>\r\n\r\n<span style=\"font-size: 14px; color: #fff; font-weight: 600;\">Help@goodlayers.com<\/span>\r\n\r\n[\/gdlr_widget_box]","filter":false,"visual":false},"11":{"title":"","text":"[gdlr_core_space height=\"-20px\"]\r\n[gdlr_widget_list title=\"Why Book With Us?\" title-color=\"\" background-color=\"#ffffff\" frame-border-color=\"#e5e5e5\" frame-border-width=\"1px\" ]\r\n<ul>\r\n<li>[gdlr_core_icon icon=\"fa fa-dollar\" size=\"15px\" color=\"#aa9875\" margin-right=\"13px\" ]No-hassle best price guarantee<\/li>\r\n<li>[gdlr_core_icon icon=\"fa fa-headphones\" size=\"15px\" color=\"#aa9875\" margin-right=\"10px\" ]Customer care available 24\/7<\/li>\r\n<li>[gdlr_core_icon icon=\"fa fa-star\" size=\"15px\" color=\"#aa9875\" margin-right=\"10px\" ]Hand-picked Tours & Activities<\/li>\r\n<li>[gdlr_core_icon icon=\"fa fa-support\" size=\"15px\" color=\"#aa9875\" margin-right=\"10px\" ]Free Travel Insureance<\/li>\r\n<\/ul>\r\n[\/gdlr_widget_list]","filter":false,"visual":false},"12":{"title":"","text":"[gdlr_core_space height=\"-10px\"]\r\n[gdlr_widget_box title=\"Get a Question?\" title-color=\"#ffffff\" background=\"https:\/\/demo.goodlayers.com\/traveltour\/homepages\/golf\/wp-content\/uploads\/sites\/5\/2021\/07\/golf-widget-bg.jpg\" color=\"#d2c5ad\" padding=\" 50px 40px 30px 40px\" ]\r\n<span style=\"font-size: 17px;\">Do not hesitage to give us a call. We are an expert team and we are happy to talk to you.<\/span>\r\n\r\n[gdlr_core_icon icon=\"fa fa-phone\" size=\"20px\" color=\"#ffffff\" margin-right=\"10px\" ] <span style=\"font-size: 20px; color: #ffffff; font-weight: 600;\">1.8445.3356.33<\/span>\r\n[gdlr_core_space height=\"-15px\"]\r\n[gdlr_core_icon icon=\"fa fa-envelope-o\" size=\"17px\" color=\"#ffffff\" margin-right=\"10px\" ] <span style=\"font-size: 14px; color: #fff; font-weight: 600;\">Help@goodlayers.com<\/span>\r\n\r\n[\/gdlr_widget_box]","filter":false,"visual":false},"13":{"title":"","text":"[gdlr_core_space height=\"-10px\"]\r\n[gdlr_widget_box title=\"Get a Question?\" title-color=\"#ffffff\" background=\"https:\/\/demo.goodlayers.com\/traveltour\/homepages\/golf\/wp-content\/uploads\/sites\/5\/2021\/07\/golf-widget-bg.jpg\" color=\"#ffefe8\" padding=\" 50px 40px 30px 40px\" ]\r\nDo not hesitage to give us a call. We are an expert team and we are happy to talk to you.\r\n\r\n[gdlr_core_icon icon=\"fa fa-phone\" size=\"20px\" color=\"#ffffff\" margin-right=\"10px\" ] <span style=\"font-size: 20px; color: #ffffff; font-weight: 600;\">1.8445.3356.33<\/span>\r\n[gdlr_core_space height=\"-15px\"]\r\n[gdlr_core_icon icon=\"fa fa-envelope-o\" size=\"17px\" color=\"#ffffff\" margin-right=\"10px\" ] <span style=\"font-size: 14px; color: #fff; font-weight: 600;\">Help@goodlayers.com<\/span>\r\n\r\n[\/gdlr_widget_box]","filter":false,"visual":false},"14":{"title":"","text":"[gdlr_core_space height=\"-20px\"]\r\n[gdlr_widget_list title=\"Why Book With Us?\" title-color=\"\" background-color=\"#ffffff\" frame-border-color=\"#e5e5e5\" frame-border-width=\"1px\" ]\r\n<ul>\r\n<li>[gdlr_core_icon icon=\"fa fa-dollar\" size=\"15px\" color=\"#aa9875\" margin-right=\"13px\" ]No-hassle best price guarantee<\/li>\r\n<li>[gdlr_core_icon icon=\"fa fa-headphones\" size=\"15px\" color=\"#aa9875\" margin-right=\"10px\" ]Customer care available 24\/7<\/li>\r\n<li>[gdlr_core_icon icon=\"fa fa-star\" size=\"15px\" color=\"#aa9875\" margin-right=\"10px\" ]Hand-picked Tours & Activities<\/li>\r\n<li>[gdlr_core_icon icon=\"fa fa-support\" size=\"15px\" color=\"#aa9875\" margin-right=\"10px\" ]Free Travel Insureance<\/li>\r\n<\/ul>\r\n[\/gdlr_widget_list]","filter":false,"visual":false},"15":{"title":"Pay Safely With Us","text":"The payment is encrypted and transmitted securely with an SSL protocol.\r\n<img class=\"alignnone size-full wp-image-5360\" src=\"https:\/\/demo.goodlayers.com\/traveltour\/main4\/wp-content\/uploads\/2019\/04\/creditcard-logo.png\" alt=\"\" width=\"254\" height=\"47\" \/>","filter":true,"visual":true},"_multiwidget":1},"widget_tourmaster-tour-search-widget":{"_multiwidget":1},"widget_tourmaster-tour-widget":{"2":{"title":"Recent Tours","category":"","num-fetch":"3"},"3":{"title":"Recent Tours","category":"","num-fetch":"3"},"4":{"title":"Recent Tours","category":"","num-fetch":"4"},"5":{"title":"Latest Tours","category":"","num-fetch":"4"},"_multiwidget":1},"widget_tourmaster-widget-tour-category":{"2":{"title":"Tour Destinations","num-fetch":"6","column-size":"20","thumbnail-size":"thumbnail","style":"widget"},"3":{"title":"Top Destinations","num-fetch":"6","column-size":"20","thumbnail-size":"Personnel Square","style":"widget"},"4":{"title":"Tour Destinations","num-fetch":"6","column-size":"20","thumbnail-size":"Personnel Square","style":"widget"},"5":{"title":"Destinations","num-fetch":"6","column-size":"60","thumbnail-size":"Personnel Square","style":"widget"},"_multiwidget":1},"widget_woocommerce_layered_nav":{"_multiwidget":1},"widget_woocommerce_layered_nav_filters":{"_multiwidget":1},"widget_woocommerce_price_filter":{"_multiwidget":1},"widget_woocommerce_product_categories":{"_multiwidget":1},"widget_woocommerce_product_search":{"_multiwidget":1},"widget_woocommerce_product_tag_cloud":{"_multiwidget":1},"widget_woocommerce_products":{"_multiwidget":1},"widget_woocommerce_rating_filter":{"_multiwidget":1},"widget_woocommerce_recent_reviews":{"_multiwidget":1},"widget_woocommerce_recently_viewed_products":{"_multiwidget":1},"widget_woocommerce_top_rated_products":{"_multiwidget":1},"widget_woocommerce_widget_cart":{"_multiwidget":1},"widget_wpgmp_google_map_widget_class":{"_multiwidget":1}}',
					'theme-option' => '{"traveltour_general":{"layout":"full","boxed-layout-top-margin":"0px","body-margin":"0px","background-type":"color","background-image":"","background-pattern":"pattern-1","enable-boxed-border":"disable","item-padding":"20px","container-width":"1260px","container-padding":"15px","sidebar-width":"20","both-sidebar-width":"15","enable-top-bar":"enable","enable-top-bar-on-mobile":"enable","top-bar-width":"boxed","top-bar-width-pixel":"1140px","top-bar-full-side-padding":"20px","top-bar-left-text":"[gdlr_core_icon icon=\"fa fa-phone\" size=\"15px\" color=\"#ffffff\" margin-left=\"\" margin-right=\"10px\" ]<span style=\"font-weight: 500;\"> 1.820.3345.33<\/span>\n[gdlr_core_icon icon=\"fa fa-envelope-o\" size=\"15px\" color=\"#ffffff\" margin-left=\"30px\" margin-right=\"10px\" ] <a href=\"#\" >Contact@TravelTourWP.com<\/a>","top-bar-right-text":"","top-bar-top-padding":"12px","top-bar-bottom-padding":"12px","top-bar-text-size":"14px","top-bar-bottom-border":"1px","enable-top-bar-social":"enable","top-bar-social-delicious":"","top-bar-social-email":"","top-bar-social-deviantart":"","top-bar-social-digg":"","top-bar-social-facebook":"#","top-bar-social-flickr":"#","top-bar-social-google-plus":"#","top-bar-social-lastfm":"","top-bar-social-linkedin":"","top-bar-social-pinterest":"","top-bar-social-rss":"","top-bar-social-skype":"","top-bar-social-stumbleupon":"","top-bar-social-tumblr":"","top-bar-social-twitter":"#","top-bar-social-vimeo":"","top-bar-social-youtube":"","top-bar-social-instagram":"","top-bar-social-snapchat":"","header-style":"plain","header-plain-style":"menu-right","header-plain-bottom-border":"0px","header-bar-navigation-align":"center","header-background-style":"transparent","top-bar-background-opacity":"0","header-background-opacity":"0","navigation-background-opacity":"50","header-boxed-style":"menu-right","boxed-top-bar-background-opacity":"0","boxed-top-bar-background-extend":"0px","boxed-header-top-margin":"0px","header-side-style":"top-left","header-side-align":"left","header-side-toggle-style":"left","header-side-toggle-menu-type":"overlay","header-side-toggle-display-logo":"enable","header-width":"boxed","header-width-pixel":"1140px","header-full-side-padding":"26px","boxed-header-frame-radius":"3px","boxed-header-content-padding":"49px","navigation-text-top-margin":"0px","navigation-text-top-margin-boxed":"0px","navigation-text-side-spacing":"18px","navigation-slide-bar":"enable","side-header-width-pixel":"340px","side-header-side-padding":"70px","navigation-text-top-spacing":"16px","logo-right-text":"","logo-right-text-top-padding":"30px","logo":"5971","mobile-logo":"5971","logo-top-padding":"29px","logo-bottom-padding":"29px","logo-left-padding":"","max-logo-width":"242px","main-navigation-top-padding":"36px","main-navigation-bottom-padding":"19px","main-navigation-right-padding":"","enable-main-navigation-sticky":"enable","enable-logo-on-main-navigation-sticky":"enable","enable-main-navigation-submenu-indicator":"disable","enable-main-navigation-search":"enable","enable-main-navigation-cart":"disable","enable-main-navigation-right-button":"disable","main-navigation-right-button-text":"Buy Now","main-navigation-right-button-link":"","main-navigation-right-button-link-target":"_self","right-menu-type":"right","right-menu-style":"hamburger","default-title-style":"custom","default-title-align":"center","default-title-top-padding":"100px","default-title-bottom-padding":"155px","default-page-caption-top-margin":"13px","default-title-font-transform":"none","default-title-font-size":"60px","default-title-font-weight":"","default-title-letter-spacing":"0px","default-caption-font-size":"16px","default-caption-font-weight":"","default-caption-letter-spacing":"0px","default-title-background-overlay-opacity":"27","default-title-background":"5974","default-portfolio-title-background":"","default-personnel-title-background":"","default-search-title-background":"","default-archive-title-background":"","default-404-background":"","default-404-background-opacity":"27","default-blog-title-style":"small","default-blog-title-top-padding":"93px","default-blog-title-bottom-padding":"87px","default-blog-feature-image":"content","default-blog-title-background-image":"5769","default-blog-title-background-overlay-opacity":"0","blog-sidebar":"right","blog-sidebar-left":"gdlr-core-sidebar-preset","blog-sidebar-right":"blog-right","blog-max-content-width":"","blog-thumbnail-size":"full","blog-date-feature":"enable","meta-option":["author","category","tag","comment-number"],"blog-author":"enable","blog-navigation":"enable","pagination-style":"round","pagination-align":"right","blog-social-share":"enable","blog-social-share-count":"enable","blog-social-facebook":"enable","blog-social-linkedin":"disable","blog-social-google-plus":"enable","blog-social-pinterest":"enable","blog-social-stumbleupon":"disable","blog-social-twitter":"enable","blog-social-email":"disable","archive-blog-sidebar":"right","archive-blog-sidebar-left":"gdlr-core-sidebar-preset","archive-blog-sidebar-right":"gdlr-core-sidebar-preset","archive-blog-style":"blog-full","archive-blog-full-alignment":"left","archive-thumbnail-size":"full","archive-show-thumbnail":"enable","archive-column-size":"20","archive-excerpt":"specify-number","archive-excerpt-number":"55","archive-date-feature":"enable","archive-meta-option":["date","author","category"],"archive-show-read-more":"enable","woocommerce-archive-sidebar":"right","woocommerce-archive-sidebar-left":"gdlr-core-sidebar-preset","woocommerce-archive-sidebar-right":"gdlr-core-sidebar-preset","woocommerce-archive-column-size":"15","woocommerce-archive-thumbnail":"full","woocommerce-related-product-column-size":"15","woocommerce-related-product-num-fetch":"4","woocommerce-related-product-thumbnail":"full","portfolio-slug":"portfolio","portfolio-category-slug":"portfolio_category","portfolio-tag-slug":"portfolio_tag","enable-single-portfolio-navigation":"enable","portfolio-icon-hover-link":"fa fa-external-link","portfolio-icon-hover-video":"fa fa-film","portfolio-icon-hover-image":"icon_search","portfolio-icon-hover-size":"22px","enable-related-portfolio":"disable","related-portfolio-style":"grid","related-portfolio-column-size":"15","related-portfolio-num-fetch":"4","related-portfolio-thumbnail-size":"medium","related-portfolio-num-excerpt":"20","archive-portfolio-sidebar":"none","archive-portfolio-sidebar-left":"gdlr-core-sidebar-preset","archive-portfolio-sidebar-right":"gdlr-core-sidebar-preset","archive-portfolio-style":"medium","archive-portfolio-thumbnail-size":"full","archive-portfolio-grid-text-align":"left","archive-portfolio-grid-style":"normal","archive-enable-portfolio-tag":"enable","archive-portfolio-medium-size":"small","archive-portfolio-medium-style":"switch","archive-portfolio-hover":"icon","archive-portfolio-column-size":"20","archive-portfolio-excerpt":"specify-number","archive-portfolio-excerpt-number":"55","personnel-slug":"personnel","personnel-category-slug":"personnel_category","fixed-footer":"disable","enable-footer":"enable","footer-top-padding":"85px","footer-bottom-padding":"86px","footer-style":"footer-2","enable-copyright":"enable","copyright-top-padding":"24px","copyright-bottom-padding":"24px","copyright-text":"\u00a92022 Travel Tour by GoodLayers. All Rights Reserved | <a href=\"#\" style=\"color: #fff;\">Privacy Policy<\/a> | <a href=\"#\" style=\"color: #aa9875;\">Terms and Conditions<\/a>","enable-back-to-top":"disable","enable-top-bar-left-on-mobile":"disable","enable-top-bar-right-on-mobile":"enable","enable-top-bar-right-login":"enable","navigation-left-offset":"0","default-blog-title-background-gradient":"both","single-blog-title-top-gradient-size":"450px","single-blog-title-bottom-gradient-size":"400px","enable-footer-column-divider":"disable","enable-top-bar-divider":"disable","wpml-flag-type":"icon","navigation-slide-bar-top-margin":"-15px","navigation-right-top-margin":"-3px","footer-title-bottom-margin":"","copyright-style":"center","copyright-left":"\u00a9 2019 Travel Tour  All Rights Reserved.","copyright-right":"Follow Us On [gdlr_core_icon icon=\"fa fa-facebook\" size=\"14px\" color=\"#ffffff\" margin-left=\"\" margin-right=\"10px\" margin-left=\"12px\" link=\"#\" link-target=\"_blank\"] [gdlr_core_icon icon=\"fa fa-twitter\" size=\"14px\" color=\"#ffffff\" margin-left=\"\" margin-right=\"10px\" link=\"#\" link-target=\"_blank\"] [gdlr_core_icon icon=\"fa fa-linkedin\" size=\"14px\" color=\"#ffffff\" margin-left=\"\" margin-right=\"10px\" link=\"#\" link-target=\"_blank\"] [gdlr_core_icon icon=\"fa fa-pinterest-p\" size=\"14px\" color=\"#ffffff\" margin-left=\"\" margin-right=\"10px\" link=\"#\" link-target=\"_blank\"] [gdlr_core_icon icon=\"fa fa-vimeo\" size=\"14px\" color=\"#ffffff\" margin-left=\"\" margin-right=\"10px\" link=\"#\" link-target=\"_blank\"]","custom-header":"","blog-facebook-access-token":"","fixed-navigation-bar-logo":"","fixed-navigation-bar-logo2x":"","fixed-navigation-logo-top-padding":"16px","fixed-navigation-logo-bottom-padding":"20px","fixed-navigation-top-padding":"25px","fixed-navigation-bottom-padding":"25px","enable-fixed-navigation-slide-bar":"enable","fixed-navigation-max-logo-width":"159px","navigation-slide-bar-width":"27px"},"traveltour_typography":{"heading-font":"DM Serif Display","navigation-font":"DM Sans","content-font":"DM Sans","info-font":"DM Sans","blog-info-font":"DM Sans","quote-font":"Montserrat","additional-font":"Georgia, serif","additional-font2":"Georgia, serif","h1-font-size":"52px","h2-font-size":"48px","h3-font-size":"36px","h4-font-size":"28px","h5-font-size":"22px","h6-font-size":"18px","navigation-font-size":"16px","navigation-font-weight":"500","navigation-text-transform":"none","content-font-size":"16px","content-line-height":"1.7","font-upload":[{"name":"ArcaMajora","eot":"https:\/\/demo.goodlayers.com\/traveltour\/main4\/wp-content\/uploads\/2019\/04\/ArcaMajora3-Heavy.eot","ttf":"https:\/\/demo.goodlayers.com\/traveltour\/main4\/wp-content\/uploads\/2019\/04\/ArcaMajora3-Heavy.ttf"}],"sidebar-title-font-size":"","sidebar-title-font-weight":"","sidebar-title-font-letter-spacing":"","sidebar-title-text-transform":"uppercase","footer-title-font-size":"18px","footer-title-font-weight":"700","footer-title-font-letter-spacing":"0px","footer-title-text-transform":"none","footer-font-size":"","footer-content-font-weight":"","footer-content-text-transform":"none","copyright-font-size":"15px","copyright-font-weight":"400","copyright-font-letter-spacing":"0px","copyright-text-transform":"none"},"traveltour_color":{"page-preload-background-color":"#ffffff","top-bar-background-color":"#1c2935","top-bar-bottom-border-color":"#808a85","top-bar-text-color":"#ffffff","top-bar-link-color":"#ffffff","top-bar-link-hover-color":"#ffffff","top-bar-social-color":"#468ae7","top-bar-social-hover-color":"#468ae7","header-background-color":"#1d2b36","header-plain-bottom-border-color":"#e8e8e8","navigation-bar-background-color":"#f4f4f4","navigation-bar-top-border-color":"#e8e8e8","navigation-slide-bar-color":"#aa9875","logo-background-color":"#ffffff","navigation-bar-right-icon-color":"#ffffff","woocommerce-cart-icon-number-background":"#aa9875","woocommerce-cart-icon-number-color":"#ffffff","secondary-menu-icon-color":"#ffffff","secondary-menu-border-color":"#dddddd","search-overlay-background-color":"#000000","top-cart-background-color":"#303030","top-cart-text-color":"#b5b5b5","top-cart-view-cart-color":"#ffffff","top-cart-checkout-color":"#aa9875","breadcrumbs-text-color":"#c0c0c0","breadcrumbs-text-active-color":"#777777","main-menu-text-color":"#ffffff","main-menu-text-hover-color":"#ffffff","sub-menu-background-color":"#262626","sub-menu-text-color":"#bababa","sub-menu-text-hover-color":"#ffffff","sub-menu-text-hover-background-color":"#303030","sub-mega-menu-title-color":"#ffffff","sub-mega-menu-divider-color":"#424242","side-menu-text-color":"#979797","side-menu-text-hover-color":"#ffffff","side-menu-background-color":"#1f1f1f","side-menu-border-color":"#626262","overlay-menu-background-color":"#000000","overlay-menu-border-color":"#424242","overlay-menu-text-color":"#ffffff","overlay-menu-text-hover-color":"#a8a8a8","anchor-bullet-background-color":"#777777","anchor-bullet-background-active-color":"#ffffff","navigation-right-button-text-color":"#333333","navigation-right-button-background-color":"","navigation-right-button-border-color":"#333333","navigation-right-button-text-hover-color":"#555555","navigation-right-button-background-hover-color":"","navigation-right-button-border-hover-color":"#555555","body-background-color":"#ffffff","container-background-color":"#ffffff","page-title-color":"#ffffff","page-caption-color":"#ffffff","page-title-background-overlay-color":"#000000","body-content-color":"#5b5b5b","heading-color":"#212121","link-color":"#aa9875","link-hover-color":"#aa883f","divider-color":"#e1e1e1","input-box-background-color":"#ffffff","input-box-border-color":"#d7d7d7","input-box-text-color":"#4e4e4e","input-box-placeholder-color":"#4e4e4e","404-content-background-color":"#23618e","404-head-color":"#ffffff","404-title-color":"#ffffff","404-caption-color":"#c3e7ff","404-input-background-color":"#000000","404-input-text-color":"#ffffff","404-back-to-home-color":"#ffffff","sidebar-title-color":"#383838","sidebar-link-color":"#484848","sidebar-link-hover-color":"#323232","recent-post-widget-info-icon-color":"#9c9c9c","recent-post-widget-info-link-color":"#a0a0a0","post-slider-widget-title-color":"#ffffff","post-slider-widget-info-color":"#9c9c9c","search-box-text-color":"#b5b5b5","search-box-border-color":"#e0e0e0","search-box-icon-color":"#c7c7c7","twitter-widget-icon-color":"#303030","twitter-widget-date-color":"#b5b5b5","footer-background-color":"#1d2b36","footer-title-color":"#ffffff","footer-content-color":"#ffffff","footer-link-color":"#ffffff","footer-link-hover-color":"#aa9875","footer-divider-color":"#303030","copyright-background-color":"#222222","copyright-text-color":"#cacaca","back-to-top-background-color":"#dbdbdb","back-to-top-text-color":"#313131","single-blog-title-color":"#ffffff","single-blog-info-color":"#ffffff","single-blog-date-day-color":"#ffffff","single-blog-date-month-color":"#b1b1b1","single-blog-divider-color":"#ffffff","single-blog-title-background-overlay-color":"#000000","single-blog-author-title-color":"#464646","single-blog-author-caption-color":"#b1b1b1","single-blog-navigation-color":"#bcbcbc","single-blog-comment-title-color":"#464646","single-blog-comment-background-color":"#f9f9f9","single-blog-comment-reply-color":"#bcbcbc","single-blog-comment-time-color":"#b1b1b1","blog-title-color":"#343434","blog-title-hover-color":"#343434","blog-sticky-banner-color":"#ffffff","blog-sticky-banner-background":"#aa9875","blog-info-color":"#aa9875","blog-date-day-color":"#353535","blog-date-month-color":"#8a8a8a","blog-frame-background-color":"#ffffff","blog-modern-text-color":"#ffffff","blog-aside-background-color":"#aa9875","blog-aside-text-color":"#ffffff","pagination-background-color":"#e6e6e6","pagination-text-color":"#929292","pagination-background-hover-color":"#aa9875","pagination-text-hover-color":"#ffffff","pagination-plain-color":"#b4b4b4","pagination-plain-hover-color":"#424242","single-portfolio-nav-color":"#bcbcbc","portfolio-title-color":"#191919","portfolio-info-head-color":"#343434","portfolio-info-color":"#a5a5a5","portfolio-badge-text-color":"#ffffff","portfolio-badge-background-color":"#aa9875","portfolio-thumbnail-title-color":"#ffffff","portfolio-thumbnail-info-color":"#cecece","portfolio-text-filter-color":"#606060","portfolio-text-filter-active-color":"#aa9875","portfolio-button-filter-text-color":"#838383","portfolio-button-filter-background-color":"#f1f1f1","portfolio-button-filter-text-active-color":"#ffffff","portfolio-button-filter-background-active-color":"#aa9875","price-table-background-color":"#f8f8f8","price-table-head-color":"#3e3e3e","price-table-head-top-gradient-color":"#525252","price-table-icon-color":"#ffffff","price-table-title-color":"#ffffff","price-table-caption-color":"#acacac","price-table-price-background-color":"#ebebeb","price-table-price-color":"#323232","price-table-price-suffix-color":"#acacac","price-table-price-button-color":"#ffffff","price-table-button-background-color":"#575757","price-table-button-background-top-gradient-color":"#414141","price-table-list-border-color":"#e5e5e5","price-table-active-head-color":"#aa9875","price-table-active-head-top-gradient-color":"#aa9a7b","price-table-active-icon-color":"#ffffff","price-table-active-title-color":"#ffffff","price-table-active-caption-color":"#aaa899","price-table-active-price-background-color":"#ffffff","price-table-active-price-color":"#323232","price-table-active-price-suffix-color":"#acacac","price-table-active-price-button-color":"#ffffff","price-table-active-button-background-color":"#aa9875","price-table-active-button-background-top-gradient-color":"#aaa185","accordion-normal-icon-color":"#191919","accordion-normal-title-color":"#282828","accordion-normal-icon-background-color":"#f3f3f3","accordion-icon-color":"#191919","accordion-title-color":"#262626","accordion-title-background-color":"#f3f3f3","accordion-icon-active-color":"#191919","accordion-title-active-color":"#aa9875","accordion-title-background-active-color":"#f3f3f3","audio-background-color":"#e7e7e7","audio-text-color":"#202020","audio-content-background-color":"#afafaf","audio-content-progress-color":"#aa9875","audio-volume-background-color":"#afafaf","audio-volume-progress-color":"#646464","alert-box-item-background-color":"#ef5e68","alert-box-item-border-color":"#cd515a","alert-box-item-content-color":"#ffffff","alert-box-item-title-color":"#ffffff","blockquote-text-color":"#777777","blockquote-background-color":"#f5f5f5","blockquote-border-color":"#e2e2e2","blockquote-item-icon-color":"#4e4e4e","blockquote-item-content-color":"#4e4e4e","button-text-color":"#ffffff","button-text-hover-color":"#ffffff","button-background-color":"#aa9875","button-background-hover-color":"#aaa185","button-border-color":"#383838","button-border-hover-color":"#000000","button-gradient-background-color":"#aa9875","button-top-gradient-background-color":"#aa9d7c","call-to-action-title-color":"#2c2c2c","call-to-action-caption-color":"#535353","counter-item-top-text-color":"#828282","counter-item-top-icon-color":"#393939","counter-item-number-color":"#393939","counter-item-divider-color":"#393939","counter-item-bottom-text-color":"#393939","column-service-icon-color":"#9d9d9d","column-service-icon-background":"#f3f3f3","column-service-title-color":"#383838","column-service-caption-color":"#747474","dropdown-tab-head-background":"#f7c02e","dropdown-tab-head-text":"#252525","flipbox-background-color":"#468ae7","flipbox-border-color":"#2576e8","flipbox-icon-color":"#ffffff","flipbox-title-color":"#ffffff","flipbox-caption-color":"#ffffff","flipbox-content-color":"#ffffff","gallery-overlay-title":"#ffffff","gallery-overlay-caption":"#cecece","image-overlay-background-color":"#aa9875","image-overlay-icon-color":"#ffffff","image-item-border-color":"#000000","item-title-color":"#343434","item-title-caption-color":"#747474","item-title-link-color":"#747474","icon-list-item-icon-color":"#222222","icon-list-item-icon-background-color":"#f3f3f3","opening-hour-day-color":"#a5a5a5","opening-hour-open-color":"#262626","opening-hour-close-color":"#c8c8c8","opening-hour-icon-color":"#8a8989","opening-hour-divider-color":"#a6a6a6","personnel-grid-title-color":"#383838","personnel-grid-position-color":"#888888","personnel-grid-divider-color":"#cecece","personnel-grid-frame-color":"#f9f9f9","personnel-modern-title-color":"#ffffff","personnel-modern-position-color":"#ffffff","promo-box-item-title-color":"#383838","promo-box-content-border-color":"#e8e7e7","post-slider-title-color":"#ffffff","post-slider-info-color":"#c5c5c5","skill-bar-title-color":"#505050","skill-bar-icon-color":"#616161","skill-bar-background-color":"#f3f3f3","skill-bar-progress-color":"#f97150","slider-outer-navigation-color":"#a7a7a7","slider-outer-navigation-background-color":"#f1f1f1","slider-control-navigation-color":"#aa9875","social-share-icon-color":"#202020","social-share-divider-color":"#e5e5e5","social-share-text-color":"#202020","stunning-text-title-color":"#747474","stunning-text-caption-color":"#383838","tab-title-color":"#8d8d8d","tab-title-background-color":"#f7f7f7","tab-title-border-color":"#ebebeb","tab-title-hover-bar-color":"#aa9875","tab-title-active-color":"#464646","tab-title-active-background-color":"#ffffff","table-head-background-color":"#aa9875","table-head-text-color":"#ffffff","table-odd-background-color":"#f9f9f9","table-odd-text-color":"#949494","table-even-background":"#f3f3f3","table-even-text":"#949494","testimonial-title-color":"#ffffff","testimonial-content-color":"#ffffff","testimonial-author-color":"#ffffff","testimonial-position-color":"#ffffff","testimonial-quote-color":"#ffffff","title-item-title-color":"#383838","title-item-caption-color":"#747474","woocommerce-theme-color":"#aa9875","woocommerce-price-color":"#aa9875","woocommerce-price-linethrough-color":"#949494","woocommerce-button-background-hover-color":"#aa9875","woocommerce-button-text-color":"#ffffff","woocommerce-button-text-hover-color":"#ffffff","woocommerce-input-background-color":"#f3f3f3","product-item-title-color":"#191919","product-item-title-hover-color":"#434343","view-detail-text-color":"#ffffff","view-detail-background-color":"#000000","add-to-cart-text-color":"#ffffff","add-to-cart-background-color":"#aa9875","widget-price-filter-bar-background-color":"#e6e6e6","widget-price-filter-range-color":"#aa9f81","widget-price-filter-handle-color":"#aa9875","blog-info-icon-color":"#9a9a9a","skin":[{"name":"Dark","title":"#ffffff","title-hover":"#ffffff","caption":"#ffffff","content":"#ededed","icon":"#ffffff","link":"#ffffff","link-hover":"#ffffff","divider":"#bcbcbc","border":"#8e8e8e","element-background":"","element-content":"#3a3a3a","button-text":"#969696","button-text-hover":"#383838","button-background":"#ffffff","button-background-hover":"#d6d6d6","button-border-color":"","button-border-hover-color":""},{"name":"White Text","title":"#ffffff","title-hover":"","caption":"#eaeaea","content":"#ffffff","icon":"#ffffff","link":"#ffffff","link-hover":"#ffffff","divider":"#ffffff","border":"#ffffff","element-background":"#ffffff","element-content":"#ffffff","button-text":"#ffffff","button-text-hover":"#ffffff","button-background":"#212121","button-background-hover":"#262626","button-border-color":"#ffffff","button-border-hover-color":"#ffffff"},{"name":"Grey","title":"#3a3a3a","title-hover":"","caption":"#727272","content":"#515151","icon":"#5e5e5e","link":"","link-hover":"","divider":"#cecece","border":"#d6d6d6","element-background":"#ffffff","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Dark Personnel","title":"#ffffff","title-hover":"#ffffff","caption":"#dbdbdb","content":"#ffffff","icon":"#ffffff","link":"#ffffff","link-hover":"#ffffff","divider":"#b2b2b2","border":"#b2b2b2","element-background":"#ffffff","element-content":"#3a3a3a","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Maintenance","title":"#ffffff","title-hover":"","caption":"#ffffff","content":"#d8d8d8","icon":"","link":"","link-hover":"","divider":"#bababa","border":"#727272","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Blue Icon","title":"","title-hover":"","caption":"","content":"","icon":"#4692e7","link":"","link-hover":"","divider":"","border":"","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Homepage Search","title":"#313131","title-hover":"","caption":"","content":"","icon":"","link":"#bdd4ff","link-hover":"","divider":"","border":"","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Dark Search","title":"#ffffff","title-hover":"","caption":"","content":"#c2cadd","icon":"#ccd5e8","link":"","link-hover":"","divider":"#676e74","border":"#676e74","element-background":"#585d6b","element-content":"#b9c1d5","button-text":"","button-text-hover":"","button-background":"#4296ed","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Grey Frame","title":"","title-hover":"","caption":"","content":"","icon":"","link":"","link-hover":"","divider":"","border":"","element-background":"#f6f6f6","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Blue Column Service","title":"#ffffff","title-hover":"","caption":"","content":"#b9cdf3","icon":"#467ee7","link":"","link-hover":"","divider":"","border":"","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Newsletter form","title":"","title-hover":"","caption":"","content":"","icon":"","link":"","link-hover":"","divider":"#bcbcbc","border":"#f3f3f3","element-background":"#f3f3f3","element-content":"#757575","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Dark Search HP4","title":"#ffffff","title-hover":"","caption":"","content":"","icon":"#ffffff","link":"","link-hover":"","divider":"","border":"","element-background":"#ffffff","element-content":"#828282","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Testimonial","title":"#ffffff","title-hover":"","caption":"#d2d2d2","content":"#d2d2d2","icon":"#467fe7","link":"","link-hover":"","divider":"","border":"","element-background":"#ffffff","element-content":"#ffffff","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Newsletter form HP3","title":"","title-hover":"","caption":"","content":"","icon":"","link":"","link-hover":"","divider":"#e5e5e5","border":"#e5e5e5","element-background":"#f3f3f3","element-content":"#969696","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Blog HP3","title":"","title-hover":"","caption":"","content":"","icon":"#4692e7","link":"","link-hover":"","divider":"","border":"","element-background":"#f3f3f3","element-content":"#4692e7","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"orange text","title":"#f97150","title-hover":"#f97150","caption":"#f97150","content":"#f97150","icon":"","link":"","link-hover":"","divider":"","border":"","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"orange","title":"","title-hover":"","caption":"","content":"","icon":"","link":"","link-hover":"","divider":"","border":"","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"#f97150","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"White Newsletter","title":"","title-hover":"","caption":"","content":"","icon":"","link":"","link-hover":"","divider":"","border":"#ffffff","element-background":"#ffffff","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Column SVC Top","title":"#222222","title-hover":"","caption":"#556575","content":"#556575","icon":"","link":"#982d30","link-hover":"#982d30","divider":"","border":"","element-background":"","element-content":"","button-text":"#982d30","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Contact Form","title":"","title-hover":"","caption":"","content":"","icon":"","link":"","link-hover":"","divider":"#e5e5e5","border":"#e5e5e5","element-background":"#ffffff","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"About Museum COlor","title":"#222222","title-hover":"","caption":"#aa9875","content":"#aa9875","icon":"","link":"","link-hover":"","divider":"","border":"","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"About Column Service","title":"","title-hover":"","caption":"#556575","content":"#556575","icon":"","link":"","link-hover":"","divider":"","border":"","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""}],"top-bar-icon-color":"#ffffff","tagcloud-background-color":"#ffffff","portfolio-frame-background-color":"#ffffff","accordion-normal-title-head-color":"#191919","accordion-title-head-color":"#191919","newsletter-input-background":"#ffffff","newsletter-input-text":"#8d8d8d","testimonial-rating-color":"#ffcd9c","single-blog-title-background-gradient-color":"#000","single-blog-title-background-gradient-max-opacity":"0.6","single-blog-title-background-bottom-gradient-max-opacity":"0.9","blog-modern-hover-background-color":"#aa9875","blog-thumbnail-category-background":"#aa9875","portfolio-grid2-tag-background":"#aa9875","roadmap-title-color":"#a6aafb","roadmap-title-active-color":"#ffffff","roadmap-caption-color":"#c1caf6","roadmap-number-text":"#c5c5c5","roadmap-number-background":"#223077","roadmap-number-active-text":"#223077","roadmap-number-active-background":"#ffffff","roadmap-number-divider":"#ffffff","roadmap-content-title":"#ffffff","roadmap-content-caption":"#c1caf6","roadmap-content-color":"#babdff","slider-control-navigation-background-color":"#dbdbdb","slider-outer-navigation-hover-color":"#a7a7a7","testimonial-frame-background-color":"#aa9875"},"traveltour_plugin":{"enable-srcset":"disable","lightbox":"lightGallery","ilightbox-skin":"dark","link-to-lightbox":"enable","additional-css":"","additional-script":"","enable-maintenance":"disable","maintenance-page":"4821","enable-preload":"disable","preload-image":"","thumbnail-sizing":[{"name":"Personnel Thumbnail","width":"700","height":"500","hard-crop":""},{"name":"Portfolio Thumbnail","width":"700","height":"450","hard-crop":""},{"name":"Portfolio Thumbnail Portrait","width":"700","height":"660","hard-crop":""},{"name":"Portfolio Thumbnail Portrait 2","width":"600","height":"800","hard-crop":""},{"name":"Large Landscape","width":"1280","height":"580","hard-crop":""},{"name":"Large Landscape 2","width":"1550","height":"700","hard-crop":""},{"name":"Portfolio Side Description Large","width":"900","height":"500","hard-crop":""},{"name":"Blog Full Thumbnail","width":"1100","height":"490","hard-crop":""},{"name":"Blog Column Thumbnail","width":"700","height":"430","hard-crop":""},{"name":"Personnel Thumbnail 2","width":"550","height":"500","hard-crop":""},{"name":"Large Landscape 3","width":"1500","height":"1000","hard-crop":""},{"name":"Personnel Square","width":"600","height":"600","hard-crop":""},{"name":"Tour Category","width":"800","height":"960","hard-crop":""},{"name":"Tour Side Thumbnail","width":"600","height":"700","hard-crop":""},{"name":"Tour Cat Featured","width":"1200","height":"567","hard-crop":""}],"consent-item":"","disable-cookie-youtube":"disable","privacy-cookie-time":"30","privacy-notification-position":"bottom-bar","privacy-box-button-color":"#1a49a8","privacy-form-logo":"","privacy-form-input-button-color":"#1a49a8","privacy-form-save-button-color":"#1a49a8","additional-mobile-css":"","additional-head-script":"jQuery(\"#map\").click(function () {\n    jQuery(\"#map iframe\").css(\"pointer-events\", \"auto\");\n});\njQuery(\"#map\").mouseleave(function() {\n  jQuery(\"#map iframe\").css(\"pointer-events\", \"none\"); \n});","additional-head-script2":"","font-icon":["font-awesome","fa5","elegant-font"]}}'
				),
				'winery' => array(
					'title' => esc_html__('Winery', 'traveltour'),
					'url' => 'https://demo.goodlayers.com/traveltour/winery/',
					'xml' => get_template_directory() . '/admin/function/files/winery.xml',
					'page' => 5482,
					'menu' => array('main_menu' => 66, 'mobile_menu' => 66),
					'widget' => '{"gdlrcst_sidebar_name":[{"name":"Blog","id":"blog"},{"name":"Blog Left","id":"blog-left"},{"name":"Blog Right","id":"blog-right"},{"name":"Single Tour","id":"single-tour"},{"name":"Tour list","id":"tour-list"},{"name":"Payment","id":"payment"}],"sidebars_widgets":{"wp_inactive_widgets":["tag_cloud-5","tourmaster-tour-widget-2","tourmaster-tour-widget-3","tourmaster-tour-widget-4","tourmaster-widget-tour-category-2","tourmaster-widget-tour-category-3","tourmaster-widget-tour-category-4","tourmaster-widget-tour-category-5","gdlr-core-recent-post-widget-3"],"gdlr-core-sidebar-preset":["search-2","recent-posts-2","archives-2","categories-2","meta-2"],"footer-1":["text-1"],"footer-2":["gdlr-core-custom-menu-widget-2"],"footer-3":["gdlr-core-custom-menu-widget-3"],"footer-4":["text-15"],"blog":["text-7","gdlr-core-recent-portfolio-widget-3","recent-comments-5","tag_cloud-3"],"blog-left":["search-4","text-8","recent-posts-5","gdlr-core-portfolio-slider-widget-2"],"blog-right":["text-9","recent-comments-6","tag_cloud-4"],"single-tour":["text-11","text-12"],"tour-list":["tourmaster-tour-widget-5","text-10","nav_menu-3","gdlr-core-recent-post-widget-4"],"payment":["text-14","text-13"],"array_version":3},"widget_archives":{"2":{"title":"","count":0,"dropdown":0},"_multiwidget":1},"widget_calendar":{"_multiwidget":1},"widget_categories":{"2":{"title":"","count":0,"hierarchical":0,"dropdown":0},"_multiwidget":1},"widget_custom_html":{"_multiwidget":1},"widget_gdlr-core-category-background-widget":{"_multiwidget":1},"widget_gdlr-core-custom-menu-widget":{"2":{"title":"About Us","menu":"74","style":"plain"},"3":{"title":"Support","menu":"75","style":"plain"},"_multiwidget":1},"widget_gdlr-core-instagram-widget":{"_multiwidget":1},"widget_gdlr-core-newsletter-widget":{"_multiwidget":1},"widget_gdlr-core-opening-hour-widget":{"_multiwidget":1},"widget_gdlr-core-portfolio-slider-widget":{"2":{"title":"Recent Works","category":"","num-fetch":"3","thumbnail-size":"Frame Landscape 2"},"_multiwidget":1},"widget_gdlr-core-post-slider-widget":{"_multiwidget":1},"widget_gdlr-core-recent-comment-widget":{"_multiwidget":1},"widget_gdlr-core-recent-event-widget":{"_multiwidget":1},"widget_gdlr-core-recent-portfolio-widget":{"3":{"title":"Recent Works","category":"","num-fetch":"9"},"_multiwidget":1},"widget_gdlr-core-recent-post-widget":{"3":{"title":"Recent Articles","category":"blog","num-fetch":"3"},"4":{"title":"Recent Articles","category":"blog","num-fetch":"3"},"_multiwidget":1},"widget_gdlr-core-twitter-widget":{"_multiwidget":1},"widget_gdlr-core-video-widget":{"_multiwidget":1},"widget_media_audio":{"_multiwidget":1},"widget_media_gallery":{"_multiwidget":1},"widget_media_image":{"_multiwidget":1},"widget_media_video":{"_multiwidget":1},"widget_meta":{"2":{"title":""},"_multiwidget":1},"widget_nav_menu":{"3":{"title":"Tour Category","nav_menu":104},"_multiwidget":1},"widget_newsletterwidget":{"_multiwidget":1},"widget_newsletterwidgetminimal":{"_multiwidget":1},"widget_nextend_social_login":{"_multiwidget":1},"widget_pages":{"_multiwidget":1},"widget_recent-comments":{"5":{"title":"","number":5},"6":{"title":"","number":5},"_multiwidget":1},"widget_recent-posts":{"2":{"title":"","number":5},"5":{"title":"Recent Posts","number":5,"show_date":false},"_multiwidget":1},"widget_rev-slider-widget":{"_multiwidget":1},"widget_rss":{"1":[],"_multiwidget":1},"widget_search":{"2":{"title":""},"4":{"title":""},"_multiwidget":1},"widget_tag_cloud":{"3":{"title":"Tag Cloud","taxonomy":"post_tag"},"4":{"title":"Tag Cloud","taxonomy":"post_tag"},"5":{"title":"","taxonomy":"post_tag"},"_multiwidget":1},"widget_text":{"1":{"title":"","text":"[gdlr_core_title title=\"Travel Tour\" title-font-size= \"28px\" title-color=\"#ffffff\" title-font-uppercase=\"disable\" padding-bottom=\"35px\"]\r\n12 Main tPt. London[gdlr_core_space height=\"15px\"]\r\n+44 3656 4567[gdlr_core_space height=\"15px\"]\r\ncontact@traveltourtheme.com[gdlr_core_space height=\"35px\"]\r\n\r\n[gdlr_core_social_network facebook=\"#url\"  twitter=\"#url\" instagram=\"#\" icon-space= \"12px\" icon-width= \"50px\" background-color=\"transparent\" icon-border-color=\"#ffffff\" icon-color=\"#ffffff\" icon-border-size=\"1px\" icon-border-radius=\"25px\" hover-background-color=\"#982d30\" hover-icon-border-color=\"#982d30\" hover-icon-color=\"#ffffff\"]","filter":false,"visual":false},"7":{"title":"Text Widget","text":"Nulla vitae elit libero, a pharetra augue. Nulla vitae elit libero, a pharetra augue. Nulla vitae elit libero, a pharetra augue. Donec sed odio dui. Etiam porta sem malesuada.","filter":false},"8":{"title":"About Us","text":"Nulla vitae elit libero, a pharetra augue. Nulla vitae elit libero, a pharetra augue. Nulla vitae elit libero, a pharetra augue. Donec sed odio dui.","filter":false},"9":{"title":"Text Widget","text":"Nulla vitae elit libero, a pharetra augue. Nulla vitae elit libero, a pharetra augue. Nulla vitae elit libero, a pharetra augue. Donec sed odio dui. Etiam porta sem malesuada.","filter":false},"10":{"title":"","text":"[gdlr_widget_box title=\"Get a Question?\" title-color=\"#ffffff\" background=\"https:\/\/demo.goodlayers.com\/traveltour\/main4\/wp-content\/uploads\/2019\/04\/widget-bg-1.jpg\" color=\"#c9e2ff\" ]\r\nDo not hesitage to give us a call. We are an expert team and we are happy to talk to you.\r\n\r\n[gdlr_core_icon icon=\"fa fa-phone\" size=\"17px\" color=\"#ffcf2a\" margin-right=\"10px\" ] <span style=\"font-size: 17px; color: #ffcf2a; font-weight: 600;\">1.8445.3356.33<\/span>\r\n\r\n<span style=\"font-size: 14px; color: #fff; font-weight: 600;\">Help@goodlayers.com<\/span>\r\n\r\n[\/gdlr_widget_box]","filter":false,"visual":false},"11":{"title":"","text":"[gdlr_core_space height=\"-20px\"]\r\n[gdlr_widget_list title=\"Why Book With Us?\" title-color=\"\" background-color=\"#ffffff\" frame-border-color=\"#e5e5e5\" frame-border-width=\"1px\"]\r\n<ul>\r\n<li>[gdlr_core_icon icon=\"fa fa-dollar\" size=\"15px\" color=\"#982d30\" margin-right=\"13px\" ]No-hassle best price guarantee<\/li>\r\n<li>[gdlr_core_icon icon=\"fa fa-headphones\" size=\"15px\" color=\"#982d30\" margin-right=\"10px\" ]Customer care available 24\/7<\/li>\r\n<li>[gdlr_core_icon icon=\"fa fa-star\" size=\"15px\" color=\"#982d30\" margin-right=\"10px\" ]Hand-picked Tours & Activities<\/li>\r\n<li>[gdlr_core_icon icon=\"fa fa-support\" size=\"15px\" color=\"#982d30\" margin-right=\"10px\" ]Free Travel Insureance<\/li>\r\n<\/ul>\r\n[\/gdlr_widget_list]","filter":false,"visual":false},"12":{"title":"","text":"[gdlr_core_space height=\"-10px\"]\r\n[gdlr_widget_box title=\"Get a Question?\" title-color=\"#ffffff\" background=\"https:\/\/demo.goodlayers.com\/traveltour\/homepages\/winery\/wp-content\/uploads\/sites\/2\/2021\/06\/widget-bg.jpg\" color=\"#ffefe8\" padding=\" 50px 40px 30px 40px\" ]\r\nDo not hesitage to give us a call. We are an expert team and we are happy to talk to you.\r\n\r\n[gdlr_core_icon icon=\"fa fa-phone\" size=\"20px\" color=\"#ffffff\" margin-right=\"10px\" ] <span style=\"font-size: 20px; color: #ffffff; font-weight: 600;\">1.8445.3356.33<\/span>\r\n[gdlr_core_space height=\"-15px\"]\r\n[gdlr_core_icon icon=\"fa fa-envelope-o\" size=\"17px\" color=\"#ffffff\" margin-right=\"10px\" ] <span style=\"font-size: 14px; color: #fff; font-weight: 600;\">Help@goodlayers.com<\/span>\r\n\r\n[\/gdlr_widget_box]","filter":false,"visual":false},"13":{"title":"","text":"[gdlr_core_space height=\"-10px\"]\r\n[gdlr_widget_box title=\"Get a Question?\" title-color=\"#ffffff\" background=\"https:\/\/demo.goodlayers.com\/traveltour\/homepages\/winery\/wp-content\/uploads\/sites\/2\/2021\/06\/widget-bg.jpg\" color=\"#ffefe8\" padding=\" 50px 40px 30px 40px\" ]\r\nDo not hesitage to give us a call. We are an expert team and we are happy to talk to you.\r\n\r\n[gdlr_core_icon icon=\"fa fa-phone\" size=\"20px\" color=\"#ffffff\" margin-right=\"10px\" ] <span style=\"font-size: 20px; color: #ffffff; font-weight: 600;\">1.8445.3356.33<\/span>\r\n[gdlr_core_space height=\"-15px\"]\r\n[gdlr_core_icon icon=\"fa fa-envelope-o\" size=\"17px\" color=\"#ffffff\" margin-right=\"10px\" ] <span style=\"font-size: 14px; color: #fff; font-weight: 600;\">Help@goodlayers.com<\/span>\r\n\r\n[\/gdlr_widget_box]","filter":false,"visual":false},"14":{"title":"","text":"[gdlr_core_space height=\"-20px\"]\r\n[gdlr_widget_list title=\"Why Book With Us?\" title-color=\"\" background-color=\"\" color=\"\" border-color=\"\" ]\r\n<ul>\r\n<li>[gdlr_core_icon icon=\"fa fa-dollar\" size=\"15px\" color=\"#982d30\" margin-right=\"13px\" ]No-hassle best price guarantee<\/li>\r\n<li>[gdlr_core_icon icon=\"fa fa-headphones\" size=\"15px\" color=\"#982d30\" margin-right=\"10px\" ]Customer care available 24\/7<\/li>\r\n<li>[gdlr_core_icon icon=\"fa fa-star\" size=\"15px\" color=\"#982d30\" margin-right=\"10px\" ]Hand-picked Tours & Activities<\/li>\r\n<li>[gdlr_core_icon icon=\"fa fa-support\" size=\"15px\" color=\"#982d30\" margin-right=\"10px\" ]Free Travel Insureance<\/li>\r\n<\/ul>\r\n[\/gdlr_widget_list]","filter":false,"visual":false},"15":{"title":"Pay Safely With Us","text":"The payment is encrypted and transmitted securely with an SSL protocol.\r\n<img class=\"alignnone size-full wp-image-5360\" src=\"https:\/\/demo.goodlayers.com\/traveltour\/main4\/wp-content\/uploads\/2019\/04\/creditcard-logo.png\" alt=\"\" width=\"254\" height=\"47\" \/>","filter":true,"visual":true},"_multiwidget":1},"widget_tourmaster-tour-search-widget":{"_multiwidget":1},"widget_tourmaster-tour-widget":{"2":{"title":"Recent Tours","category":"","num-fetch":"3"},"3":{"title":"Recent Tours","category":"","num-fetch":"3"},"4":{"title":"Recent Tours","category":"","num-fetch":"4"},"5":{"title":"Latest Tours","category":"","num-fetch":"4"},"_multiwidget":1},"widget_tourmaster-widget-tour-category":{"2":{"title":"Tour Destinations","num-fetch":"6","column-size":"20","thumbnail-size":"thumbnail","style":"widget"},"3":{"title":"Top Destinations","num-fetch":"6","column-size":"20","thumbnail-size":"Personnel Square","style":"widget"},"4":{"title":"Tour Destinations","num-fetch":"6","column-size":"20","thumbnail-size":"Personnel Square","style":"widget"},"5":{"title":"Destinations","num-fetch":"6","column-size":"60","thumbnail-size":"Personnel Square","style":"widget"},"_multiwidget":1},"widget_woocommerce_layered_nav":{"_multiwidget":1},"widget_woocommerce_layered_nav_filters":{"_multiwidget":1},"widget_woocommerce_price_filter":{"_multiwidget":1},"widget_woocommerce_product_categories":{"_multiwidget":1},"widget_woocommerce_product_search":{"_multiwidget":1},"widget_woocommerce_product_tag_cloud":{"_multiwidget":1},"widget_woocommerce_products":{"_multiwidget":1},"widget_woocommerce_rating_filter":{"_multiwidget":1},"widget_woocommerce_recent_reviews":{"_multiwidget":1},"widget_woocommerce_recently_viewed_products":{"_multiwidget":1},"widget_woocommerce_top_rated_products":{"_multiwidget":1},"widget_woocommerce_widget_cart":{"_multiwidget":1},"widget_wpgmp_google_map_widget_class":{"_multiwidget":1}}',
					'theme-option' => '{"traveltour_general":{"layout":"full","boxed-layout-top-margin":"0px","body-margin":"0px","background-type":"color","background-image":"","background-pattern":"pattern-1","enable-boxed-border":"disable","item-padding":"20px","container-width":"1260px","container-padding":"15px","sidebar-width":"20","both-sidebar-width":"15","enable-top-bar":"enable","enable-top-bar-on-mobile":"enable","top-bar-width":"full","top-bar-width-pixel":"1140px","top-bar-full-side-padding":"20px","top-bar-left-text":"[gdlr_core_icon icon=\"fa fa-phone\" size=\"15px\" color=\"#556575\" margin-left=\"\" margin-right=\"10px\" ]<span style=\"font-weight: 500;\"> 1.820.3345.33<\/span>\n[gdlr_core_icon icon=\"fa fa-envelope-o\" size=\"15px\" color=\"#556575\" margin-left=\"30px\" margin-right=\"10px\" ] <a href=\"#\" >Contact@TravelTourWP.com<\/a>","top-bar-right-text":"","top-bar-top-padding":"12px","top-bar-bottom-padding":"12px","top-bar-text-size":"14px","top-bar-bottom-border":"1px","enable-top-bar-social":"enable","top-bar-social-delicious":"","top-bar-social-email":"","top-bar-social-deviantart":"","top-bar-social-digg":"","top-bar-social-facebook":"#","top-bar-social-flickr":"#","top-bar-social-google-plus":"#","top-bar-social-lastfm":"","top-bar-social-linkedin":"","top-bar-social-pinterest":"","top-bar-social-rss":"","top-bar-social-skype":"","top-bar-social-stumbleupon":"","top-bar-social-tumblr":"","top-bar-social-twitter":"#","top-bar-social-vimeo":"","top-bar-social-youtube":"","top-bar-social-instagram":"","top-bar-social-snapchat":"","header-style":"plain","header-plain-style":"menu-right","header-plain-bottom-border":"0px","header-bar-navigation-align":"center","header-background-style":"solid","top-bar-background-opacity":"45","header-background-opacity":"45","navigation-background-opacity":"50","header-boxed-style":"menu-right","boxed-top-bar-background-opacity":"0","boxed-top-bar-background-extend":"0px","boxed-header-top-margin":"0px","header-side-style":"top-left","header-side-align":"left","header-side-toggle-style":"left","header-side-toggle-menu-type":"overlay","header-side-toggle-display-logo":"enable","header-width":"boxed","header-width-pixel":"1140px","header-full-side-padding":"26px","boxed-header-frame-radius":"3px","boxed-header-content-padding":"49px","navigation-text-top-margin":"0px","navigation-text-top-margin-boxed":"0px","navigation-text-side-spacing":"18px","navigation-slide-bar":"enable","side-header-width-pixel":"340px","side-header-side-padding":"70px","navigation-text-top-spacing":"16px","logo-right-text":"","logo-right-text-top-padding":"30px","logo":"5500","mobile-logo":"5500","logo-top-padding":"29px","logo-bottom-padding":"29px","logo-left-padding":"","max-logo-width":"176px","main-navigation-top-padding":"39px","main-navigation-bottom-padding":"8px","main-navigation-right-padding":"","enable-main-navigation-sticky":"enable","enable-logo-on-main-navigation-sticky":"enable","enable-main-navigation-submenu-indicator":"disable","enable-main-navigation-search":"enable","enable-main-navigation-cart":"disable","enable-main-navigation-right-button":"disable","main-navigation-right-button-text":"Buy Now","main-navigation-right-button-link":"","main-navigation-right-button-link-target":"_self","right-menu-type":"right","right-menu-style":"hamburger","default-title-style":"medium","default-title-align":"center","default-title-top-padding":"108px","default-title-bottom-padding":"102px","default-page-caption-top-margin":"13px","default-title-font-transform":"none","default-title-font-size":"42px","default-title-font-weight":"","default-title-letter-spacing":"0px","default-caption-font-size":"16px","default-caption-font-weight":"","default-caption-letter-spacing":"0px","default-title-background-overlay-opacity":"0","default-title-background":"5534","default-portfolio-title-background":"","default-personnel-title-background":"","default-search-title-background":"","default-archive-title-background":"","default-404-background":"","default-404-background-opacity":"27","default-blog-title-style":"small","default-blog-title-top-padding":"93px","default-blog-title-bottom-padding":"87px","default-blog-feature-image":"content","default-blog-title-background-image":"5534","default-blog-title-background-overlay-opacity":"0","blog-sidebar":"right","blog-sidebar-left":"gdlr-core-sidebar-preset","blog-sidebar-right":"blog-right","blog-max-content-width":"","blog-thumbnail-size":"full","blog-date-feature":"enable","meta-option":["author","category","tag","comment-number"],"blog-author":"enable","blog-navigation":"enable","pagination-style":"round","pagination-align":"right","blog-social-share":"enable","blog-social-share-count":"enable","blog-social-facebook":"enable","blog-social-linkedin":"disable","blog-social-google-plus":"enable","blog-social-pinterest":"enable","blog-social-stumbleupon":"disable","blog-social-twitter":"enable","blog-social-email":"disable","archive-blog-sidebar":"right","archive-blog-sidebar-left":"gdlr-core-sidebar-preset","archive-blog-sidebar-right":"gdlr-core-sidebar-preset","archive-blog-style":"blog-full","archive-blog-full-alignment":"left","archive-thumbnail-size":"full","archive-show-thumbnail":"enable","archive-column-size":"20","archive-excerpt":"specify-number","archive-excerpt-number":"55","archive-date-feature":"enable","archive-meta-option":["date","author","category"],"archive-show-read-more":"enable","woocommerce-archive-sidebar":"right","woocommerce-archive-sidebar-left":"gdlr-core-sidebar-preset","woocommerce-archive-sidebar-right":"gdlr-core-sidebar-preset","woocommerce-archive-column-size":"15","woocommerce-archive-thumbnail":"full","woocommerce-related-product-column-size":"15","woocommerce-related-product-num-fetch":"4","woocommerce-related-product-thumbnail":"full","portfolio-slug":"portfolio","portfolio-category-slug":"portfolio_category","portfolio-tag-slug":"portfolio_tag","enable-single-portfolio-navigation":"enable","portfolio-icon-hover-link":"fa fa-external-link","portfolio-icon-hover-video":"fa fa-film","portfolio-icon-hover-image":"icon_search","portfolio-icon-hover-size":"22px","enable-related-portfolio":"disable","related-portfolio-style":"grid","related-portfolio-column-size":"15","related-portfolio-num-fetch":"4","related-portfolio-thumbnail-size":"medium","related-portfolio-num-excerpt":"20","archive-portfolio-sidebar":"none","archive-portfolio-sidebar-left":"gdlr-core-sidebar-preset","archive-portfolio-sidebar-right":"gdlr-core-sidebar-preset","archive-portfolio-style":"medium","archive-portfolio-thumbnail-size":"full","archive-portfolio-grid-text-align":"left","archive-portfolio-grid-style":"normal","archive-enable-portfolio-tag":"enable","archive-portfolio-medium-size":"small","archive-portfolio-medium-style":"switch","archive-portfolio-hover":"icon","archive-portfolio-column-size":"20","archive-portfolio-excerpt":"specify-number","archive-portfolio-excerpt-number":"55","personnel-slug":"personnel","personnel-category-slug":"personnel_category","fixed-footer":"disable","enable-footer":"enable","footer-top-padding":"85px","footer-bottom-padding":"86px","footer-style":"footer-2","enable-copyright":"enable","copyright-top-padding":"24px","copyright-bottom-padding":"24px","copyright-text":"\u00a92022 Travel Tour by GoodLayers. All Rights Reserved | <a href=\"#\" style=\"color: #fff;\">Privacy Policy<\/a> | <a href=\"#\" style=\"color: #fff;\">Terms and Conditions<\/a>","enable-back-to-top":"disable","enable-top-bar-left-on-mobile":"disable","enable-top-bar-right-on-mobile":"enable","enable-top-bar-right-login":"enable","navigation-left-offset":"0","default-blog-title-background-gradient":"both","single-blog-title-top-gradient-size":"450px","single-blog-title-bottom-gradient-size":"400px","enable-footer-column-divider":"disable","enable-top-bar-divider":"enable","wpml-flag-type":"icon","navigation-slide-bar-top-margin":"","navigation-right-top-margin":"","footer-title-bottom-margin":"","copyright-style":"center","copyright-left":"\u00a9 2019 Travel Tour  All Rights Reserved.","copyright-right":"Follow Us On [gdlr_core_icon icon=\"fa fa-facebook\" size=\"14px\" color=\"#ffffff\" margin-left=\"\" margin-right=\"10px\" margin-left=\"12px\" link=\"#\" link-target=\"_blank\"] [gdlr_core_icon icon=\"fa fa-twitter\" size=\"14px\" color=\"#ffffff\" margin-left=\"\" margin-right=\"10px\" link=\"#\" link-target=\"_blank\"] [gdlr_core_icon icon=\"fa fa-linkedin\" size=\"14px\" color=\"#ffffff\" margin-left=\"\" margin-right=\"10px\" link=\"#\" link-target=\"_blank\"] [gdlr_core_icon icon=\"fa fa-pinterest-p\" size=\"14px\" color=\"#ffffff\" margin-left=\"\" margin-right=\"10px\" link=\"#\" link-target=\"_blank\"] [gdlr_core_icon icon=\"fa fa-vimeo\" size=\"14px\" color=\"#ffffff\" margin-left=\"\" margin-right=\"10px\" link=\"#\" link-target=\"_blank\"]","custom-header":"","blog-facebook-access-token":"","fixed-navigation-bar-logo":"","fixed-navigation-bar-logo2x":"","fixed-navigation-logo-top-padding":"20px","fixed-navigation-logo-bottom-padding":"20px","fixed-navigation-top-padding":"30px","fixed-navigation-bottom-padding":"25px","enable-fixed-navigation-slide-bar":"enable"},"traveltour_typography":{"heading-font":"DM Serif Display","navigation-font":"DM Sans","content-font":"DM Sans","info-font":"DM Sans","blog-info-font":"DM Sans","quote-font":"Montserrat","additional-font":"Georgia, serif","additional-font2":"Georgia, serif","h1-font-size":"52px","h2-font-size":"48px","h3-font-size":"36px","h4-font-size":"28px","h5-font-size":"22px","h6-font-size":"18px","navigation-font-size":"16px","navigation-font-weight":"500","navigation-text-transform":"none","content-font-size":"16px","content-line-height":"1.7","font-upload":[{"name":"ArcaMajora","eot":"https:\/\/demo.goodlayers.com\/traveltour\/main4\/wp-content\/uploads\/2019\/04\/ArcaMajora3-Heavy.eot","ttf":"https:\/\/demo.goodlayers.com\/traveltour\/main4\/wp-content\/uploads\/2019\/04\/ArcaMajora3-Heavy.ttf"}],"sidebar-title-font-size":"","sidebar-title-font-weight":"","sidebar-title-font-letter-spacing":"","sidebar-title-text-transform":"uppercase","footer-title-font-size":"18px","footer-title-font-weight":"700","footer-title-font-letter-spacing":"0px","footer-title-text-transform":"none","footer-font-size":"","footer-content-font-weight":"","footer-content-text-transform":"none","copyright-font-size":"15px","copyright-font-weight":"400","copyright-font-letter-spacing":"0px","copyright-text-transform":"none"},"traveltour_color":{"page-preload-background-color":"#ffffff","top-bar-background-color":"#ffffff","top-bar-bottom-border-color":"#e9e9e9","top-bar-text-color":"#556575","top-bar-link-color":"#556575","top-bar-link-hover-color":"#234975","top-bar-social-color":"#468ae7","top-bar-social-hover-color":"#468ae7","header-background-color":"#ffffff","header-plain-bottom-border-color":"#e8e8e8","navigation-bar-background-color":"#f4f4f4","navigation-bar-top-border-color":"#e8e8e8","navigation-slide-bar-color":"#e5e5e5","logo-background-color":"#ffffff","navigation-bar-right-icon-color":"#2e2e2e","woocommerce-cart-icon-number-background":"#982d30","woocommerce-cart-icon-number-color":"#ffffff","secondary-menu-icon-color":"#303030","secondary-menu-border-color":"#dddddd","search-overlay-background-color":"#000000","top-cart-background-color":"#303030","top-cart-text-color":"#b5b5b5","top-cart-view-cart-color":"#ffffff","top-cart-checkout-color":"#982d30","breadcrumbs-text-color":"#c0c0c0","breadcrumbs-text-active-color":"#777777","main-menu-text-color":"#556575","main-menu-text-hover-color":"#353535","sub-menu-background-color":"#262626","sub-menu-text-color":"#bababa","sub-menu-text-hover-color":"#ffffff","sub-menu-text-hover-background-color":"#303030","sub-mega-menu-title-color":"#ffffff","sub-mega-menu-divider-color":"#424242","side-menu-text-color":"#979797","side-menu-text-hover-color":"#ffffff","side-menu-background-color":"#1f1f1f","side-menu-border-color":"#626262","overlay-menu-background-color":"#000000","overlay-menu-border-color":"#424242","overlay-menu-text-color":"#ffffff","overlay-menu-text-hover-color":"#a8a8a8","anchor-bullet-background-color":"#777777","anchor-bullet-background-active-color":"#ffffff","navigation-right-button-text-color":"#333333","navigation-right-button-background-color":"","navigation-right-button-border-color":"#333333","navigation-right-button-text-hover-color":"#555555","navigation-right-button-background-hover-color":"","navigation-right-button-border-hover-color":"#555555","body-background-color":"#ffffff","container-background-color":"#ffffff","page-title-color":"#ffffff","page-caption-color":"#ffffff","page-title-background-overlay-color":"#000000","body-content-color":"#5b5b5b","heading-color":"#212121","link-color":"#982d30","link-hover-color":"#994f52","divider-color":"#e1e1e1","input-box-background-color":"#ffffff","input-box-border-color":"#d7d7d7","input-box-text-color":"#4e4e4e","input-box-placeholder-color":"#4e4e4e","404-content-background-color":"#23618e","404-head-color":"#ffffff","404-title-color":"#ffffff","404-caption-color":"#c3e7ff","404-input-background-color":"#000000","404-input-text-color":"#ffffff","404-back-to-home-color":"#ffffff","sidebar-title-color":"#383838","sidebar-link-color":"#484848","sidebar-link-hover-color":"#323232","recent-post-widget-info-icon-color":"#9c9c9c","recent-post-widget-info-link-color":"#a0a0a0","post-slider-widget-title-color":"#ffffff","post-slider-widget-info-color":"#9c9c9c","search-box-text-color":"#b5b5b5","search-box-border-color":"#e0e0e0","search-box-icon-color":"#c7c7c7","twitter-widget-icon-color":"#303030","twitter-widget-date-color":"#b5b5b5","footer-background-color":"#1d2b36","footer-title-color":"#ffffff","footer-content-color":"#ffffff","footer-link-color":"#c7c7c7","footer-link-hover-color":"#b5828d","footer-divider-color":"#303030","copyright-background-color":"#222222","copyright-text-color":"#cacaca","back-to-top-background-color":"#dbdbdb","back-to-top-text-color":"#313131","single-blog-title-color":"#ffffff","single-blog-info-color":"#ffffff","single-blog-date-day-color":"#ffffff","single-blog-date-month-color":"#b1b1b1","single-blog-divider-color":"#ffffff","single-blog-title-background-overlay-color":"#000000","single-blog-author-title-color":"#464646","single-blog-author-caption-color":"#b1b1b1","single-blog-navigation-color":"#bcbcbc","single-blog-comment-title-color":"#464646","single-blog-comment-background-color":"#f9f9f9","single-blog-comment-reply-color":"#bcbcbc","single-blog-comment-time-color":"#b1b1b1","blog-title-color":"#343434","blog-title-hover-color":"#343434","blog-sticky-banner-color":"#ffffff","blog-sticky-banner-background":"#994649","blog-info-color":"#993e41","blog-date-day-color":"#353535","blog-date-month-color":"#8a8a8a","blog-frame-background-color":"#ffffff","blog-modern-text-color":"#ffffff","blog-aside-background-color":"#99494c","blog-aside-text-color":"#ffffff","pagination-background-color":"#e6e6e6","pagination-text-color":"#929292","pagination-background-hover-color":"#982d30","pagination-text-hover-color":"#ffffff","pagination-plain-color":"#b4b4b4","pagination-plain-hover-color":"#424242","single-portfolio-nav-color":"#bcbcbc","portfolio-title-color":"#191919","portfolio-info-head-color":"#343434","portfolio-info-color":"#a5a5a5","portfolio-badge-text-color":"#ffffff","portfolio-badge-background-color":"#982d30","portfolio-thumbnail-title-color":"#ffffff","portfolio-thumbnail-info-color":"#cecece","portfolio-text-filter-color":"#606060","portfolio-text-filter-active-color":"#982d30","portfolio-button-filter-text-color":"#838383","portfolio-button-filter-background-color":"#f1f1f1","portfolio-button-filter-text-active-color":"#ffffff","portfolio-button-filter-background-active-color":"#982d30","price-table-background-color":"#f8f8f8","price-table-head-color":"#3e3e3e","price-table-head-top-gradient-color":"#525252","price-table-icon-color":"#ffffff","price-table-title-color":"#ffffff","price-table-caption-color":"#acacac","price-table-price-background-color":"#ebebeb","price-table-price-color":"#323232","price-table-price-suffix-color":"#acacac","price-table-price-button-color":"#ffffff","price-table-button-background-color":"#575757","price-table-button-background-top-gradient-color":"#414141","price-table-list-border-color":"#e5e5e5","price-table-active-head-color":"#982d30","price-table-active-head-top-gradient-color":"#995759","price-table-active-icon-color":"#ffffff","price-table-active-title-color":"#ffffff","price-table-active-caption-color":"#d3bcc2","price-table-active-price-background-color":"#ffffff","price-table-active-price-color":"#323232","price-table-active-price-suffix-color":"#acacac","price-table-active-price-button-color":"#ffffff","price-table-active-button-background-color":"#982d30","price-table-active-button-background-top-gradient-color":"#994c4f","accordion-normal-icon-color":"#191919","accordion-normal-title-color":"#282828","accordion-normal-icon-background-color":"#f5f5f5","accordion-icon-color":"#191919","accordion-title-color":"#262626","accordion-title-background-color":"#f8faff","accordion-icon-active-color":"#191919","accordion-title-active-color":"#982d30","accordion-title-background-active-color":"#f8faff","audio-background-color":"#e7e7e7","audio-text-color":"#202020","audio-content-background-color":"#afafaf","audio-content-progress-color":"#982d30","audio-volume-background-color":"#afafaf","audio-volume-progress-color":"#646464","alert-box-item-background-color":"#ef5e68","alert-box-item-border-color":"#cd515a","alert-box-item-content-color":"#ffffff","alert-box-item-title-color":"#ffffff","blockquote-text-color":"#777777","blockquote-background-color":"#f5f5f5","blockquote-border-color":"#e2e2e2","blockquote-item-icon-color":"#4e4e4e","blockquote-item-content-color":"#4e4e4e","button-text-color":"#ffffff","button-text-hover-color":"#ffffff","button-background-color":"#982d30","button-background-hover-color":"#995a5c","button-border-color":"#383838","button-border-hover-color":"#000000","button-gradient-background-color":"#982d30","button-top-gradient-background-color":"#99585a","call-to-action-title-color":"#2c2c2c","call-to-action-caption-color":"#535353","counter-item-top-text-color":"#828282","counter-item-top-icon-color":"#393939","counter-item-number-color":"#393939","counter-item-divider-color":"#393939","counter-item-bottom-text-color":"#393939","column-service-icon-color":"#9d9d9d","column-service-icon-background":"#f3f3f3","column-service-title-color":"#383838","column-service-caption-color":"#747474","dropdown-tab-head-background":"#f7c02e","dropdown-tab-head-text":"#252525","flipbox-background-color":"#468ae7","flipbox-border-color":"#2576e8","flipbox-icon-color":"#ffffff","flipbox-title-color":"#ffffff","flipbox-caption-color":"#ffffff","flipbox-content-color":"#ffffff","gallery-overlay-title":"#ffffff","gallery-overlay-caption":"#cecece","image-overlay-background-color":"#982d30","image-overlay-icon-color":"#ffffff","image-item-border-color":"#000000","item-title-color":"#343434","item-title-caption-color":"#747474","item-title-link-color":"#747474","icon-list-item-icon-color":"#222222","icon-list-item-icon-background-color":"#f3f3f3","opening-hour-day-color":"#a5a5a5","opening-hour-open-color":"#262626","opening-hour-close-color":"#c8c8c8","opening-hour-icon-color":"#8a8989","opening-hour-divider-color":"#a6a6a6","personnel-grid-title-color":"#383838","personnel-grid-position-color":"#888888","personnel-grid-divider-color":"#cecece","personnel-grid-frame-color":"#f9f9f9","personnel-modern-title-color":"#ffffff","personnel-modern-position-color":"#ffffff","promo-box-item-title-color":"#383838","promo-box-content-border-color":"#e8e7e7","post-slider-title-color":"#ffffff","post-slider-info-color":"#c5c5c5","skill-bar-title-color":"#505050","skill-bar-icon-color":"#616161","skill-bar-background-color":"#f3f3f3","skill-bar-progress-color":"#f97150","slider-outer-navigation-color":"#a7a7a7","slider-outer-navigation-background-color":"#f1f1f1","slider-control-navigation-color":"#982d30","social-share-icon-color":"#202020","social-share-divider-color":"#e5e5e5","social-share-text-color":"#202020","stunning-text-title-color":"#747474","stunning-text-caption-color":"#383838","tab-title-color":"#8d8d8d","tab-title-background-color":"#f7f7f7","tab-title-border-color":"#ebebeb","tab-title-hover-bar-color":"#982d30","tab-title-active-color":"#464646","tab-title-active-background-color":"#ffffff","table-head-background-color":"#982d30","table-head-text-color":"#ffffff","table-odd-background-color":"#f9f9f9","table-odd-text-color":"#949494","table-even-background":"#f3f3f3","table-even-text":"#949494","testimonial-title-color":"#ffffff","testimonial-content-color":"#ffffff","testimonial-author-color":"#ffffff","testimonial-position-color":"#ffffff","testimonial-quote-color":"#ffffff","title-item-title-color":"#383838","title-item-caption-color":"#747474","woocommerce-theme-color":"#982d30","woocommerce-price-color":"#982d30","woocommerce-price-linethrough-color":"#949494","woocommerce-button-background-hover-color":"#995a5c","woocommerce-button-text-color":"#ffffff","woocommerce-button-text-hover-color":"#ffffff","woocommerce-input-background-color":"#f3f3f3","product-item-title-color":"#191919","product-item-title-hover-color":"#434343","view-detail-text-color":"#ffffff","view-detail-background-color":"#000000","add-to-cart-text-color":"#48bf84","add-to-cart-background-color":"#f2f2f2","widget-price-filter-bar-background-color":"#e6e6e6","widget-price-filter-range-color":"#994c4f","widget-price-filter-handle-color":"#982d30","blog-info-icon-color":"#9a9a9a","skin":[{"name":"Dark","title":"#ffffff","title-hover":"#ffffff","caption":"#ffffff","content":"#ededed","icon":"#ffffff","link":"#ffffff","link-hover":"#ffffff","divider":"#bcbcbc","border":"#8e8e8e","element-background":"","element-content":"#3a3a3a","button-text":"#969696","button-text-hover":"#383838","button-background":"#ffffff","button-background-hover":"#d6d6d6","button-border-color":"","button-border-hover-color":""},{"name":"White Text","title":"#ffffff","title-hover":"","caption":"#eaeaea","content":"#ffffff","icon":"#ffffff","link":"#ffffff","link-hover":"#ffffff","divider":"#ffffff","border":"#ffffff","element-background":"#ffffff","element-content":"#ffffff","button-text":"#ffffff","button-text-hover":"#ffffff","button-background":"#212121","button-background-hover":"#262626","button-border-color":"#ffffff","button-border-hover-color":"#ffffff"},{"name":"Grey","title":"#3a3a3a","title-hover":"","caption":"#727272","content":"#515151","icon":"#5e5e5e","link":"","link-hover":"","divider":"#cecece","border":"#d6d6d6","element-background":"#ffffff","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Dark Personnel","title":"#ffffff","title-hover":"#ffffff","caption":"#dbdbdb","content":"#ffffff","icon":"#ffffff","link":"#ffffff","link-hover":"#ffffff","divider":"#b2b2b2","border":"#b2b2b2","element-background":"#ffffff","element-content":"#3a3a3a","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Maintenance","title":"#ffffff","title-hover":"","caption":"#ffffff","content":"#d8d8d8","icon":"","link":"","link-hover":"","divider":"#bababa","border":"#727272","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Blue Icon","title":"","title-hover":"","caption":"","content":"","icon":"#4692e7","link":"","link-hover":"","divider":"","border":"","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Homepage Search","title":"#313131","title-hover":"","caption":"","content":"","icon":"","link":"#bdd4ff","link-hover":"","divider":"","border":"","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Dark Search","title":"#ffffff","title-hover":"","caption":"","content":"#c2cadd","icon":"#ccd5e8","link":"","link-hover":"","divider":"#676e74","border":"#676e74","element-background":"#585d6b","element-content":"#b9c1d5","button-text":"","button-text-hover":"","button-background":"#4296ed","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Grey Frame","title":"","title-hover":"","caption":"","content":"","icon":"","link":"","link-hover":"","divider":"","border":"","element-background":"#f6f6f6","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Blue Column Service","title":"#ffffff","title-hover":"","caption":"","content":"#b9cdf3","icon":"#467ee7","link":"","link-hover":"","divider":"","border":"","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Newsletter form","title":"","title-hover":"","caption":"","content":"","icon":"","link":"","link-hover":"","divider":"#bcbcbc","border":"#f3f3f3","element-background":"#f3f3f3","element-content":"#757575","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Dark Search HP4","title":"#ffffff","title-hover":"","caption":"","content":"","icon":"#ffffff","link":"","link-hover":"","divider":"","border":"","element-background":"#ffffff","element-content":"#828282","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Testimonial","title":"#ffffff","title-hover":"","caption":"#d2d2d2","content":"#d2d2d2","icon":"#467fe7","link":"","link-hover":"","divider":"","border":"","element-background":"#ffffff","element-content":"#ffffff","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Newsletter form HP3","title":"","title-hover":"","caption":"","content":"","icon":"","link":"","link-hover":"","divider":"#e5e5e5","border":"#e5e5e5","element-background":"#f3f3f3","element-content":"#969696","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Blog HP3","title":"","title-hover":"","caption":"","content":"","icon":"#4692e7","link":"","link-hover":"","divider":"","border":"","element-background":"#f3f3f3","element-content":"#4692e7","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"orange text","title":"#f97150","title-hover":"#f97150","caption":"#f97150","content":"#f97150","icon":"","link":"","link-hover":"","divider":"","border":"","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"orange","title":"","title-hover":"","caption":"","content":"","icon":"","link":"","link-hover":"","divider":"","border":"","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"#f97150","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"White Newsletter","title":"","title-hover":"","caption":"","content":"","icon":"","link":"","link-hover":"","divider":"","border":"#ffffff","element-background":"#ffffff","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Column SVC Top","title":"#222222","title-hover":"","caption":"#556575","content":"#556575","icon":"","link":"#982d30","link-hover":"#982d30","divider":"","border":"","element-background":"","element-content":"","button-text":"#982d30","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Contact Form","title":"","title-hover":"","caption":"","content":"","icon":"","link":"","link-hover":"","divider":"#e5e5e5","border":"#e5e5e5","element-background":"#ffffff","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""}],"top-bar-icon-color":"#556575","tagcloud-background-color":"#ffffff","portfolio-frame-background-color":"#ffffff","accordion-normal-title-head-color":"#191919","accordion-title-head-color":"#191919","newsletter-input-background":"#ffffff","newsletter-input-text":"#8d8d8d","testimonial-rating-color":"#ffcd9c","single-blog-title-background-gradient-color":"#000","single-blog-title-background-gradient-max-opacity":"0.6","single-blog-title-background-bottom-gradient-max-opacity":"0.9","blog-modern-hover-background-color":"#982d30","blog-thumbnail-category-background":"#982d30","portfolio-grid2-tag-background":"#995153","roadmap-title-color":"#a6aafb","roadmap-title-active-color":"#ffffff","roadmap-caption-color":"#c1caf6","roadmap-number-text":"#c5c5c5","roadmap-number-background":"#223077","roadmap-number-active-text":"#223077","roadmap-number-active-background":"#ffffff","roadmap-number-divider":"#ffffff","roadmap-content-title":"#ffffff","roadmap-content-caption":"#c1caf6","roadmap-content-color":"#babdff","slider-control-navigation-background-color":"#dbdbdb","slider-outer-navigation-hover-color":"#a7a7a7","testimonial-frame-background-color":"#982d30"},"traveltour_plugin":{"enable-srcset":"disable","lightbox":"lightGallery","ilightbox-skin":"dark","link-to-lightbox":"enable","additional-css":"","additional-script":"","enable-maintenance":"disable","maintenance-page":"4821","enable-preload":"disable","preload-image":"","thumbnail-sizing":[{"name":"Personnel Thumbnail","width":"700","height":"500","hard-crop":""},{"name":"Portfolio Thumbnail","width":"700","height":"450","hard-crop":""},{"name":"Portfolio Thumbnail Portrait","width":"700","height":"660","hard-crop":""},{"name":"Portfolio Thumbnail Portrait 2","width":"600","height":"800","hard-crop":""},{"name":"Large Landscape","width":"1280","height":"580","hard-crop":""},{"name":"Large Landscape 2","width":"1550","height":"700","hard-crop":""},{"name":"Portfolio Side Description Large","width":"900","height":"500","hard-crop":""},{"name":"Blog Full Thumbnail","width":"1100","height":"490","hard-crop":""},{"name":"Blog Column Thumbnail","width":"700","height":"430","hard-crop":""},{"name":"Personnel Thumbnail 2","width":"550","height":"500","hard-crop":""},{"name":"Large Landscape 3","width":"1500","height":"1000","hard-crop":""},{"name":"Personnel Square","width":"600","height":"600","hard-crop":""},{"name":"Tour Category","width":"800","height":"960","hard-crop":""},{"name":"Tour Side Thumbnail","width":"600","height":"700","hard-crop":""},{"name":"Tour Cat Featured","width":"1200","height":"567","hard-crop":""}],"consent-item":"","disable-cookie-youtube":"disable","privacy-cookie-time":"30","privacy-notification-position":"bottom-bar","privacy-box-button-color":"#1a49a8","privacy-form-logo":"","privacy-form-input-button-color":"#1a49a8","privacy-form-save-button-color":"#1a49a8","additional-mobile-css":"","additional-head-script":"jQuery(\"#map\").click(function () {\n    jQuery(\"#map iframe\").css(\"pointer-events\", \"auto\");\n});\njQuery(\"#map\").mouseleave(function() {\n  jQuery(\"#map iframe\").css(\"pointer-events\", \"none\"); \n});","additional-head-script2":"","font-icon":["font-awesome","elegant-font"]}}'
				),
				'museum' => array(
					'title' => esc_html__('Museum', 'traveltour'),
					'url' => 'https://demo.goodlayers.com/traveltour/museum/',
					'xml' => get_template_directory() . '/admin/function/files/museum.xml',
					'page' => 5656,
					'menu' => array('main_menu' => 66, 'mobile_menu' => 66),
					'widget' => '{"gdlrcst_sidebar_name":[{"name":"Blog","id":"blog"},{"name":"Blog Left","id":"blog-left"},{"name":"Blog Right","id":"blog-right"},{"name":"Single Tour","id":"single-tour"},{"name":"Tour list","id":"tour-list"},{"name":"Payment","id":"payment"}],"sidebars_widgets":{"wp_inactive_widgets":["tag_cloud-5","tourmaster-tour-widget-2","tourmaster-tour-widget-3","tourmaster-tour-widget-4","tourmaster-widget-tour-category-2","tourmaster-widget-tour-category-3","tourmaster-widget-tour-category-4","tourmaster-widget-tour-category-5","gdlr-core-recent-post-widget-3"],"gdlr-core-sidebar-preset":["search-2","recent-posts-2","archives-2","categories-2","meta-2"],"footer-1":["text-1"],"footer-2":["gdlr-core-custom-menu-widget-2"],"footer-3":["gdlr-core-custom-menu-widget-3"],"footer-4":["text-15"],"blog":["text-7","gdlr-core-recent-portfolio-widget-3","gdlr-core-recent-post-widget-5","tag_cloud-3"],"blog-left":["search-4","text-8","recent-comments-6","gdlr-core-portfolio-slider-widget-2"],"blog-right":["text-9","recent-posts-5","tag_cloud-4"],"single-tour":["text-11","text-12"],"tour-list":["tourmaster-tour-widget-5","text-10","nav_menu-3","gdlr-core-recent-post-widget-4"],"payment":["text-14","text-13"],"array_version":3},"widget_archives":{"2":{"title":"","count":0,"dropdown":0},"_multiwidget":1},"widget_calendar":{"_multiwidget":1},"widget_categories":{"2":{"title":"","count":0,"hierarchical":0,"dropdown":0},"_multiwidget":1},"widget_custom_html":{"_multiwidget":1},"widget_gdlr-core-category-background-widget":{"_multiwidget":1},"widget_gdlr-core-custom-menu-widget":{"2":{"title":"About Us","menu":"74","style":"plain"},"3":{"title":"Support","menu":"75","style":"plain"},"_multiwidget":1},"widget_gdlr-core-instagram-widget":{"_multiwidget":1},"widget_gdlr-core-newsletter-widget":{"_multiwidget":1},"widget_gdlr-core-opening-hour-widget":{"_multiwidget":1},"widget_gdlr-core-portfolio-slider-widget":{"2":{"title":"Recent Works","category":"","num-fetch":"3","thumbnail-size":"Frame Landscape 2"},"_multiwidget":1},"widget_gdlr-core-post-slider-widget":{"_multiwidget":1},"widget_gdlr-core-recent-comment-widget":{"_multiwidget":1},"widget_gdlr-core-recent-event-widget":{"_multiwidget":1},"widget_gdlr-core-recent-portfolio-widget":{"3":{"title":"Recent Works","category":"","num-fetch":"9"},"_multiwidget":1},"widget_gdlr-core-recent-post-widget":{"3":{"title":"Recent Articles","category":"blog","num-fetch":"3"},"4":{"title":"Recent Articles","category":"blog","num-fetch":"3"},"5":{"title":"Recent Posts","style":"style-1","category":"","num-fetch":"3","order-by":"date","order":"desc","thumbnail-size":"thumbnail"},"_multiwidget":1},"widget_gdlr-core-twitter-widget":{"_multiwidget":1},"widget_gdlr-core-video-widget":{"_multiwidget":1},"widget_media_audio":{"_multiwidget":1},"widget_media_gallery":{"_multiwidget":1},"widget_media_image":{"_multiwidget":1},"widget_media_video":{"_multiwidget":1},"widget_meta":{"2":{"title":""},"_multiwidget":1},"widget_nav_menu":{"3":{"title":"Tour Category","nav_menu":104},"_multiwidget":1},"widget_newsletterwidget":{"_multiwidget":1},"widget_newsletterwidgetminimal":{"_multiwidget":1},"widget_nextend_social_login":{"_multiwidget":1},"widget_pages":{"_multiwidget":1},"widget_recent-comments":{"6":{"title":"","number":5},"_multiwidget":1},"widget_recent-posts":{"2":{"title":"","number":5},"5":{"title":"Recent Posts","number":5,"show_date":false},"_multiwidget":1},"widget_rev-slider-widget":{"_multiwidget":1},"widget_rss":{"1":[],"_multiwidget":1},"widget_search":{"2":{"title":""},"4":{"title":""},"_multiwidget":1},"widget_tag_cloud":{"3":{"title":"Tag Cloud","taxonomy":"post_tag"},"4":{"title":"Tag Cloud","taxonomy":"post_tag"},"5":{"title":"","taxonomy":"post_tag"},"_multiwidget":1},"widget_text":{"1":{"title":"","text":"[gdlr_core_title title=\"Travel Tour\" title-font-size= \"28px\" title-color=\"#ffffff\" title-font-uppercase=\"disable\" padding-bottom=\"35px\"]\r\n12 Main tPt. London[gdlr_core_space height=\"15px\"]\r\n+44 3656 4567[gdlr_core_space height=\"15px\"]\r\ncontact@traveltourtheme.com[gdlr_core_space height=\"35px\"]\r\n\r\n[gdlr_core_social_network facebook=\"#url\"  twitter=\"#url\" instagram=\"#\" icon-space= \"12px\" icon-width= \"50px\" background-color=\"transparent\" icon-border-color=\"#ffffff\" icon-color=\"#ffffff\" icon-border-size=\"1px\" icon-border-radius=\"25px\" hover-background-color=\"#aa9875\" hover-icon-border-color=\"#aa9875\" hover-icon-color=\"#ffffff\"]","filter":false,"visual":false},"7":{"title":"Text Widget","text":"Nulla vitae elit libero, a pharetra augue. Nulla vitae elit libero, a pharetra augue. Nulla vitae elit libero, a pharetra augue. Donec sed odio dui. Etiam porta sem malesuada.","filter":false},"8":{"title":"About Us","text":"Nulla vitae elit libero, a pharetra augue. Nulla vitae elit libero, a pharetra augue. Nulla vitae elit libero, a pharetra augue. Donec sed odio dui.","filter":false},"9":{"title":"Text Widget","text":"Nulla vitae elit libero, a pharetra augue. Nulla vitae elit libero, a pharetra augue. Nulla vitae elit libero, a pharetra augue. Donec sed odio dui. Etiam porta sem malesuada.","filter":false},"10":{"title":"","text":"[gdlr_widget_box title=\"Get a Question?\" title-color=\"#ffffff\" background=\"https:\/\/demo.goodlayers.com\/traveltour\/main4\/wp-content\/uploads\/2019\/04\/widget-bg-1.jpg\" color=\"#c9e2ff\" ]\r\nDo not hesitage to give us a call. We are an expert team and we are happy to talk to you.\r\n\r\n[gdlr_core_icon icon=\"fa fa-phone\" size=\"17px\" color=\"#ffcf2a\" margin-right=\"10px\" ] <span style=\"font-size: 17px; color: #ffcf2a; font-weight: 600;\">1.8445.3356.33<\/span>\r\n\r\n<span style=\"font-size: 14px; color: #fff; font-weight: 600;\">Help@goodlayers.com<\/span>\r\n\r\n[\/gdlr_widget_box]","filter":false,"visual":false},"11":{"title":"","text":"[gdlr_core_space height=\"-20px\"]\r\n[gdlr_widget_list title=\"Why Book With Us?\" title-color=\"\" background-color=\"#ffffff\" frame-border-color=\"#e5e5e5\" frame-border-width=\"1px\" ]\r\n<ul>\r\n<li>[gdlr_core_icon icon=\"fa fa-dollar\" size=\"15px\" color=\"#aa9875\" margin-right=\"13px\" ]No-hassle best price guarantee<\/li>\r\n<li>[gdlr_core_icon icon=\"fa fa-headphones\" size=\"15px\" color=\"#aa9875\" margin-right=\"10px\" ]Customer care available 24\/7<\/li>\r\n<li>[gdlr_core_icon icon=\"fa fa-star\" size=\"15px\" color=\"#aa9875\" margin-right=\"10px\" ]Hand-picked Tours & Activities<\/li>\r\n<li>[gdlr_core_icon icon=\"fa fa-support\" size=\"15px\" color=\"#aa9875\" margin-right=\"10px\" ]Free Travel Insureance<\/li>\r\n<\/ul>\r\n[\/gdlr_widget_list]","filter":false,"visual":false},"12":{"title":"","text":"[gdlr_core_space height=\"-10px\"]\r\n[gdlr_widget_box title=\"Get a Question?\" title-color=\"#ffffff\" background=\"https:\/\/demo.goodlayers.com\/traveltour\/homepages\/museum\/wp-content\/uploads\/sites\/3\/2021\/06\/widget-bg.jpg\" color=\"#d2c5ad\" padding=\" 50px 40px 30px 40px\" ]\r\n<span style=\"font-size: 17px;\">Do not hesitage to give us a call. We are an expert team and we are happy to talk to you.<\/span>\r\n\r\n[gdlr_core_icon icon=\"fa fa-phone\" size=\"20px\" color=\"#ffffff\" margin-right=\"10px\" ] <span style=\"font-size: 20px; color: #ffffff; font-weight: 600;\">1.8445.3356.33<\/span>\r\n[gdlr_core_space height=\"-15px\"]\r\n[gdlr_core_icon icon=\"fa fa-envelope-o\" size=\"17px\" color=\"#ffffff\" margin-right=\"10px\" ] <span style=\"font-size: 14px; color: #fff; font-weight: 600;\">Help@goodlayers.com<\/span>\r\n\r\n[\/gdlr_widget_box]","filter":false,"visual":false},"13":{"title":"","text":"[gdlr_core_space height=\"-10px\"]\r\n[gdlr_widget_box title=\"Get a Question?\" title-color=\"#ffffff\" background=\"https:\/\/demo.goodlayers.com\/traveltour\/homepages\/museum\/wp-content\/uploads\/sites\/3\/2021\/06\/widget-bg.jpg\" color=\"#ffefe8\" padding=\" 50px 40px 30px 40px\" ]\r\nDo not hesitage to give us a call. We are an expert team and we are happy to talk to you.\r\n\r\n[gdlr_core_icon icon=\"fa fa-phone\" size=\"20px\" color=\"#ffffff\" margin-right=\"10px\" ] <span style=\"font-size: 20px; color: #ffffff; font-weight: 600;\">1.8445.3356.33<\/span>\r\n[gdlr_core_space height=\"-15px\"]\r\n[gdlr_core_icon icon=\"fa fa-envelope-o\" size=\"17px\" color=\"#ffffff\" margin-right=\"10px\" ] <span style=\"font-size: 14px; color: #fff; font-weight: 600;\">Help@goodlayers.com<\/span>\r\n\r\n[\/gdlr_widget_box]","filter":false,"visual":false},"14":{"title":"","text":"[gdlr_core_space height=\"-20px\"]\r\n[gdlr_widget_list title=\"Why Book With Us?\" title-color=\"\" background-color=\"\" color=\"\" border-color=\"\" ]\r\n<ul>\r\n<li>[gdlr_core_icon icon=\"fa fa-dollar\" size=\"15px\" color=\"#982d30\" margin-right=\"13px\" ]No-hassle best price guarantee<\/li>\r\n<li>[gdlr_core_icon icon=\"fa fa-headphones\" size=\"15px\" color=\"#982d30\" margin-right=\"10px\" ]Customer care available 24\/7<\/li>\r\n<li>[gdlr_core_icon icon=\"fa fa-star\" size=\"15px\" color=\"#982d30\" margin-right=\"10px\" ]Hand-picked Tours & Activities<\/li>\r\n<li>[gdlr_core_icon icon=\"fa fa-support\" size=\"15px\" color=\"#982d30\" margin-right=\"10px\" ]Free Travel Insureance<\/li>\r\n<\/ul>\r\n[\/gdlr_widget_list]","filter":false,"visual":false},"15":{"title":"Pay Safely With Us","text":"The payment is encrypted and transmitted securely with an SSL protocol.\r\n<img class=\"alignnone size-full wp-image-5360\" src=\"https:\/\/demo.goodlayers.com\/traveltour\/main4\/wp-content\/uploads\/2019\/04\/creditcard-logo.png\" alt=\"\" width=\"254\" height=\"47\" \/>","filter":true,"visual":true},"_multiwidget":1},"widget_tourmaster-tour-search-widget":{"_multiwidget":1},"widget_tourmaster-tour-widget":{"2":{"title":"Recent Tours","category":"","num-fetch":"3"},"3":{"title":"Recent Tours","category":"","num-fetch":"3"},"4":{"title":"Recent Tours","category":"","num-fetch":"4"},"5":{"title":"Latest Tours","category":"","num-fetch":"4"},"_multiwidget":1},"widget_tourmaster-widget-tour-category":{"2":{"title":"Tour Destinations","num-fetch":"6","column-size":"20","thumbnail-size":"thumbnail","style":"widget"},"3":{"title":"Top Destinations","num-fetch":"6","column-size":"20","thumbnail-size":"Personnel Square","style":"widget"},"4":{"title":"Tour Destinations","num-fetch":"6","column-size":"20","thumbnail-size":"Personnel Square","style":"widget"},"5":{"title":"Destinations","num-fetch":"6","column-size":"60","thumbnail-size":"Personnel Square","style":"widget"},"_multiwidget":1},"widget_woocommerce_layered_nav":{"_multiwidget":1},"widget_woocommerce_layered_nav_filters":{"_multiwidget":1},"widget_woocommerce_price_filter":{"_multiwidget":1},"widget_woocommerce_product_categories":{"_multiwidget":1},"widget_woocommerce_product_search":{"_multiwidget":1},"widget_woocommerce_product_tag_cloud":{"_multiwidget":1},"widget_woocommerce_products":{"_multiwidget":1},"widget_woocommerce_rating_filter":{"_multiwidget":1},"widget_woocommerce_recent_reviews":{"_multiwidget":1},"widget_woocommerce_recently_viewed_products":{"_multiwidget":1},"widget_woocommerce_top_rated_products":{"_multiwidget":1},"widget_woocommerce_widget_cart":{"_multiwidget":1},"widget_wpgmp_google_map_widget_class":{"_multiwidget":1}}',
					'theme-option' => '{"traveltour_general":{"layout":"full","boxed-layout-top-margin":"0px","body-margin":"0px","background-type":"color","background-image":"","background-pattern":"pattern-1","enable-boxed-border":"disable","item-padding":"20px","container-width":"1260px","container-padding":"15px","sidebar-width":"20","both-sidebar-width":"15","enable-top-bar":"enable","enable-top-bar-on-mobile":"enable","top-bar-width":"boxed","top-bar-width-pixel":"1140px","top-bar-full-side-padding":"20px","top-bar-left-text":"[gdlr_core_icon icon=\"fa fa-phone\" size=\"15px\" color=\"#93a5bc\" margin-left=\"\" margin-right=\"10px\" ]<span style=\"font-weight: 500;\"> 1.820.3345.33<\/span>\n[gdlr_core_icon icon=\"fa fa-envelope-o\" size=\"15px\" color=\"#93a5bc\" margin-left=\"30px\" margin-right=\"10px\" ] <a href=\"#\" >Contact@TravelTourWP.com<\/a>","top-bar-right-text":"","top-bar-top-padding":"15px","top-bar-bottom-padding":"15px","top-bar-text-size":"14px","top-bar-bottom-border":"1px","enable-top-bar-social":"enable","top-bar-social-delicious":"","top-bar-social-email":"","top-bar-social-deviantart":"","top-bar-social-digg":"","top-bar-social-facebook":"#","top-bar-social-flickr":"#","top-bar-social-google-plus":"#","top-bar-social-lastfm":"","top-bar-social-linkedin":"","top-bar-social-pinterest":"","top-bar-social-rss":"","top-bar-social-skype":"","top-bar-social-stumbleupon":"","top-bar-social-tumblr":"","top-bar-social-twitter":"#","top-bar-social-vimeo":"","top-bar-social-youtube":"","top-bar-social-instagram":"","top-bar-social-snapchat":"","header-style":"plain","header-plain-style":"center-menu","header-plain-bottom-border":"0px","header-bar-navigation-align":"center","header-background-style":"transparent","top-bar-background-opacity":"100","header-background-opacity":"70","navigation-background-opacity":"50","header-boxed-style":"menu-right","boxed-top-bar-background-opacity":"0","boxed-top-bar-background-extend":"0px","boxed-header-top-margin":"0px","header-side-style":"top-left","header-side-align":"left","header-side-toggle-style":"left","header-side-toggle-menu-type":"overlay","header-side-toggle-display-logo":"enable","header-width":"boxed","header-width-pixel":"1140px","header-full-side-padding":"26px","boxed-header-frame-radius":"3px","boxed-header-content-padding":"49px","navigation-text-top-margin":"0px","navigation-text-top-margin-boxed":"0px","navigation-text-side-spacing":"18px","navigation-slide-bar":"enable","side-header-width-pixel":"340px","side-header-side-padding":"70px","navigation-text-top-spacing":"16px","logo-right-text":"","logo-right-text-top-padding":"30px","logo":"5653","mobile-logo":"5654","logo-top-padding":"29px","logo-bottom-padding":"29px","logo-left-padding":"","max-logo-width":"159px","main-navigation-top-padding":"36px","main-navigation-bottom-padding":"37px","main-navigation-right-padding":"","enable-main-navigation-sticky":"enable","enable-logo-on-main-navigation-sticky":"enable","enable-main-navigation-submenu-indicator":"disable","enable-main-navigation-search":"enable","enable-main-navigation-cart":"disable","enable-main-navigation-right-button":"disable","main-navigation-right-button-text":"Buy Now","main-navigation-right-button-link":"","main-navigation-right-button-link-target":"_self","right-menu-type":"right","right-menu-style":"hamburger","default-title-style":"medium","default-title-align":"center","default-title-top-padding":"108px","default-title-bottom-padding":"102px","default-page-caption-top-margin":"13px","default-title-font-transform":"none","default-title-font-size":"42px","default-title-font-weight":"","default-title-letter-spacing":"0px","default-caption-font-size":"16px","default-caption-font-weight":"","default-caption-letter-spacing":"0px","default-title-background-overlay-opacity":"67","default-title-background":"5726","default-portfolio-title-background":"","default-personnel-title-background":"","default-search-title-background":"","default-archive-title-background":"","default-404-background":"","default-404-background-opacity":"27","default-blog-title-style":"small","default-blog-title-top-padding":"93px","default-blog-title-bottom-padding":"87px","default-blog-feature-image":"content","default-blog-title-background-image":"5769","default-blog-title-background-overlay-opacity":"0","blog-sidebar":"right","blog-sidebar-left":"gdlr-core-sidebar-preset","blog-sidebar-right":"blog-right","blog-max-content-width":"","blog-thumbnail-size":"full","blog-date-feature":"enable","meta-option":["author","category","tag","comment-number"],"blog-author":"enable","blog-navigation":"enable","pagination-style":"round","pagination-align":"right","blog-social-share":"enable","blog-social-share-count":"enable","blog-social-facebook":"enable","blog-social-linkedin":"disable","blog-social-google-plus":"enable","blog-social-pinterest":"enable","blog-social-stumbleupon":"disable","blog-social-twitter":"enable","blog-social-email":"disable","archive-blog-sidebar":"right","archive-blog-sidebar-left":"gdlr-core-sidebar-preset","archive-blog-sidebar-right":"gdlr-core-sidebar-preset","archive-blog-style":"blog-full","archive-blog-full-alignment":"left","archive-thumbnail-size":"full","archive-show-thumbnail":"enable","archive-column-size":"20","archive-excerpt":"specify-number","archive-excerpt-number":"55","archive-date-feature":"enable","archive-meta-option":["date","author","category"],"archive-show-read-more":"enable","woocommerce-archive-sidebar":"right","woocommerce-archive-sidebar-left":"gdlr-core-sidebar-preset","woocommerce-archive-sidebar-right":"gdlr-core-sidebar-preset","woocommerce-archive-column-size":"15","woocommerce-archive-thumbnail":"full","woocommerce-related-product-column-size":"15","woocommerce-related-product-num-fetch":"4","woocommerce-related-product-thumbnail":"full","portfolio-slug":"portfolio","portfolio-category-slug":"portfolio_category","portfolio-tag-slug":"portfolio_tag","enable-single-portfolio-navigation":"enable","portfolio-icon-hover-link":"fa fa-external-link","portfolio-icon-hover-video":"fa fa-film","portfolio-icon-hover-image":"icon_search","portfolio-icon-hover-size":"22px","enable-related-portfolio":"disable","related-portfolio-style":"grid","related-portfolio-column-size":"15","related-portfolio-num-fetch":"4","related-portfolio-thumbnail-size":"medium","related-portfolio-num-excerpt":"20","archive-portfolio-sidebar":"none","archive-portfolio-sidebar-left":"gdlr-core-sidebar-preset","archive-portfolio-sidebar-right":"gdlr-core-sidebar-preset","archive-portfolio-style":"medium","archive-portfolio-thumbnail-size":"full","archive-portfolio-grid-text-align":"left","archive-portfolio-grid-style":"normal","archive-enable-portfolio-tag":"enable","archive-portfolio-medium-size":"small","archive-portfolio-medium-style":"switch","archive-portfolio-hover":"icon","archive-portfolio-column-size":"20","archive-portfolio-excerpt":"specify-number","archive-portfolio-excerpt-number":"55","personnel-slug":"personnel","personnel-category-slug":"personnel_category","fixed-footer":"disable","enable-footer":"enable","footer-top-padding":"85px","footer-bottom-padding":"86px","footer-style":"footer-2","enable-copyright":"enable","copyright-top-padding":"24px","copyright-bottom-padding":"24px","copyright-text":"\u00a92022 Travel Tour by GoodLayers. All Rights Reserved | <a href=\"#\" style=\"color: #fff;\">Privacy Policy<\/a> | <a href=\"#\" style=\"color: #aa9875;\">Terms and Conditions<\/a>","enable-back-to-top":"disable","enable-top-bar-left-on-mobile":"disable","enable-top-bar-right-on-mobile":"enable","enable-top-bar-right-login":"enable","navigation-left-offset":"0","default-blog-title-background-gradient":"both","single-blog-title-top-gradient-size":"450px","single-blog-title-bottom-gradient-size":"400px","enable-footer-column-divider":"disable","enable-top-bar-divider":"disable","wpml-flag-type":"icon","navigation-slide-bar-top-margin":"","navigation-right-top-margin":"-6px","footer-title-bottom-margin":"","copyright-style":"center","copyright-left":"\u00a9 2019 Travel Tour  All Rights Reserved.","copyright-right":"Follow Us On [gdlr_core_icon icon=\"fa fa-facebook\" size=\"14px\" color=\"#ffffff\" margin-left=\"\" margin-right=\"10px\" margin-left=\"12px\" link=\"#\" link-target=\"_blank\"] [gdlr_core_icon icon=\"fa fa-twitter\" size=\"14px\" color=\"#ffffff\" margin-left=\"\" margin-right=\"10px\" link=\"#\" link-target=\"_blank\"] [gdlr_core_icon icon=\"fa fa-linkedin\" size=\"14px\" color=\"#ffffff\" margin-left=\"\" margin-right=\"10px\" link=\"#\" link-target=\"_blank\"] [gdlr_core_icon icon=\"fa fa-pinterest-p\" size=\"14px\" color=\"#ffffff\" margin-left=\"\" margin-right=\"10px\" link=\"#\" link-target=\"_blank\"] [gdlr_core_icon icon=\"fa fa-vimeo\" size=\"14px\" color=\"#ffffff\" margin-left=\"\" margin-right=\"10px\" link=\"#\" link-target=\"_blank\"]","custom-header":"","blog-facebook-access-token":"","fixed-navigation-bar-logo":"","fixed-navigation-bar-logo2x":"","fixed-navigation-logo-top-padding":"16px","fixed-navigation-logo-bottom-padding":"20px","fixed-navigation-top-padding":"25px","fixed-navigation-bottom-padding":"25px","enable-fixed-navigation-slide-bar":"enable","fixed-navigation-max-logo-width":"159px"},"traveltour_typography":{"heading-font":"DM Sans","navigation-font":"DM Sans","content-font":"DM Sans","info-font":"DM Sans","blog-info-font":"DM Sans","quote-font":"Montserrat","additional-font":"Georgia, serif","additional-font2":"Georgia, serif","h1-font-size":"52px","h2-font-size":"48px","h3-font-size":"36px","h4-font-size":"28px","h5-font-size":"22px","h6-font-size":"18px","navigation-font-size":"16px","navigation-font-weight":"500","navigation-text-transform":"none","content-font-size":"16px","content-line-height":"1.7","font-upload":[{"name":"ArcaMajora","eot":"https:\/\/demo.goodlayers.com\/traveltour\/main4\/wp-content\/uploads\/2019\/04\/ArcaMajora3-Heavy.eot","ttf":"https:\/\/demo.goodlayers.com\/traveltour\/main4\/wp-content\/uploads\/2019\/04\/ArcaMajora3-Heavy.ttf"}],"sidebar-title-font-size":"19px","sidebar-title-font-weight":"600","sidebar-title-font-letter-spacing":"0px","sidebar-title-text-transform":"none","footer-title-font-size":"18px","footer-title-font-weight":"700","footer-title-font-letter-spacing":"0px","footer-title-text-transform":"none","footer-font-size":"","footer-content-font-weight":"","footer-content-text-transform":"none","copyright-font-size":"15px","copyright-font-weight":"400","copyright-font-letter-spacing":"0px","copyright-text-transform":"none"},"traveltour_color":{"page-preload-background-color":"#ffffff","top-bar-background-color":"#1c2935","top-bar-bottom-border-color":"#1d2b36","top-bar-text-color":"#93a5bc","top-bar-link-color":"#93a5bc","top-bar-link-hover-color":"#ffffff","top-bar-social-color":"#468ae7","top-bar-social-hover-color":"#468ae7","header-background-color":"#1d2b36","header-plain-bottom-border-color":"#e8e8e8","navigation-bar-background-color":"#f4f4f4","navigation-bar-top-border-color":"#e8e8e8","navigation-slide-bar-color":"#aa9875","logo-background-color":"#ffffff","navigation-bar-right-icon-color":"#ffffff","woocommerce-cart-icon-number-background":"#aa9875","woocommerce-cart-icon-number-color":"#ffffff","secondary-menu-icon-color":"#ffffff","secondary-menu-border-color":"#dddddd","search-overlay-background-color":"#000000","top-cart-background-color":"#303030","top-cart-text-color":"#b5b5b5","top-cart-view-cart-color":"#ffffff","top-cart-checkout-color":"#aa9875","breadcrumbs-text-color":"#c0c0c0","breadcrumbs-text-active-color":"#777777","main-menu-text-color":"#b0bbcb","main-menu-text-hover-color":"#ffffff","sub-menu-background-color":"#262626","sub-menu-text-color":"#bababa","sub-menu-text-hover-color":"#ffffff","sub-menu-text-hover-background-color":"#303030","sub-mega-menu-title-color":"#ffffff","sub-mega-menu-divider-color":"#424242","side-menu-text-color":"#979797","side-menu-text-hover-color":"#ffffff","side-menu-background-color":"#1f1f1f","side-menu-border-color":"#626262","overlay-menu-background-color":"#000000","overlay-menu-border-color":"#424242","overlay-menu-text-color":"#ffffff","overlay-menu-text-hover-color":"#a8a8a8","anchor-bullet-background-color":"#777777","anchor-bullet-background-active-color":"#ffffff","navigation-right-button-text-color":"#333333","navigation-right-button-background-color":"","navigation-right-button-border-color":"#333333","navigation-right-button-text-hover-color":"#555555","navigation-right-button-background-hover-color":"","navigation-right-button-border-hover-color":"#555555","body-background-color":"#ffffff","container-background-color":"#ffffff","page-title-color":"#ffffff","page-caption-color":"#ffffff","page-title-background-overlay-color":"#282e35","body-content-color":"#5b5b5b","heading-color":"#212121","link-color":"#aa9875","link-hover-color":"#aa802a","divider-color":"#e1e1e1","input-box-background-color":"#ffffff","input-box-border-color":"#d7d7d7","input-box-text-color":"#4e4e4e","input-box-placeholder-color":"#4e4e4e","404-content-background-color":"#23618e","404-head-color":"#ffffff","404-title-color":"#ffffff","404-caption-color":"#c3e7ff","404-input-background-color":"#000000","404-input-text-color":"#ffffff","404-back-to-home-color":"#ffffff","sidebar-title-color":"#383838","sidebar-link-color":"#484848","sidebar-link-hover-color":"#323232","recent-post-widget-info-icon-color":"#9c9c9c","recent-post-widget-info-link-color":"#a0a0a0","post-slider-widget-title-color":"#ffffff","post-slider-widget-info-color":"#9c9c9c","search-box-text-color":"#b5b5b5","search-box-border-color":"#e0e0e0","search-box-icon-color":"#c7c7c7","twitter-widget-icon-color":"#303030","twitter-widget-date-color":"#b5b5b5","footer-background-color":"#1d2b36","footer-title-color":"#ffffff","footer-content-color":"#ffffff","footer-link-color":"#ffffff","footer-link-hover-color":"#aa9875","footer-divider-color":"#303030","copyright-background-color":"#222222","copyright-text-color":"#cacaca","back-to-top-background-color":"#dbdbdb","back-to-top-text-color":"#313131","single-blog-title-color":"#ffffff","single-blog-info-color":"#ffffff","single-blog-date-day-color":"#ffffff","single-blog-date-month-color":"#b1b1b1","single-blog-divider-color":"#ffffff","single-blog-title-background-overlay-color":"#000000","single-blog-author-title-color":"#464646","single-blog-author-caption-color":"#b1b1b1","single-blog-navigation-color":"#bcbcbc","single-blog-comment-title-color":"#464646","single-blog-comment-background-color":"#f9f9f9","single-blog-comment-reply-color":"#bcbcbc","single-blog-comment-time-color":"#b1b1b1","blog-title-color":"#343434","blog-title-hover-color":"#343434","blog-sticky-banner-color":"#ffffff","blog-sticky-banner-background":"#aa9875","blog-info-color":"#aa9875","blog-date-day-color":"#353535","blog-date-month-color":"#8a8a8a","blog-frame-background-color":"#ffffff","blog-modern-text-color":"#ffffff","blog-aside-background-color":"#aa9875","blog-aside-text-color":"#ffffff","pagination-background-color":"#e6e6e6","pagination-text-color":"#929292","pagination-background-hover-color":"#aa9875","pagination-text-hover-color":"#ffffff","pagination-plain-color":"#b4b4b4","pagination-plain-hover-color":"#424242","single-portfolio-nav-color":"#bcbcbc","portfolio-title-color":"#191919","portfolio-info-head-color":"#343434","portfolio-info-color":"#a5a5a5","portfolio-badge-text-color":"#ffffff","portfolio-badge-background-color":"#aa9875","portfolio-thumbnail-title-color":"#ffffff","portfolio-thumbnail-info-color":"#cecece","portfolio-text-filter-color":"#606060","portfolio-text-filter-active-color":"#aa9875","portfolio-button-filter-text-color":"#838383","portfolio-button-filter-background-color":"#f1f1f1","portfolio-button-filter-text-active-color":"#ffffff","portfolio-button-filter-background-active-color":"#aa9875","price-table-background-color":"#f8f8f8","price-table-head-color":"#3e3e3e","price-table-head-top-gradient-color":"#525252","price-table-icon-color":"#ffffff","price-table-title-color":"#ffffff","price-table-caption-color":"#acacac","price-table-price-background-color":"#ebebeb","price-table-price-color":"#323232","price-table-price-suffix-color":"#acacac","price-table-price-button-color":"#ffffff","price-table-button-background-color":"#575757","price-table-button-background-top-gradient-color":"#414141","price-table-list-border-color":"#e5e5e5","price-table-active-head-color":"#aa9875","price-table-active-head-top-gradient-color":"#aa9a7b","price-table-active-icon-color":"#ffffff","price-table-active-title-color":"#ffffff","price-table-active-caption-color":"#aaa899","price-table-active-price-background-color":"#ffffff","price-table-active-price-color":"#323232","price-table-active-price-suffix-color":"#acacac","price-table-active-price-button-color":"#ffffff","price-table-active-button-background-color":"#aa9875","price-table-active-button-background-top-gradient-color":"#aaa185","accordion-normal-icon-color":"#191919","accordion-normal-title-color":"#282828","accordion-normal-icon-background-color":"#f3f3f3","accordion-icon-color":"#191919","accordion-title-color":"#262626","accordion-title-background-color":"#f3f3f3","accordion-icon-active-color":"#191919","accordion-title-active-color":"#aa9875","accordion-title-background-active-color":"#f3f3f3","audio-background-color":"#e7e7e7","audio-text-color":"#202020","audio-content-background-color":"#afafaf","audio-content-progress-color":"#aa9875","audio-volume-background-color":"#afafaf","audio-volume-progress-color":"#646464","alert-box-item-background-color":"#ef5e68","alert-box-item-border-color":"#cd515a","alert-box-item-content-color":"#ffffff","alert-box-item-title-color":"#ffffff","blockquote-text-color":"#777777","blockquote-background-color":"#f5f5f5","blockquote-border-color":"#e2e2e2","blockquote-item-icon-color":"#4e4e4e","blockquote-item-content-color":"#4e4e4e","button-text-color":"#ffffff","button-text-hover-color":"#ffffff","button-background-color":"#aa9875","button-background-hover-color":"#aaa185","button-border-color":"#383838","button-border-hover-color":"#000000","button-gradient-background-color":"#aa9875","button-top-gradient-background-color":"#aa9d7c","call-to-action-title-color":"#2c2c2c","call-to-action-caption-color":"#535353","counter-item-top-text-color":"#828282","counter-item-top-icon-color":"#393939","counter-item-number-color":"#393939","counter-item-divider-color":"#393939","counter-item-bottom-text-color":"#393939","column-service-icon-color":"#9d9d9d","column-service-icon-background":"#f3f3f3","column-service-title-color":"#383838","column-service-caption-color":"#747474","dropdown-tab-head-background":"#f7c02e","dropdown-tab-head-text":"#252525","flipbox-background-color":"#468ae7","flipbox-border-color":"#2576e8","flipbox-icon-color":"#ffffff","flipbox-title-color":"#ffffff","flipbox-caption-color":"#ffffff","flipbox-content-color":"#ffffff","gallery-overlay-title":"#ffffff","gallery-overlay-caption":"#cecece","image-overlay-background-color":"#aa9875","image-overlay-icon-color":"#ffffff","image-item-border-color":"#000000","item-title-color":"#343434","item-title-caption-color":"#747474","item-title-link-color":"#747474","icon-list-item-icon-color":"#222222","icon-list-item-icon-background-color":"#f3f3f3","opening-hour-day-color":"#a5a5a5","opening-hour-open-color":"#262626","opening-hour-close-color":"#c8c8c8","opening-hour-icon-color":"#8a8989","opening-hour-divider-color":"#a6a6a6","personnel-grid-title-color":"#383838","personnel-grid-position-color":"#888888","personnel-grid-divider-color":"#cecece","personnel-grid-frame-color":"#f9f9f9","personnel-modern-title-color":"#ffffff","personnel-modern-position-color":"#ffffff","promo-box-item-title-color":"#383838","promo-box-content-border-color":"#e8e7e7","post-slider-title-color":"#ffffff","post-slider-info-color":"#c5c5c5","skill-bar-title-color":"#505050","skill-bar-icon-color":"#616161","skill-bar-background-color":"#f3f3f3","skill-bar-progress-color":"#f97150","slider-outer-navigation-color":"#a7a7a7","slider-outer-navigation-background-color":"#f1f1f1","slider-control-navigation-color":"#aa9875","social-share-icon-color":"#202020","social-share-divider-color":"#e5e5e5","social-share-text-color":"#202020","stunning-text-title-color":"#747474","stunning-text-caption-color":"#383838","tab-title-color":"#8d8d8d","tab-title-background-color":"#f7f7f7","tab-title-border-color":"#ebebeb","tab-title-hover-bar-color":"#aa9875","tab-title-active-color":"#464646","tab-title-active-background-color":"#ffffff","table-head-background-color":"#aa9875","table-head-text-color":"#ffffff","table-odd-background-color":"#f9f9f9","table-odd-text-color":"#949494","table-even-background":"#f3f3f3","table-even-text":"#949494","testimonial-title-color":"#ffffff","testimonial-content-color":"#ffffff","testimonial-author-color":"#ffffff","testimonial-position-color":"#ffffff","testimonial-quote-color":"#ffffff","title-item-title-color":"#383838","title-item-caption-color":"#747474","woocommerce-theme-color":"#aa9875","woocommerce-price-color":"#aa9875","woocommerce-price-linethrough-color":"#949494","woocommerce-button-background-hover-color":"#aa9875","woocommerce-button-text-color":"#ffffff","woocommerce-button-text-hover-color":"#ffffff","woocommerce-input-background-color":"#f3f3f3","product-item-title-color":"#191919","product-item-title-hover-color":"#434343","view-detail-text-color":"#ffffff","view-detail-background-color":"#000000","add-to-cart-text-color":"#ffffff","add-to-cart-background-color":"#aa9875","widget-price-filter-bar-background-color":"#e6e6e6","widget-price-filter-range-color":"#aa9f81","widget-price-filter-handle-color":"#aa9875","blog-info-icon-color":"#9a9a9a","skin":[{"name":"Dark","title":"#ffffff","title-hover":"#ffffff","caption":"#ffffff","content":"#ededed","icon":"#ffffff","link":"#ffffff","link-hover":"#ffffff","divider":"#bcbcbc","border":"#8e8e8e","element-background":"","element-content":"#3a3a3a","button-text":"#969696","button-text-hover":"#383838","button-background":"#ffffff","button-background-hover":"#d6d6d6","button-border-color":"","button-border-hover-color":""},{"name":"White Text","title":"#ffffff","title-hover":"","caption":"#eaeaea","content":"#ffffff","icon":"#ffffff","link":"#ffffff","link-hover":"#ffffff","divider":"#ffffff","border":"#ffffff","element-background":"#ffffff","element-content":"#ffffff","button-text":"#ffffff","button-text-hover":"#ffffff","button-background":"#212121","button-background-hover":"#262626","button-border-color":"#ffffff","button-border-hover-color":"#ffffff"},{"name":"Grey","title":"#3a3a3a","title-hover":"","caption":"#727272","content":"#515151","icon":"#5e5e5e","link":"","link-hover":"","divider":"#cecece","border":"#d6d6d6","element-background":"#ffffff","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Dark Personnel","title":"#ffffff","title-hover":"#ffffff","caption":"#dbdbdb","content":"#ffffff","icon":"#ffffff","link":"#ffffff","link-hover":"#ffffff","divider":"#b2b2b2","border":"#b2b2b2","element-background":"#ffffff","element-content":"#3a3a3a","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Maintenance","title":"#ffffff","title-hover":"","caption":"#ffffff","content":"#d8d8d8","icon":"","link":"","link-hover":"","divider":"#bababa","border":"#727272","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Blue Icon","title":"","title-hover":"","caption":"","content":"","icon":"#4692e7","link":"","link-hover":"","divider":"","border":"","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Homepage Search","title":"#313131","title-hover":"","caption":"","content":"","icon":"","link":"#bdd4ff","link-hover":"","divider":"","border":"","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Dark Search","title":"#ffffff","title-hover":"","caption":"","content":"#c2cadd","icon":"#ccd5e8","link":"","link-hover":"","divider":"#676e74","border":"#676e74","element-background":"#585d6b","element-content":"#b9c1d5","button-text":"","button-text-hover":"","button-background":"#4296ed","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Grey Frame","title":"","title-hover":"","caption":"","content":"","icon":"","link":"","link-hover":"","divider":"","border":"","element-background":"#f6f6f6","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Blue Column Service","title":"#ffffff","title-hover":"","caption":"","content":"#b9cdf3","icon":"#467ee7","link":"","link-hover":"","divider":"","border":"","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Newsletter form","title":"","title-hover":"","caption":"","content":"","icon":"","link":"","link-hover":"","divider":"#bcbcbc","border":"#f3f3f3","element-background":"#f3f3f3","element-content":"#757575","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Dark Search HP4","title":"#ffffff","title-hover":"","caption":"","content":"","icon":"#ffffff","link":"","link-hover":"","divider":"","border":"","element-background":"#ffffff","element-content":"#828282","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Testimonial","title":"#ffffff","title-hover":"","caption":"#d2d2d2","content":"#d2d2d2","icon":"#467fe7","link":"","link-hover":"","divider":"","border":"","element-background":"#ffffff","element-content":"#ffffff","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Newsletter form HP3","title":"","title-hover":"","caption":"","content":"","icon":"","link":"","link-hover":"","divider":"#e5e5e5","border":"#e5e5e5","element-background":"#f3f3f3","element-content":"#969696","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Blog HP3","title":"","title-hover":"","caption":"","content":"","icon":"#4692e7","link":"","link-hover":"","divider":"","border":"","element-background":"#f3f3f3","element-content":"#4692e7","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"orange text","title":"#f97150","title-hover":"#f97150","caption":"#f97150","content":"#f97150","icon":"","link":"","link-hover":"","divider":"","border":"","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"orange","title":"","title-hover":"","caption":"","content":"","icon":"","link":"","link-hover":"","divider":"","border":"","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"#f97150","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"White Newsletter","title":"","title-hover":"","caption":"","content":"","icon":"","link":"","link-hover":"","divider":"","border":"#ffffff","element-background":"#ffffff","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Column SVC Top","title":"#222222","title-hover":"","caption":"#556575","content":"#556575","icon":"","link":"#982d30","link-hover":"#982d30","divider":"","border":"","element-background":"","element-content":"","button-text":"#982d30","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Contact Form","title":"","title-hover":"","caption":"","content":"","icon":"","link":"","link-hover":"","divider":"#e5e5e5","border":"#e5e5e5","element-background":"#ffffff","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"About Museum COlor","title":"#222222","title-hover":"","caption":"#aa9875","content":"#aa9875","icon":"","link":"","link-hover":"","divider":"","border":"","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""}],"top-bar-icon-color":"#ffffff","tagcloud-background-color":"#ffffff","portfolio-frame-background-color":"#ffffff","accordion-normal-title-head-color":"#191919","accordion-title-head-color":"#191919","newsletter-input-background":"#ffffff","newsletter-input-text":"#8d8d8d","testimonial-rating-color":"#ffcd9c","single-blog-title-background-gradient-color":"#000","single-blog-title-background-gradient-max-opacity":"0.6","single-blog-title-background-bottom-gradient-max-opacity":"0.9","blog-modern-hover-background-color":"#aa9875","blog-thumbnail-category-background":"#aa9875","portfolio-grid2-tag-background":"#aa9875","roadmap-title-color":"#a6aafb","roadmap-title-active-color":"#ffffff","roadmap-caption-color":"#c1caf6","roadmap-number-text":"#c5c5c5","roadmap-number-background":"#223077","roadmap-number-active-text":"#223077","roadmap-number-active-background":"#ffffff","roadmap-number-divider":"#ffffff","roadmap-content-title":"#ffffff","roadmap-content-caption":"#c1caf6","roadmap-content-color":"#babdff","slider-control-navigation-background-color":"#dbdbdb","slider-outer-navigation-hover-color":"#a7a7a7","testimonial-frame-background-color":"#aa9875"},"traveltour_plugin":{"enable-srcset":"disable","lightbox":"lightGallery","ilightbox-skin":"dark","link-to-lightbox":"enable","additional-css":"","additional-script":"","enable-maintenance":"disable","maintenance-page":"4821","enable-preload":"disable","preload-image":"","thumbnail-sizing":[{"name":"Personnel Thumbnail","width":"700","height":"500","hard-crop":""},{"name":"Portfolio Thumbnail","width":"700","height":"450","hard-crop":""},{"name":"Portfolio Thumbnail Portrait","width":"700","height":"660","hard-crop":""},{"name":"Portfolio Thumbnail Portrait 2","width":"600","height":"800","hard-crop":""},{"name":"Large Landscape","width":"1280","height":"580","hard-crop":""},{"name":"Large Landscape 2","width":"1550","height":"700","hard-crop":""},{"name":"Portfolio Side Description Large","width":"900","height":"500","hard-crop":""},{"name":"Blog Full Thumbnail","width":"1100","height":"490","hard-crop":""},{"name":"Blog Column Thumbnail","width":"700","height":"430","hard-crop":""},{"name":"Personnel Thumbnail 2","width":"550","height":"500","hard-crop":""},{"name":"Large Landscape 3","width":"1500","height":"1000","hard-crop":""},{"name":"Personnel Square","width":"600","height":"600","hard-crop":""},{"name":"Tour Category","width":"800","height":"960","hard-crop":""},{"name":"Tour Side Thumbnail","width":"600","height":"700","hard-crop":""},{"name":"Tour Cat Featured","width":"1200","height":"567","hard-crop":""}],"consent-item":"","disable-cookie-youtube":"disable","privacy-cookie-time":"30","privacy-notification-position":"bottom-bar","privacy-box-button-color":"#1a49a8","privacy-form-logo":"","privacy-form-input-button-color":"#1a49a8","privacy-form-save-button-color":"#1a49a8","additional-mobile-css":"","additional-head-script":"jQuery(\"#map\").click(function () {\n    jQuery(\"#map iframe\").css(\"pointer-events\", \"auto\");\n});\njQuery(\"#map\").mouseleave(function() {\n  jQuery(\"#map iframe\").css(\"pointer-events\", \"none\"); \n});","additional-head-script2":"","font-icon":["font-awesome","elegant-font"]}}'
				),
			);
		}
	}
	add_action('gdlr_core_before_import', 'traveltour_gdlr_core_before_import');
	if( !function_exists('traveltour_gdlr_core_before_import') ){
		function traveltour_gdlr_core_before_import(){
			$custom_taxs = '{"tour-age":{"label":"Tour Age","hierarchical":true},"tour-activity":{"label":"Activity","hierarchical":true},"tour-destination":{"label":"Destination","hierarchical":true}}';
			update_option('tourmaster_custom_tour_taxs', json_decode($custom_taxs, true));

			if( function_exists('tourmaster_add_custom_tour_tax') ){
				tourmaster_add_custom_tour_tax();
			}
		}
	}
	add_action('gdlr_core_after_succuessful_import', 'traveltour_gdlr_core_after_succuessful_import');
	if( !function_exists('traveltour_gdlr_core_after_succuessful_import') ){
		function traveltour_gdlr_core_after_succuessful_import( $slug = '' ){
			if( $slug == 'citytour' ){
				$tax_meta = '{"tour_category":[],"tour_tag":[],"tour-age":[],"tour-activity":{"attraction-tickets":"5239","transportation-passes":"5245","sightseeing":"5243","museum-tickets":"5241","outdoor-activities":"5242","unexpected-journeys":"5240","amusement-parks":"5238","threatre-concert":"5244"},"tour-destination":{"marrakech":"4609","new-york":"4592","tokyo":"4501","paris":"4630","london":"4510","rio-de-janeiro":"4495"}}';
			}else{
				$tax_meta = '{"tour_category":[],"tour_tag":[],"tour-age":[],"tour-activity":[],"tour-destination":{"africa":"4609","america":"4592","asia":"4501","eastern-europe":"4630","europe":"4510","south-america":"4495"}}';
			}
			$tax_meta_options = json_decode($tax_meta, true);
			foreach( $tax_meta_options as $tax_slug => $tax_options ){
				foreach( $tax_options as $term_slug => $term_val ){
					$term = get_term_by('slug', $term_slug, $tax_slug);
					update_term_meta($term->term_id, 'thumbnail', $term_val);
				}
			}
		}
	}

	// add action when finish install plugins
	add_action('traveltour_tgmpa_no_item_redirect', 'traveltour_tgmpa_no_item_redirect');
	if( !function_exists('traveltour_tgmpa_no_item_redirect') ){
		function traveltour_tgmpa_no_item_redirect(){
			echo '<script type="text/javascript">';
			echo 'window.location = \'' . admin_url('admin.php?page=gdlr_core_getting_start') . '\';';
			echo '</script>';
		}
	}

	// install required plugin and redirect to getting start page
	add_action('after_switch_theme', 'traveltour_getting_start_redirect'); 	
	if( !function_exists('traveltour_getting_start_redirect') ){
		function traveltour_getting_start_redirect(){

			$default_theme_option = '{"traveltour_general":{"layout":"full","boxed-layout-top-margin":"0px","body-margin":"0px","background-type":"color","background-image":"","background-pattern":"pattern-1","enable-boxed-border":"disable","item-padding":"20px","container-width":"1180px","container-padding":"15px","sidebar-width":"20","both-sidebar-width":"15","enable-top-bar":"enable","enable-top-bar-on-mobile":"enable","top-bar-width":"boxed","top-bar-width-pixel":"1140px","top-bar-full-side-padding":"15px","top-bar-left-text":"[gdlr_core_icon icon=\"fa fa-phone\" size=\"16px\" color=\"#ffffff\" margin-left=\"\" margin-right=\"10px\" ] 1.820.3345.33\n[gdlr_core_icon icon=\"fa fa-envelope-o\" size=\"16px\" color=\"#ffffff\" margin-left=\"30px\" margin-right=\"10px\" ] Contact@TravelTourWP.com","top-bar-right-text":"","top-bar-top-padding":"22px","top-bar-bottom-padding":"22px","top-bar-text-size":"14px","top-bar-bottom-border":"0px","enable-top-bar-social":"enable","top-bar-social-delicious":"","top-bar-social-email":"","top-bar-social-deviantart":"","top-bar-social-digg":"","top-bar-social-facebook":"#","top-bar-social-flickr":"#","top-bar-social-google-plus":"#","top-bar-social-lastfm":"","top-bar-social-linkedin":"","top-bar-social-pinterest":"","top-bar-social-rss":"","top-bar-social-skype":"","top-bar-social-stumbleupon":"","top-bar-social-tumblr":"","top-bar-social-twitter":"#","top-bar-social-vimeo":"","top-bar-social-youtube":"","top-bar-social-instagram":"","top-bar-social-snapchat":"","header-style":"plain","header-plain-style":"menu-right","header-plain-bottom-border":"0px","header-bar-navigation-align":"center","header-background-style":"transparent","top-bar-background-opacity":"45","header-background-opacity":"45","navigation-background-opacity":"50","header-boxed-style":"menu-right","boxed-top-bar-background-opacity":"0","boxed-top-bar-background-extend":"0px","boxed-header-top-margin":"0px","header-side-style":"top-left","header-side-align":"left","header-side-toggle-style":"left","header-side-toggle-menu-type":"overlay","header-side-toggle-display-logo":"enable","header-width":"boxed","header-width-pixel":"1140px","header-full-side-padding":"26px","boxed-header-frame-radius":"3px","boxed-header-content-padding":"49px","navigation-text-top-margin":"0px","navigation-text-top-margin-boxed":"0px","navigation-text-side-spacing":"21px","navigation-slide-bar":"enable","side-header-width-pixel":"340px","side-header-side-padding":"70px","navigation-text-top-spacing":"16px","logo-right-text":"","logo-right-text-top-padding":"30px","logo":"","mobile-logo":"","logo-top-padding":"23px","logo-bottom-padding":"0px","logo-left-padding":"","max-logo-width":"200px","main-navigation-top-padding":"25px","main-navigation-bottom-padding":"33px","main-navigation-right-padding":"","enable-main-navigation-sticky":"enable","enable-logo-on-main-navigation-sticky":"enable","enable-main-navigation-submenu-indicator":"disable","enable-main-navigation-search":"enable","enable-main-navigation-cart":"disable","enable-main-navigation-right-button":"disable","main-navigation-right-button-text":"Buy Now","main-navigation-right-button-link":"","main-navigation-right-button-link-target":"_self","right-menu-type":"right","right-menu-style":"hamburger-with-border","default-title-style":"custom","default-title-align":"left","default-title-top-padding":"108px","default-title-bottom-padding":"102px","default-page-caption-top-margin":"13px","default-title-font-transform":"none","default-title-font-size":"42px","default-title-font-weight":"","default-title-letter-spacing":"0px","default-caption-font-size":"16px","default-caption-font-weight":"","default-caption-letter-spacing":"0px","default-title-background-overlay-opacity":"0","default-title-background":"","default-portfolio-title-background":"","default-personnel-title-background":"","default-search-title-background":"","default-archive-title-background":"","default-404-background":"","default-404-background-opacity":"27","default-blog-title-style":"small","default-blog-title-top-padding":"93px","default-blog-title-bottom-padding":"87px","default-blog-feature-image":"content","default-blog-title-background-image":"","default-blog-title-background-overlay-opacity":"0","blog-sidebar":"right","blog-sidebar-left":"gdlr-core-sidebar-preset","blog-sidebar-right":"blog-right","blog-max-content-width":"","blog-thumbnail-size":"full","blog-date-feature":"enable","meta-option":["author","category","tag","comment-number"],"blog-author":"enable","blog-navigation":"enable","pagination-style":"round","pagination-align":"right","blog-social-share":"enable","blog-social-share-count":"enable","blog-social-facebook":"enable","blog-social-linkedin":"disable","blog-social-google-plus":"enable","blog-social-pinterest":"enable","blog-social-stumbleupon":"disable","blog-social-twitter":"enable","blog-social-email":"disable","archive-blog-sidebar":"right","archive-blog-sidebar-left":"gdlr-core-sidebar-preset","archive-blog-sidebar-right":"gdlr-core-sidebar-preset","archive-blog-style":"blog-full","archive-blog-full-alignment":"left","archive-thumbnail-size":"full","archive-show-thumbnail":"enable","archive-column-size":"20","archive-excerpt":"specify-number","archive-excerpt-number":"55","archive-date-feature":"enable","archive-meta-option":["date","author","category"],"archive-show-read-more":"enable","woocommerce-archive-sidebar":"right","woocommerce-archive-sidebar-left":"gdlr-core-sidebar-preset","woocommerce-archive-sidebar-right":"gdlr-core-sidebar-preset","woocommerce-archive-column-size":"15","woocommerce-archive-thumbnail":"full","woocommerce-related-product-column-size":"15","woocommerce-related-product-num-fetch":"4","woocommerce-related-product-thumbnail":"full","portfolio-slug":"portfolio","portfolio-category-slug":"portfolio_category","portfolio-tag-slug":"portfolio_tag","enable-single-portfolio-navigation":"enable","portfolio-icon-hover-link":"fa fa-external-link","portfolio-icon-hover-video":"fa fa-film","portfolio-icon-hover-image":"icon_search","portfolio-icon-hover-size":"22px","enable-related-portfolio":"disable","related-portfolio-style":"grid","related-portfolio-column-size":"15","related-portfolio-num-fetch":"4","related-portfolio-thumbnail-size":"medium","related-portfolio-num-excerpt":"20","archive-portfolio-sidebar":"none","archive-portfolio-sidebar-left":"gdlr-core-sidebar-preset","archive-portfolio-sidebar-right":"gdlr-core-sidebar-preset","archive-portfolio-style":"medium","archive-portfolio-thumbnail-size":"full","archive-portfolio-grid-text-align":"left","archive-portfolio-grid-style":"normal","archive-enable-portfolio-tag":"enable","archive-portfolio-medium-size":"small","archive-portfolio-medium-style":"switch","archive-portfolio-hover":"icon","archive-portfolio-column-size":"20","archive-portfolio-excerpt":"specify-number","archive-portfolio-excerpt-number":"55","personnel-slug":"personnel","personnel-category-slug":"personnel_category","fixed-footer":"disable","enable-footer":"enable","footer-top-padding":"70px","footer-bottom-padding":"50px","footer-style":"footer-4","enable-copyright":"enable","copyright-top-padding":"38px","copyright-bottom-padding":"38px","copyright-text":"Copyright 2020 GoodLayers, All Right Reserved","enable-back-to-top":"disable","enable-top-bar-left-on-mobile":"disable","enable-top-bar-right-on-mobile":"enable","enable-top-bar-right-login":"enable"},"traveltour_typography":{"heading-font":"Poppins","navigation-font":"Poppins","content-font":"Poppins","info-font":"Poppins","blog-info-font":"Poppins","quote-font":"Open Sans","additional-font":"Georgia, serif","additional-font2":"Georgia, serif","h1-font-size":"52px","h2-font-size":"48px","h3-font-size":"36px","h4-font-size":"28px","h5-font-size":"22px","h6-font-size":"18px","navigation-font-size":"14px","navigation-font-weight":"400","navigation-text-transform":"none","content-font-size":"14px","content-line-height":"1.7"},"traveltour_color":{"page-preload-background-color":"#ffffff","top-bar-background-color":"#000000","top-bar-bottom-border-color":"#ffffff","top-bar-text-color":"#e2e2e2","top-bar-link-color":"#ffffff","top-bar-link-hover-color":"#ffffff","top-bar-social-color":"#468ae7","top-bar-social-hover-color":"#468ae7","header-background-color":"#000000","header-plain-bottom-border-color":"#e8e8e8","navigation-bar-background-color":"#f4f4f4","navigation-bar-top-border-color":"#e8e8e8","navigation-slide-bar-color":"#468ae7","logo-background-color":"#ffffff","navigation-bar-right-icon-color":"#ffffff","woocommerce-cart-icon-number-background":"#468ae7","woocommerce-cart-icon-number-color":"#ffffff","secondary-menu-icon-color":"#ffffff","secondary-menu-border-color":"#dddddd","search-overlay-background-color":"#000000","top-cart-background-color":"#303030","top-cart-text-color":"#b5b5b5","top-cart-view-cart-color":"#ffffff","top-cart-checkout-color":"#468ae7","breadcrumbs-text-color":"#c0c0c0","breadcrumbs-text-active-color":"#777777","main-menu-text-color":"#ffffff","main-menu-text-hover-color":"#ffffff","sub-menu-background-color":"#262626","sub-menu-text-color":"#bababa","sub-menu-text-hover-color":"#ffffff","sub-menu-text-hover-background-color":"#303030","sub-mega-menu-title-color":"#ffffff","sub-mega-menu-divider-color":"#424242","side-menu-text-color":"#979797","side-menu-text-hover-color":"#ffffff","side-menu-background-color":"#1f1f1f","side-menu-border-color":"#626262","overlay-menu-background-color":"#000000","overlay-menu-border-color":"#424242","overlay-menu-text-color":"#ffffff","overlay-menu-text-hover-color":"#a8a8a8","anchor-bullet-background-color":"#777777","anchor-bullet-background-active-color":"#ffffff","navigation-right-button-text-color":"#333333","navigation-right-button-background-color":"","navigation-right-button-border-color":"#333333","navigation-right-button-text-hover-color":"#555555","navigation-right-button-background-hover-color":"","navigation-right-button-border-hover-color":"#555555","body-background-color":"#ffffff","container-background-color":"#ffffff","page-title-color":"#ffffff","page-caption-color":"#ffffff","page-title-background-overlay-color":"#000000","body-content-color":"#8c8c8c","heading-color":"#383838","link-color":"#467fe7","link-hover-color":"#84a7e8","divider-color":"#e1e1e1","input-box-background-color":"#ffffff","input-box-border-color":"#d7d7d7","input-box-text-color":"#4e4e4e","input-box-placeholder-color":"#4e4e4e","404-content-background-color":"#23618e","404-head-color":"#ffffff","404-title-color":"#ffffff","404-caption-color":"#c3e7ff","404-input-background-color":"#000000","404-input-text-color":"#ffffff","404-back-to-home-color":"#ffffff","sidebar-title-color":"#383838","sidebar-link-color":"#484848","sidebar-link-hover-color":"#323232","recent-post-widget-info-icon-color":"#9c9c9c","recent-post-widget-info-link-color":"#a0a0a0","post-slider-widget-title-color":"#ffffff","post-slider-widget-info-color":"#9c9c9c","search-box-text-color":"#b5b5b5","search-box-border-color":"#e0e0e0","search-box-icon-color":"#c7c7c7","twitter-widget-icon-color":"#303030","twitter-widget-date-color":"#b5b5b5","footer-background-color":"#202020","footer-title-color":"#ffffff","footer-content-color":"#ababab","footer-link-color":"#ffffff","footer-link-hover-color":"#ffffff","footer-divider-color":"#303030","copyright-background-color":"#181818","copyright-text-color":"#838383","back-to-top-background-color":"#dbdbdb","back-to-top-text-color":"#313131","single-blog-title-color":"#ffffff","single-blog-info-color":"#ffffff","single-blog-date-day-color":"#ffffff","single-blog-date-month-color":"#b1b1b1","single-blog-divider-color":"#ffffff","single-blog-title-background-overlay-color":"#000000","single-blog-author-title-color":"#464646","single-blog-author-caption-color":"#b1b1b1","single-blog-navigation-color":"#bcbcbc","single-blog-comment-title-color":"#464646","single-blog-comment-background-color":"#f9f9f9","single-blog-comment-reply-color":"#bcbcbc","single-blog-comment-time-color":"#b1b1b1","blog-title-color":"#343434","blog-title-hover-color":"#343434","blog-sticky-banner-color":"#ffffff","blog-sticky-banner-background":"#468ae7","blog-info-color":"#468ae7","blog-date-day-color":"#353535","blog-date-month-color":"#8a8a8a","blog-frame-background-color":"#ffffff","blog-modern-text-color":"#ffffff","blog-aside-background-color":"#468ae7","blog-aside-text-color":"#ffffff","pagination-background-color":"#e6e6e6","pagination-text-color":"#929292","pagination-background-hover-color":"#468ae7","pagination-text-hover-color":"#ffffff","pagination-plain-color":"#b4b4b4","pagination-plain-hover-color":"#424242","single-portfolio-nav-color":"#bcbcbc","portfolio-title-color":"#191919","portfolio-info-head-color":"#343434","portfolio-info-color":"#a5a5a5","portfolio-badge-text-color":"#ffffff","portfolio-badge-background-color":"#e24a3b","portfolio-thumbnail-title-color":"#ffffff","portfolio-thumbnail-info-color":"#cecece","portfolio-text-filter-color":"#606060","portfolio-text-filter-active-color":"#468ae7","portfolio-button-filter-text-color":"#838383","portfolio-button-filter-background-color":"#f1f1f1","portfolio-button-filter-text-active-color":"#ffffff","portfolio-button-filter-background-active-color":"#468ae7","price-table-background-color":"#f8f8f8","price-table-head-color":"#3e3e3e","price-table-head-top-gradient-color":"#525252","price-table-icon-color":"#ffffff","price-table-title-color":"#ffffff","price-table-caption-color":"#acacac","price-table-price-background-color":"#ebebeb","price-table-price-color":"#323232","price-table-price-suffix-color":"#acacac","price-table-price-button-color":"#ffffff","price-table-button-background-color":"#575757","price-table-button-background-top-gradient-color":"#414141","price-table-list-border-color":"#e5e5e5","price-table-active-head-color":"#468ae7","price-table-active-head-top-gradient-color":"#74a4e8","price-table-active-icon-color":"#ffffff","price-table-active-title-color":"#ffffff","price-table-active-caption-color":"#9ebde2","price-table-active-price-background-color":"#ffffff","price-table-active-price-color":"#323232","price-table-active-price-suffix-color":"#acacac","price-table-active-price-button-color":"#ffffff","price-table-active-button-background-color":"#468ae7","price-table-active-button-background-top-gradient-color":"#6da0e8","accordion-normal-icon-color":"#191919","accordion-normal-title-color":"#282828","accordion-normal-icon-background-color":"#f3f3f3","accordion-icon-color":"#191919","accordion-title-color":"#262626","accordion-title-background-color":"#f3f3f3","accordion-icon-active-color":"#191919","accordion-title-active-color":"#4692e7","accordion-title-background-active-color":"#f3f3f3","audio-background-color":"#e7e7e7","audio-text-color":"#202020","audio-content-background-color":"#afafaf","audio-content-progress-color":"#468ae7","audio-volume-background-color":"#afafaf","audio-volume-progress-color":"#646464","alert-box-item-background-color":"#ef5e68","alert-box-item-border-color":"#cd515a","alert-box-item-content-color":"#ffffff","alert-box-item-title-color":"#ffffff","blockquote-text-color":"#777777","blockquote-background-color":"#f5f5f5","blockquote-border-color":"#e2e2e2","blockquote-item-icon-color":"#4e4e4e","blockquote-item-content-color":"#4e4e4e","button-text-color":"#ffffff","button-text-hover-color":"#ffffff","button-background-color":"#468ae7","button-background-hover-color":"#4169d8","button-border-color":"#383838","button-border-hover-color":"#000000","button-gradient-background-color":"#468ae7","button-top-gradient-background-color":"#6fa1e8","call-to-action-title-color":"#2c2c2c","call-to-action-caption-color":"#535353","counter-item-top-text-color":"#828282","counter-item-top-icon-color":"#393939","counter-item-number-color":"#393939","counter-item-divider-color":"#393939","counter-item-bottom-text-color":"#393939","column-service-icon-color":"#9d9d9d","column-service-icon-background":"#f3f3f3","column-service-title-color":"#383838","column-service-caption-color":"#747474","dropdown-tab-head-background":"#f7c02e","dropdown-tab-head-text":"#252525","flipbox-background-color":"#468ae7","flipbox-border-color":"#2576e8","flipbox-icon-color":"#ffffff","flipbox-title-color":"#ffffff","flipbox-caption-color":"#ffffff","flipbox-content-color":"#ffffff","gallery-overlay-title":"#ffffff","gallery-overlay-caption":"#cecece","image-overlay-background-color":"#000000","image-overlay-icon-color":"#ffffff","image-item-border-color":"#000000","item-title-color":"#343434","item-title-caption-color":"#747474","item-title-link-color":"#747474","icon-list-item-icon-color":"#222222","icon-list-item-icon-background-color":"#f3f3f3","opening-hour-day-color":"#a5a5a5","opening-hour-open-color":"#262626","opening-hour-close-color":"#c8c8c8","opening-hour-icon-color":"#8a8989","opening-hour-divider-color":"#a6a6a6","personnel-grid-title-color":"#383838","personnel-grid-position-color":"#888888","personnel-grid-divider-color":"#cecece","personnel-grid-frame-color":"#ffffff","personnel-modern-title-color":"#ffffff","personnel-modern-position-color":"#ffffff","promo-box-item-title-color":"#383838","promo-box-content-border-color":"#e8e7e7","post-slider-title-color":"#ffffff","post-slider-info-color":"#c5c5c5","skill-bar-title-color":"#505050","skill-bar-icon-color":"#616161","skill-bar-background-color":"#f3f3f3","skill-bar-progress-color":"#2d9bea","slider-outer-navigation-color":"#a7a7a7","slider-outer-navigation-background-color":"#f1f1f1","slider-control-navigation-color":"#8a8a8a","social-share-icon-color":"#202020","social-share-divider-color":"#e5e5e5","social-share-text-color":"#202020","stunning-text-title-color":"#747474","stunning-text-caption-color":"#383838","tab-title-color":"#8d8d8d","tab-title-background-color":"#f7f7f7","tab-title-border-color":"#ebebeb","tab-title-hover-bar-color":"#468ae7","tab-title-active-color":"#464646","tab-title-active-background-color":"#ffffff","table-head-background-color":"#468ae7","table-head-text-color":"#ffffff","table-odd-background-color":"#f9f9f9","table-odd-text-color":"#949494","table-even-background":"#f3f3f3","table-even-text":"#949494","testimonial-title-color":"#232323","testimonial-content-color":"#707070","testimonial-author-color":"#3b3b3b","testimonial-position-color":"#3b3b3b","testimonial-quote-color":"#282828","title-item-title-color":"#383838","title-item-caption-color":"#747474","woocommerce-theme-color":"#467fe7","woocommerce-price-color":"#467fe7","woocommerce-price-linethrough-color":"#949494","woocommerce-button-background-hover-color":"#9db7e8","woocommerce-button-text-color":"#ffffff","woocommerce-button-text-hover-color":"#ffffff","woocommerce-input-background-color":"#f3f3f3","product-item-title-color":"#191919","product-item-title-hover-color":"#434343","view-detail-text-color":"#ffffff","view-detail-background-color":"#000000","add-to-cart-text-color":"#ffffff","add-to-cart-background-color":"#467fe7","widget-price-filter-bar-background-color":"#e6e6e6","widget-price-filter-range-color":"#8babe8","widget-price-filter-handle-color":"#467fe7","blog-info-icon-color":"#9a9a9a","skin":[{"name":"Dark","title":"#ffffff","title-hover":"#ffffff","caption":"#ffffff","content":"#ededed","icon":"#ffffff","link":"#ffffff","link-hover":"#ffffff","divider":"#bcbcbc","border":"#8e8e8e","element-background":"","element-content":"#3a3a3a","button-text":"#969696","button-text-hover":"#383838","button-background":"#ffffff","button-background-hover":"#d6d6d6","button-border-color":"","button-border-hover-color":""},{"name":"White Text","title":"#ffffff","title-hover":"","caption":"#eaeaea","content":"#ffffff","icon":"#ffffff","link":"#ffffff","link-hover":"#ffffff","divider":"#ffffff","border":"#ffffff","element-background":"#ffffff","element-content":"#ffffff","button-text":"#ffffff","button-text-hover":"#ffffff","button-background":"#212121","button-background-hover":"#262626","button-border-color":"#ffffff","button-border-hover-color":"#ffffff"},{"name":"Grey","title":"#3a3a3a","title-hover":"","caption":"#727272","content":"#515151","icon":"#5e5e5e","link":"","link-hover":"","divider":"#cecece","border":"#d6d6d6","element-background":"#ffffff","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Dark Personnel","title":"#ffffff","title-hover":"#ffffff","caption":"#dbdbdb","content":"#ffffff","icon":"#ffffff","link":"#ffffff","link-hover":"#ffffff","divider":"#b2b2b2","border":"#b2b2b2","element-background":"#ffffff","element-content":"#3a3a3a","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Maintenance","title":"#ffffff","title-hover":"","caption":"#ffffff","content":"#d8d8d8","icon":"","link":"","link-hover":"","divider":"#bababa","border":"#727272","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Blue Icon","title":"","title-hover":"","caption":"","content":"","icon":"#4692e7","link":"","link-hover":"","divider":"","border":"","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Homepage Search","title":"#313131","title-hover":"","caption":"","content":"","icon":"","link":"#bdd4ff","link-hover":"","divider":"","border":"","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Dark Search","title":"#ffffff","title-hover":"","caption":"","content":"#c2cadd","icon":"#ccd5e8","link":"","link-hover":"","divider":"#676e74","border":"#676e74","element-background":"#585d6b","element-content":"#b9c1d5","button-text":"","button-text-hover":"","button-background":"#4296ed","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Grey Frame","title":"","title-hover":"","caption":"","content":"","icon":"","link":"","link-hover":"","divider":"","border":"","element-background":"#f6f6f6","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Blue Column Service","title":"#ffffff","title-hover":"","caption":"","content":"#b9cdf3","icon":"#467ee7","link":"","link-hover":"","divider":"","border":"","element-background":"","element-content":"","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Newsletter form","title":"","title-hover":"","caption":"","content":"","icon":"","link":"","link-hover":"","divider":"#bcbcbc","border":"#f3f3f3","element-background":"#f3f3f3","element-content":"#757575","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Dark Search HP4","title":"#ffffff","title-hover":"","caption":"","content":"","icon":"#ffffff","link":"","link-hover":"","divider":"","border":"","element-background":"#ffffff","element-content":"#828282","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Testimonial","title":"#ffffff","title-hover":"","caption":"#d2d2d2","content":"#d2d2d2","icon":"#467fe7","link":"","link-hover":"","divider":"","border":"","element-background":"#ffffff","element-content":"#ffffff","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Newsletter form HP3","title":"","title-hover":"","caption":"","content":"","icon":"","link":"","link-hover":"","divider":"#e5e5e5","border":"#e5e5e5","element-background":"#f3f3f3","element-content":"#969696","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""},{"name":"Blog HP3","title":"","title-hover":"","caption":"","content":"","icon":"#4692e7","link":"","link-hover":"","divider":"","border":"","element-background":"#f3f3f3","element-content":"#4692e7","button-text":"","button-text-hover":"","button-background":"","button-background-hover":"","button-border-color":"","button-border-hover-color":""}],"top-bar-icon-color":"#468ae7","tagcloud-background-color":"#ffffff","portfolio-frame-background-color":"#ffffff","accordion-normal-title-head-color":"#191919","accordion-title-head-color":"#191919","newsletter-input-background":"#ffffff","newsletter-input-text":"#8d8d8d","testimonial-rating-color":"#ffa127"},"traveltour_plugin":{"enable-srcset":"disable","lightbox":"ilightbox","ilightbox-skin":"dark","link-to-lightbox":"enable","additional-css":"","additional-script":"","enable-maintenance":"disable","maintenance-page":"4821","enable-preload":"disable","preload-image":"","thumbnail-sizing":[{"name":"Personnel Thumbnail","width":"700","height":"500","hard-crop":""},{"name":"Portfolio Thumbnail","width":"700","height":"450","hard-crop":""},{"name":"Portfolio Thumbnail Portrait","width":"700","height":"660","hard-crop":""},{"name":"Portfolio Thumbnail Portrait 2","width":"600","height":"800","hard-crop":""},{"name":"Large Landscape","width":"1280","height":"580","hard-crop":""},{"name":"Large Landscape 2","width":"1550","height":"700","hard-crop":""},{"name":"Portfolio Side Description Large","width":"900","height":"500","hard-crop":""},{"name":"Blog Full Thumbnail","width":"1100","height":"490","hard-crop":""},{"name":"Blog Column Thumbnail","width":"700","height":"430","hard-crop":""},{"name":"Personnel Thumbnail 2","width":"550","height":"500","hard-crop":""},{"name":"Large Landscape 3","width":"1500","height":"1000","hard-crop":""},{"name":"Personnel Square","width":"600","height":"600","hard-crop":""},{"name":"Tour Category","width":"800","height":"960","hard-crop":""},{"name":"Tour Side Thumbnail","width":"600","height":"700","hard-crop":""}]}}';
			$default_theme_option = json_decode($default_theme_option, true);
			foreach( $default_theme_option as $option_slug => $option_value ){
				$option = get_option($option_slug, array());
				if( empty($option) ){
					update_option($option_slug, $option_value);
				}
			}

			// redirect to plugin installation
			$plugin_slug = 'goodlayers-core';
			$getting_start_url = 'admin.php?page=gdlr_core_getting_start';
			// $redirect_url = traveltour_tgmpa_is_plugin_active($plugin_slug,  $getting_start_url);
			$redirect_url = traveltour_tgmpa_auto_install_url($plugin_slug,  $getting_start_url);
			
			if( empty($redirect_url) ){
				wp_redirect(admin_url('themes.php?page=tgmpa-install-plugins'));
			}else{
				wp_redirect($redirect_url);
			}

		}
	}